/**
 * BallotOptionCategoryEnum.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.domain.ballot;

import com.thoughtworks.xstream.annotations.XStreamConverter;
import com.thoughtworks.xstream.converters.enums.EnumConverter;

/**
 * Enum that holds the candidate type.
 */
@XStreamConverter(EnumConverter.class)
public enum BallotOptionCategoryEnum {

	/** Represents a principal candidate. */
	PRINCIPAL(0),
	/** Represents a stand in candidate. */
	STAND_IN(1),
	/** Represents a group of candidate. */
	LIST(2);

	/** The precedence. */
	private int precedence;

	/**
	 * Instantiates a new ballot option category.
	 * 
	 * @param precedence
	 *            the precedence
	 */
	private BallotOptionCategoryEnum(int precedence) {
		this.precedence = precedence;
	}

	/**
	 * Gets the precedence.
	 * 
	 * @return the precedence
	 */
	public int getPrecedence() {
		return this.precedence;
	}

}
