/**
 * RegionHierarchy.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.domain.demographics;

import java.io.Serializable;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamAsAttribute;
import com.thoughtworks.xstream.annotations.XStreamOmitField;

/**
 * Recursive representation of region and categories from first to last level.
 */
@XStreamAlias("region-hierarchy")
public class RegionHierarchy implements Serializable {

	/** The Constant serialVersionUID. */
	@XStreamOmitField
	private static final long serialVersionUID = -1235583098778932546L;

	/** The category. */
	@XStreamAlias("category")
	CategoryData category;

	/** The code. */
	@XStreamAlias("code")
	@XStreamAsAttribute
	long code;

	/** The is default. */
	@XStreamAlias("is-default")
	@XStreamAsAttribute
	boolean isDefault;

	/** The name. */
	@XStreamAlias("name")
	@XStreamAsAttribute
	String name;

	/**
	 * Getter of {@link #code} field.
	 * 
	 * @return {@link #code} value.
	 */
	public long getCode() {
		return this.code;
	}

	/**
	 * Setter of {@link #code} field.
	 * 
	 * @param code
	 *            The long to set.
	 */
	public void setCode(long code) {
		this.code = code;
	}

	/**
	 * Getter of <code>category</code> property.
	 * 
	 * @return <code>category</code> property value.
	 * @see #category
	 */
	public CategoryData getCategory() {
		return this.category;
	}

	/**
	 * Setter of <code>category</code> property.
	 * 
	 * @param category
	 *            The <code>category</code> to set.
	 * @see #category
	 */
	public void setCategory(CategoryData category) {
		this.category = category;
	}

	/**
	 * Getter of <code>name</code> property.
	 * 
	 * @return <code>name</code> property value.
	 * @see #name
	 */
	public String getName() {
		return this.name;
	}

	/**
	 * Setter of <code>name</code> property.
	 * 
	 * @param name
	 *            The <code>name</code> to set.
	 * @see #name
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * Getter of <code>isDefault</code> property.
	 * 
	 * @return <code>isDefault</code> property value.
	 * @see #isDefault
	 */
	public boolean isDefault() {
		return this.isDefault;
	}

	/**
	 * Setter of <code>isDefault</code> property.
	 * 
	 * @param isDefault
	 *            The <code>isDefault</code> to set.
	 * @see #isDefault
	 */
	public void setDefault(boolean isDefault) {
		this.isDefault = isDefault;
	}

}
