package com.smartmatic.waffle.domain.device;

import java.io.Serializable;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamAsAttribute;

@XStreamAlias("custom-attribute")
public class CustomAttribute implements Serializable {

	public enum Codes {
		COLLEGE, NATIONALITY
	}

	/**
	 * 
	 */
	private static final long serialVersionUID = -5221917614779658687L;

	@XStreamAlias("code")
	@XStreamAsAttribute
	private String code;

	@XStreamAlias("value")
	@XStreamAsAttribute
	private String value;

	/**
	 * Getter of <code>code</code> property
	 * 
	 * @return <code>code</code> property value
	 */
	public String getCode() {
		return this.code;
	}

	/**
	 * Setter of <code>code</code> property
	 * 
	 * @param code
	 *            <code>code</code> to set
	 */
	public void setCode(String code) {
		this.code = code;
	}

	/**
	 * Getter of <code>value</code> property
	 * 
	 * @return <code>value</code> property value
	 */
	public String getValue() {
		return this.value;
	}

	/**
	 * Setter of <code>value</code> property
	 * 
	 * @param value
	 *            <code>value</code> to set
	 */
	public void setValue(String value) {
		this.value = value;
	}

	/**
	 * @inheritDoc
	 */
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result
				+ ((this.code == null) ? 0 : this.code.hashCode());
		result = prime * result
				+ ((this.value == null) ? 0 : this.value.hashCode());
		return result;
	}

	/**
	 * @inheritDoc
	 */
	@Override
	public boolean equals(Object obj) {
		if (obj instanceof CustomAttribute
				&& ((CustomAttribute) obj).hashCode() == this.hashCode()) {
			return true;
		} else {
			return false;
		}
	}
}
