/**
 * LogicalVoterGroupsData.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.domain.device;

import java.io.Serializable;
import java.util.List;
import java.util.Set;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamImplicit;

/**
 * JavaBean representing a Logical Voter Group. A logical voter group is the
 * concept where any group of logical voting groups
 */
@XStreamAlias("logical-voter-groups")
public class LogicalVoterGroupsData implements Serializable {

	/** The Constant serialVersionUID. */
	private static final long serialVersionUID = 3798689249082889434L;

	/** The logical voting group data. */
	@XStreamImplicit(itemFieldName = "logical-voter-group")
	Set<LogicalVotingGroupData> logicalVotingGroupData;

	/** The custom attribute definition. */
	@XStreamAlias("custom-attribute-definitions")
	List<CustomAttributeDefinition> customAttributeDefinition;

	/**
	 * Getter of {@link #logicalVotingGroupData} field.
	 * 
	 * @return {@link #logicalVotingGroupData} value.
	 */
	public Set<LogicalVotingGroupData> getLogicalVotingGroupData() {
		return this.logicalVotingGroupData;
	}

	/**
	 * Setter of {@link #logicalVotingGroupData} field.
	 * 
	 * @param logicalVotingGroupData
	 *            The List<LogicalVotingGroupData> to set.
	 */
	public void setLogicalVotingGroupData(
			Set<LogicalVotingGroupData> logicalVotingGroupData) {
		this.logicalVotingGroupData = logicalVotingGroupData;
	}

	/**
	 * Getter of {@link #customAttributeDefinition} field.
	 * 
	 * @return {@link #customAttributeDefinition} value.
	 */
	public List<CustomAttributeDefinition> getCustomAttributeDefinition() {
		return this.customAttributeDefinition;
	}

	/**
	 * Setter of {@link #customAttributeDefinition} field.
	 * 
	 * @param customattributeDefinition
	 *            The List<CustomattributeDefinition> to set.
	 */
	public void setCustomAttributeDefinition(
			List<CustomAttributeDefinition> customattributeDefinition) {
		this.customAttributeDefinition = customattributeDefinition;
	}
}
