/**
 * RoleData.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.domain.device;

import java.io.Serializable;

import com.smartmatic.waffle.domain.security.FunctionalityData;
import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamAsAttribute;
import com.thoughtworks.xstream.annotations.XStreamOmitField;

/**
 * This class represents the voting device role. This entity contains the
 * deblocking key for the menu in the president machine.
 */
@XStreamAlias("role")
public class RoleData implements Serializable {

	/** The Constant serialVersionUID. */
	@XStreamOmitField
	private static final long serialVersionUID = -1709313743568780672L;

	/** The functionality. */
	@XStreamOmitField
	FunctionalityData functionality;

	/** The key. */
	@XStreamAlias("key")
	@XStreamAsAttribute
	String key;

	/** The name. */
	@XStreamAlias("name-key")
	@XStreamAsAttribute
	String name;

	/** The description. */
	@XStreamAlias("description-key")
	@XStreamAsAttribute
	String description;

	/** The system role. */
	@XStreamAlias("system-role")
	@XStreamAsAttribute
	boolean systemRole;

	/** The extra authentication required. */
	@XStreamAlias("extra-authentication-required")
	@XStreamAsAttribute
	boolean extraAuthenticationRequired;

	/**
	 * Getter of <code>description</code> property.
	 * 
	 * @return <code>description</code> property value.
	 * @see #description
	 */
	public String getDescription() {
		return this.description;
	}

	/**
	 * Setter of <code>description</code> property.
	 * 
	 * @param description
	 *            The <code>description</code> to set.
	 * @see #description
	 */
	public void setDescription(String description) {
		this.description = description;
	}

	/**
	 * Getter of <code>systemRole</code> property.
	 * 
	 * @return <code>systemRole</code> property value.
	 * @see #systemRole
	 */

	public boolean isSystemRole() {
		return this.systemRole;
	}

	/**
	 * Setter of <code>systemRole</code> property.
	 * 
	 * @param systemRole
	 *            The <code>systemRole</code> to set.
	 * @see #systemRole
	 */
	public void setSystemRole(boolean systemRole) {
		this.systemRole = systemRole;
	}

	/**
	 * Getter of <code>key</code> property.
	 * 
	 * @return <code>key</code> property value.
	 * @see #key
	 */
	public String getKey() {
		return this.key;
	}

	/**
	 * Setter of <code>key</code> property.
	 * 
	 * @param key
	 *            <code>key</code> to set
	 */
	public void setKey(String key) {
		this.key = key;
	}

	/**
	 * Getter of <code>name</code> property.
	 * 
	 * @return <code>name</code> property value
	 */
	public String getName() {
		return this.name;
	}

	/**
	 * Setter of <code>name</code> property.
	 * 
	 * @param name
	 *            <code>name</code> to set
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * Returns the <code>extraAuthenticationRequired</code> property.
	 * 
	 * @return <code>extraAuthenticationRequired</code> property value
	 */
	public boolean isExtraAuthenticationRequired() {
		return this.extraAuthenticationRequired;
	}

	/**
	 * Setter of <code>extraAuthenticationRequired</code> property.
	 * 
	 * @param extraAuthenticationRequired
	 *            <code>extraAuthenticationRequired</code> property value
	 */
	public void setExtraAuthenticationRequired(
			boolean extraAuthenticationRequired) {
		this.extraAuthenticationRequired = extraAuthenticationRequired;
	}
}
