/**
 * BaseGeneralInfo.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.domain.general;

import com.smartmatic.waffle.domain.BaseDataObject;
import com.smartmatic.waffle.lang.annotations.basic.EqualsFieldAnnotation;
import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamAsAttribute;

/**
 * Class that its the root of all the inheritance tree of the Business
 * components. Every object that should persists in the database must inherits
 * from this class.
 */
public class BaseGeneralInfo extends BaseDataObject {

	/** The Constant serialVersionUID. */
	private static final long serialVersionUID = 1L;

	/** The code. */
	@XStreamAlias("code")
	@XStreamAsAttribute
	@EqualsFieldAnnotation
	protected long code;

	/** The custom code. */
	@XStreamAlias("custom-code")
	@XStreamAsAttribute
	protected String customCode;

	/*
	 * (non-Javadoc)
	 * 
	 * @see com.smartmatic.domain.BaseDataObject#getVersion()
	 */
	@Override
	public int getVersion() {
		return this.version;
	}

	/**
	 * Getter of <code>code</code> property.
	 * 
	 * @return <code>code</code> property value.
	 * @see #code
	 */

	public long getCode() {
		return this.code;
	}

	/**
	 * Setter of <code>code</code> property.
	 * 
	 * @param code
	 *            The <code>code</code> to set.
	 * @see #code
	 */
	public void setCode(long code) {
		this.code = code;
	}

	/**
	 * Getter of <code>customCode</code> property.
	 * 
	 * @return <code>customCode</code> property value.
	 * @see #customCode
	 */

	public String getCustomCode() {
		return this.customCode;
	}

	/**
	 * Setter of <code>customCode</code> property.
	 * 
	 * @param customCode
	 *            The <code>customCode</code> to set.
	 * @see #customCode
	 */
	public void setCustomCode(String customCode) {
		this.customCode = customCode;
	}

}
