/**
 * GeneralInfo.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.domain.general;

import javax.persistence.Transient;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamAsAttribute;
import com.thoughtworks.xstream.annotations.XStreamOmitField;

/**
 * Second level class that of all the inheritance tree of the Business
 * components. Every object that should persists in the database must inherits
 * from this class.
 */
public abstract class GeneralInfo extends BaseGeneralInfo {

	/** The Constant serialVersionUID. */
	@XStreamOmitField
	@Transient
	private static final long serialVersionUID = 1640658765155196754L;

	/** The name. */
	@XStreamAlias("title-key")
	@XStreamAsAttribute
	protected String name;

	/** The abstract key. */
	@XStreamAlias("abstract-key")
	@XStreamAsAttribute
	protected String abstractKey;

	/** The help. */
	@XStreamAlias("help-key")
	@XStreamAsAttribute
	protected String help;

	/**
	 * Getter of <code>title</code> property.
	 * 
	 * @return <code>title</code> property value.
	 * @see #name
	 */

	public String getName() {
		return this.name;
	}

	/**
	 * Setter of <code>title</code> property.
	 * 
	 * @param name
	 *            the new name
	 * @see #name
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * Getter of <code>abstractKey</code> property.
	 * 
	 * @return <code>abstractKey</code> property value.
	 * @see #abstractKey
	 */

	public String getAbstractKey() {
		return this.abstractKey;
	}

	/**
	 * Setter of <code>abstractKey</code> property.
	 * 
	 * @param abstractKey
	 *            The <code>abstractKey</code> to set.
	 * @see #abstractKey
	 */
	public void setAbstractKey(String abstractKey) {
		this.abstractKey = abstractKey;
	}

	/**
	 * Getter of <code>help</code> property.
	 * 
	 * @return <code>help</code> property value.
	 * @see #help
	 */

	public String getHelp() {
		return this.help;
	}

	/**
	 * Setter of <code>help</code> property.
	 * 
	 * @param help
	 *            The <code>help</code> to set.
	 * @see #help
	 */
	public void setHelp(String help) {
		this.help = help;
	}

}
