/**
 * ContestLanguagesPairData.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.domain.i18n;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;

import com.smartmatic.waffle.domain.contest.ContestData;
import com.smartmatic.waffle.domain.general.BaseGeneralInfo;

/**
 * Entity implementation class for languages pairs for contest.
 * 
 */
@Entity
@Table(name = "contest_languages_pair")
public class ContestLanguagesPairData extends BaseGeneralInfo {

	/** The Constant serialVersionUID. */
	private static final long serialVersionUID = 7941382256351039542L;

	/** The election language1. */
	private LanguageData electionLanguage1;

	/** The election language2. */
	private LanguageData electionLanguage2;

	/** The contest. */
	private ContestData contest;

	/*
	 * (non-Javadoc)
	 * 
	 * @see com.smartmatic.waffle.domain.general.BaseGeneralInfo#getCode()
	 */
	@Override
	@Id
	@Column(name = "contest_languages_pair_code")
	@GeneratedValue(strategy = GenerationType.AUTO, generator = "s_contest_language_pair_code")
	@SequenceGenerator(name = "s_contest_language_pair_code", sequenceName = "s_contest_language_pair_code", allocationSize = 1, initialValue = 1)
	public long getCode() {
		return this.code;
	}

	/**
	 * Gets the language1.
	 * 
	 * @return the language1
	 */
	@ManyToOne(optional = true, targetEntity = LanguageData.class)
	@JoinColumn(name = "election_language_code_1", nullable = true, updatable = true)
	public LanguageData getLanguage1() {
		return this.electionLanguage1;
	}

	/**
	 * Sets the language1.
	 * 
	 * @param languageCode
	 *            the new language1
	 */
	public void setLanguage1(LanguageData languageCode) {
		this.electionLanguage1 = languageCode;
	}

	/**
	 * Gets the language2.
	 * 
	 * @return the language2
	 */
	@ManyToOne(optional = true, targetEntity = LanguageData.class)
	@JoinColumn(name = "election_language_code_2", nullable = true, updatable = true)
	public LanguageData getLanguage2() {
		return this.electionLanguage2;
	}

	/**
	 * Sets the language2.
	 * 
	 * @param languageData
	 *            the new language2
	 */
	public void setLanguage2(LanguageData languageData) {
		this.electionLanguage2 = languageData;
	}

	/**
	 * Gets the contest.
	 * 
	 * @return the contest
	 */
	@ManyToOne(optional = true, targetEntity = ContestData.class)
	@JoinColumn(name = "contest_code", nullable = true, updatable = true)
	public ContestData getContest() {
		return this.contest;
	}

	/**
	 * Sets the contest.
	 * 
	 * @param contest
	 *            the new contest
	 */
	public void setContest(ContestData contest) {
		this.contest = contest;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see com.smartmatic.waffle.domain.general.BaseGeneralInfo#setCode(long)
	 */
	@Override
	public void setCode(long code) {
		this.code = code;
	}

}
