/**
 * ISO8601DateUtil.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */

package com.smartmatic.waffle.domain.util;

import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.TimeZone;

/**
 * Utility class to parse dates.
 */
public class ISO8601DateUtil {

	/**
	 * This fullPattern should not be changed since complies with the ISO-8601
	 * standard.
	 */
	private static final String fullPattern = "yyyy-MM-dd'T'HH:mm:ss.SZ";

	/**
	 * Parse dates
	 * 
	 * @param input
	 *            the input
	 * @return the date
	 * @throws ParseException
	 *             the parse exception
	 */
	public static Date parse(String input) throws java.text.ParseException {
		return null;
	}

	/**
	 * Full format.
	 * 
	 * @param date
	 *            the date
	 * @return the string
	 */
	public static String fullFormat(Date date) {
		SimpleDateFormat format = new SimpleDateFormat(
				ISO8601DateUtil.fullPattern);

		TimeZone timeZone = Calendar.getInstance().getTimeZone();

		format.setTimeZone(timeZone);
		String output = format.format(date);
		int midOfGMT = Math.max(format.format(date).lastIndexOf("+"), format
				.format(date).lastIndexOf("-")) + 3;
		return output.substring(0, midOfGMT) + ":" + output.substring(midOfGMT);
	}

}
