/**
 * BulkCaches.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */

package com.smartmatic.waffle.ecm.bulk.service.util;

import java.io.File;

import com.smartmatic.waffle.ecm.bulk.service.impl.BulkServiceImpl;

import net.sf.ehcache.Cache;
import net.sf.ehcache.CacheManager;

/**
 * The Class BulkCaches.
 */
public class BulkCaches {

	/** The Constant confFilePath. */
	private static final File confFilePath;

	/** The Constant REF_OBJECTS. */
	public static final String REF_OBJECTS = BulkServiceImpl.class.getPackage()
			.getName() + ".RefObjects";

	static {
		String basePath = System.getProperty("jboss.server.home.dir");
		confFilePath = new File(basePath, "/conf/bulk_cache.xml");

	}

	/**
	 * Gets the cache manager.
	 * 
	 * @return the cache manager
	 */
	public static CacheManager getCacheManager() {

		final CacheManager cacheManager;

		if (confFilePath.exists()) {
			cacheManager = CacheManager.create(confFilePath.getAbsolutePath());
		} else {
			cacheManager = CacheManager.create();
		}

		return cacheManager;

	}

	/**
	 * Gets the ref objects.
	 * 
	 * @return the ref objects
	 */
	public static Cache getRefObjects() {
		return getCacheManager().getCache(REF_OBJECTS);

	}

}
