/**
 * AwtOperationListener.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.client.ui.common;

/**
 * The listener interface for receiving awtOperation events. The class that is
 * interested in processing a awtOperation event implements this interface, and
 * the object created with that class is registered with a component using the
 * component's <code>addAwtOperationListener<code> method. When
 * the awtOperation event occurs, that object's appropriate
 * method is invoked.
 * 
 * @see AwtOperationEvent
 */
public interface IAwtOperationListener {

	/**
	 * Method signature. Implementations must do their AWT operations here. This
	 * method is notified of GUI changes.
	 * 
	 * @param awtOperationType
	 *            The AWT operation type
	 */
	void awtOperation(AwtOperationType awtOperationType);
}
