/**
 * UpdateStatusBar.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.client.ui.controller;

/**
 * Interface that defines the methods to UpdateStatusBar.
 */
public interface UpdateStatusBar {

	/**
	 * Method to update the status bar message.
	 * 
	 * @param keyMessage
	 *            the key message
	 */
	public void updateStatusBar(String keyMessage);

	/**
	 * Method to update the progress bar value.
	 * 
	 * @param progress
	 *            value
	 */
	public void updateBarProgress(int progress);

	/**
	 * Method to set the progress bar maximum value accepted.
	 * 
	 * @param max
	 *            the new progress bar maximum
	 */
	public void setProgressBarMaximum(int max);

	/**
	 * Method to set the indeterminate state of the progress bar.
	 * 
	 * @param indeterminate
	 *            the new indeterminate progress bar
	 */
	public void setIndeterminateProgressBar(boolean indeterminate);
}
