/**
 * DecryptWorkerStub.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.client.test.stub;

import java.io.File;

import com.smartmatic.waffle.ecm.client.worker.DecryptWorker;
import com.smartmatic.waffle.security.asymmetric.PBEFileUtil.CipheringAlgorithm;

/**
 * Stub class to test DecryptWorker.
 */
public class DecryptWorkerStub extends DecryptWorker {

	/**
	 * Instantiates a new DecryptWorker.
	 * 
	 * @param votingDeviceFolderToDecrypt
	 *            the voting device folder to decrypt
	 * 
	 * @param passphrase
	 *            the passphrase provided by the user to decrypt the files
	 */
	public DecryptWorkerStub(File votingDeviceFolderToDecrypt,
			String passphrase, String appKey) {
		super(votingDeviceFolderToDecrypt, passphrase, appKey, 0);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * com.smartmatic.waffle.ecm.client.worker.DecryptWorker#loadProperties()
	 */
	@Override
	protected void loadProperties() {
		this.iVectorLength = 16;
		this.cipheringAlgorithm = CipheringAlgorithm.CBC;
		this.compressedElection = true;
	}
}
