package com.smartmatic.waffle.ecm.client.worker;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertNotNull;

import java.io.File;
import java.util.ArrayList;
import java.util.List;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.powermock.api.mockito.PowerMockito;
import org.powermock.core.classloader.annotations.PrepareForTest;
import org.powermock.modules.junit4.PowerMockRunner;

import com.smartmatic.waffle.localpersistence.SAESCommonDestinations;
import com.smartmatic.waffle.localpersistence.SAESLocalPersistenceManager.MountedDrive;

@RunWith(PowerMockRunner.class)
@PrepareForTest({ MountedDrive.class, ConnectedDriveFinderWorker.class })
public class ConnectedDriveFinderWorkerTest {

	@Test
	public void testPerformOperation() throws Exception {

		// arrange
		ConnectedDriveFinderWorker worker = PowerMockito
				.spy(new ConnectedDriveFinderWorker());

		MountedDrive drive = PowerMockito.mock(MountedDrive.class);

		File baseDir = new File("/media/test");

		List<SAESCommonDestinations> devices = new ArrayList<SAESCommonDestinations>();

		SAESCommonDestinations device = new SAESCommonDestinations(baseDir,
				"dirName", drive);

		devices.add(device);

		PowerMockito.doReturn(baseDir).when(drive).getMountedPath();

		PowerMockito.doNothing().when(worker).checkMountedDevices();

		PowerMockito.doReturn(devices).when(worker).getDevices();

		// act
		worker.performOperation();

		worker.disableWorker();

		// assert
		assertNotNull(worker.getDevicesAllowed());
		assertEquals(1, worker.getDevicesAllowed().size());
		assertEquals(device, worker.getDevicesAllowed().get(0));

	}
}
