package com.smartmatic.waffle.ecm.client.worker;

import static org.junit.Assert.assertFalse;
import static org.junit.Assert.assertTrue;

import java.io.File;
import java.util.Arrays;
import java.util.List;

import org.junit.Before;
import org.junit.Test;

public class ImagesUploadValidatorWorkerTest {

	File srcImage;

	@Before
	public void setUp() throws Exception {
		this.srcImage = new File("test/resources/ImageTest.tar.gz");
	}

	@Test
	public void testPerformOperationValidImage() {

		List<String> requestedFiles = Arrays.asList(new String[] { "OS/file1",
				"OS/file2", "OS/file3" });

		ImagesUploadValidatorWorker imageUploadValidatorWorker = new ImagesUploadValidatorWorker(
				requestedFiles, this.srcImage);

		imageUploadValidatorWorker.performOperation();

		assertTrue(imageUploadValidatorWorker.isValidImage());
	}

	@Test
	public void testPerformOperationInvalidImage() {

		List<String> requestedFiles = Arrays.asList(new String[] { "file1",
				"file2", "file3", "file4" });

		ImagesUploadValidatorWorker imageUploadValidatorWorker = new ImagesUploadValidatorWorker(
				requestedFiles, this.srcImage);

		imageUploadValidatorWorker.performOperation();

		assertFalse(imageUploadValidatorWorker.isValidImage());
	}

}
