/**
 * IFunctDispatcher.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.core;

import java.util.List;

import javax.swing.JPanel;

import com.smartmatic.waffle.domain.security.IActionData;

/**
 * Interface used to implements method that perform critical process.
 */
public interface IFunctDispatcher {

	/**
	 * Dispatch.
	 * 
	 * @param theList
	 *            the the list
	 * @param allowDisplay
	 *            the allow display
	 * @return the j panel
	 */
	public JPanel dispatch(List<IActionData> theList, boolean allowDisplay);

	/**
	 * Checks if is enabled.
	 * 
	 * @param actions
	 *            the actions
	 * @return true, if is enabled
	 */
	public boolean isEnabled(List<IActionData> actions);

	/**
	 * Checks if is critical process running.
	 * 
	 * @return true, if is critical process running
	 */
	public boolean isCriticalProcessRunning();

	/**
	 * Sets the running critical process.
	 * 
	 * @param run
	 *            the new running critical process
	 */
	public void setRunningCriticalProcess(boolean run);

	/**
	 * Refresh.
	 */
	public void refresh();
}
