/**
 * IConnectionCheckListener.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.core.monitoring.spec;

/**
 * Interface that defines the contract of activities that a listener of
 * connectivity events must perform.
 * 
 * @version 1.0 (28/02/2011)
 * @author Hector Rodriguez <hector.rodriguez@smartmatic.com>
 */
public interface IConnectionCheckListener {

	/**
	 * Method invoked when the host is connected to configured server.
	 */
	public void hostConnected();

	/**
	 * Method invoked when the host is disconnected.
	 */
	public void hostDisconnected();
}
