/**
 * IPrinterStatusChangedListener.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.core.printer;

import java.util.Map;

/**
 * The listener interface for receiving IPrinterStatusChanged events. The class
 * that is interested in processing a IPrinterStatusChanged event implements
 * this interface, and the object created with that class is registered with a
 * component using the component's
 * <code>addIPrinterStatusChangedListener<code> method. When
 * the IPrinterStatusChanged event occurs, that object's appropriate
 * method is invoked.
 * 
 * @see IPrinterStatusChangedEvent
 */
public interface IPrinterStatusChangedListener {

	/**
	 * Printer status changed.
	 * 
	 * @param changed
	 *            the changed
	 */
	void printerStatusChanged(Map<String, Object> changed);
}
