/**
 * CustomAttributeDefinitionValueComparator.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.data.transfer.comparators;

import java.util.Comparator;

import com.smartmatic.waffle.domain.device.CustomAttributeDefinitionValue;

/**
 * Comparator used to sort custom attribute definitions value alphabetically.
 */
public class CustomAttributeDefinitionValueComparator implements
        Comparator<CustomAttributeDefinitionValue> {

    /*
     * (non-Javadoc)
     * @see java.util.Comparator#compare(java.lang.Object, java.lang.Object)
     */
    @Override
    public int compare(CustomAttributeDefinitionValue o1,
            CustomAttributeDefinitionValue o2) {
        String[] vals1 = o1.getValue().toString().split("\\|");
        String[] vals2 = o2.getValue().toString().split("\\|");

        return Integer.parseInt(vals1[0]) - Integer.parseInt(vals2[0]);
    }
}
