/**
 * BulkErrorReport.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.data.transfer.objects;

import java.io.Serializable;

import com.smartmatic.waffle.lang.BaseException;

/**
 * The Class BulkErrorReport.
 */
public class BulkErrorReportDTO implements Serializable {

	/** The Constant serialVersionUID. */
	private static final long serialVersionUID = -2959518445933957274L;

	/** The input text. */
	private String inputText;

	/** The exception. */
	private BaseException exception;

	/**
	 * Instantiates a new bulk error report.
	 * 
	 * @param inputText
	 *            the input text
	 * @param exception
	 *            the exception
	 */
	public BulkErrorReportDTO(String inputText, BaseException exception) {
		this.inputText = inputText;
		this.exception = exception;
	}

	/**
	 * Gets the exception.
	 * 
	 * @return the exception
	 */
	public BaseException getException() {
		return this.exception;
	}

	/**
	 * Sets the exception.
	 * 
	 * @param exception
	 *            the new exception
	 */
	public void setException(BaseException exception) {
		this.exception = exception;
	}

	/**
	 * Gets the input text.
	 * 
	 * @return the input text
	 */
	public String getInputText() {
		return this.inputText;
	}

	/**
	 * Sets the input text.
	 * 
	 * @param inputText
	 *            the new input text
	 */
	public void setInputText(String inputText) {
		this.inputText = inputText;
	}

	/**
	 * @inheritDoc
	 */
	@Override
	public String toString() {

		return this.inputText;

	}

}
