/**
 * DataGenerationDTO.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.data.transfer.objects;

import java.io.Serializable;

import com.smartmatic.waffle.domain.contest.ContestData;

/**
 * Class that hold relevant information for test data generation.
 */
public class DataGenerationDTO implements Serializable {

    /** The Constant serialVersionUID. */
    private static final long serialVersionUID = 7230668306505154662L;

    /** The contest. */
    private ContestData contest;

    /** The party count. */
    private long partyCount;

    /** The candidate chief count. */
    private long candidateChiefCount;

    /** The candidate stand count. */
    private long candidateStandCount;

    /**
     * Getter of <code>contest</code> property.
     * 
     * @return <code>contest</code> property value.
     * @see #ContestData
     */
    public ContestData getContest() {
        return this.contest;
    }

    /**
     * Setter of <code>contest</code> property.
     * 
     * @param contest
     *            The <code>contest</code> to set.
     * @see #ContestData
     */
    public void setContest(ContestData contest) {
        this.contest = contest;
    }

    /**
     * Getter of <code>partyCount</code> property.
     * 
     * @return <code>partyCount</code> property value.
     */
    public long getPartyCount() {
        return this.partyCount;
    }

    /**
     * Setter of <code>partyCount</code> property.
     * 
     * @param partyCount
     *            The <code>partyCount</code> to set.
     */
    public void setPartyCount(long partyCount) {
        this.partyCount = partyCount;
    }

    /**
     * Getter of <code>candidateChiefCount</code> property.
     * 
     * @return <code>candidateChiefCount</code> property value.
     */
    public long getCandidateChiefCount() {
        return this.candidateChiefCount;
    }

    /**
     * Setter of <code>candidateChiefCount</code> property.
     * 
     * @param candidateChiefCount
     *            The <code>candidateChiefCount</code> to set.
     */
    public void setCandidateChiefCount(long candidateChiefCount) {
        this.candidateChiefCount = candidateChiefCount;
    }

    /**
     * Getter of <code>candidateStandCount</code> property.
     * 
     * @return <code>candidateStandCount</code> property value.
     */
    public long getCandidateStandCount() {
        return this.candidateStandCount;
    }

    /**
     * Setter of <code>candidateStandCount</code> property.
     * 
     * @param candidateStandCount
     *            The <code>candidateStandCount</code> to set.
     */
    public void setCandidateStandCount(long candidateStandCount) {
        this.candidateStandCount = candidateStandCount;
    }

}
