/**
 * EligibleOptionSearchDTO.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.data.transfer.objects;

import com.smartmatic.waffle.domain.eligibleoption.EligibleOptionData;

/***
 * Class used to interchange information between server and client in the
 * eligible option editor module.
 */
public class EligibleOptionSearchDTO {
    /***
     * values of the current eligible option, this format is used to build the
     * table in the window of the eligible option editor module. This object
     * represent a row into the table.
     */
    private Object[] values;

    /***
     * A reference to the current eligible option.
     */
    private EligibleOptionData eligibleOption;

    /**
     * Gets the values of the current eligible option, this format is used to
     * build the table in the window of the eligible option editor module.
     * 
     * @return the values of the current eligible option, this format is used to
     *         build the table in the window of the eligible option editor
     *         module
     */
    public Object[] getValues() {
        return this.values;
    }

    /**
     * Sets the values of the current eligible option, this format is used to
     * build the table in the window of the eligible option editor module.
     * 
     * @param values
     *            the new values of the current eligible option, this format is
     *            used to build the table in the window of the eligible option
     *            editor module
     */
    public void setValues(Object[] values) {
        if (values != null) {
            this.values = values.clone();
        }

    }

    /**
     * Gets the reference to the current eligible option.
     * 
     * @return the reference to the current eligible option
     */
    public EligibleOptionData getEligibleOption() {
        return this.eligibleOption;
    }

    /**
     * Sets the reference to the current eligible option.
     * 
     * @param eligibleOption
     *            the new reference to the current eligible option
     */
    public void setEligibleOption(EligibleOptionData eligibleOption) {
        this.eligibleOption = eligibleOption;
    }

}
