/**
 * EntityRecordsQuantitiesDTO.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.data.transfer.objects;

import java.io.Serializable;

import com.smartmatic.waffle.ecm.data.transfer.type.SmttFileType;

/**
 * Class that holds the amount of records loaded in database for each entity.
 */
public class EntityRecordsQuantitiesDTO implements Serializable {

    /** Serial version. */
    private static final long serialVersionUID = 7648726911187785730L;

    /** Smartmatic file type that represents the tables in database. */
    private SmttFileType smttFileType;

    /** Number of records stored in the database. */
    private int recordsQuantities;

    /**
     * Gets the smartmatic file type that represents the tables in database.
     * 
     * @return the smartmatic file type that represents the tables in database
     */
    public SmttFileType getSmttFileType() {
        return smttFileType;
    }

    /**
     * Sets the smartmatic file type that represents the tables in database.
     * 
     * @param smttFileType
     *            the new smartmatic file type that represents the tables in
     *            database
     */
    public void setSmttFileType(SmttFileType smttFileType) {
        this.smttFileType = smttFileType;
    }

    /**
     * Gets the number of records stored in the database.
     * 
     * @return the number of records stored in the database
     */
    public long getRecordsQuantities() {
        return recordsQuantities;
    }

    /**
     * Sets the number of records stored in the database.
     * 
     * @param recordsQuantities
     *            the new number of records stored in the database
     */
    public void setRecordsQuantities(int recordsQuantities) {
        this.recordsQuantities = recordsQuantities;
    }
}
