/**
 * ParamUploadDTO.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.data.transfer.objects;

import java.io.File;
import java.io.Serializable;

/**
 * Class used to sent bulk load file content from client from server in bulk
 * upload process.
 */
public class FileToUploadDetailDTO implements Serializable {

    /**
     * Serial version
     */
    private static final long serialVersionUID = -6868070970444082338L;

    /**
     * File information that will be uploaded
     */
    private File fileInfo;

    /**
     * Binary content of file that will be uploaded
     */
    private byte[] fileContent;

    /**
     * Getter of <code>fileInfo</code> property.
     * 
     * @return <code>fileInfo</code> property value.
     * @see #File
     */
    public File getFileInfo() {
        return this.fileInfo;
    }

    /**
     * Setter of <code>fileInfo</code> property.
     * 
     * @param fileInfo
     *            The <code>fileInfo</code> to set.
     * @see #File
     */
    public void setFileInfo(File fileInfo) {
        this.fileInfo = fileInfo;
    }

    /**
     * Getter of <code>fileContent</code> property.
     * 
     * @return <code>fileContent</code> property value.
     */
    public byte[] getFileContent() {
        return this.fileContent;
    }

    /**
     * Setter of <code>fileContent</code> property.
     * 
     * @param fileContent
     *            The <code>fileContent</code> to set.
     */
    public void setFileContent(byte[] fileContent) {
        if (fileContent != null) {
            this.fileContent = fileContent.clone();
        }
    }

}
