/**
 * GenerateDataByCriteriaDTO.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.data.transfer.objects;

import java.util.List;

import com.smartmatic.waffle.domain.device.VotingCentersData.VotingCenter;

/**
 * Class used to interchange information between server and client in the usb
 * generation module and screenshot module.
 */
public class GenerateDataByCriteriaDTO {

    /** The voting center list. */
    private List<VotingCenter> votingCenterList;

    /** The file processed. */
    private int fileProcessed;

    /**
     * Gets the voting center list.
     * 
     * @return the voting center list
     */
    public List<VotingCenter> getVotingCenterList() {
        return this.votingCenterList;
    }

    /**
     * Sets the voting center list.
     * 
     * @param votingCenterList
     *            the new voting center list
     */
    public void setVotingCenterList(List<VotingCenter> votingCenterList) {
        this.votingCenterList = votingCenterList;
    }

    /**
     * Setter of <code>fileProcessed</code> property.
     * 
     * @param fileProcessed
     *            The <code>fileProcessed</code> to set.
     * @see #fileProcessed
     */
    public void setFileProcessed(int fileProcessed) {
        this.fileProcessed = fileProcessed;
    }

    /**
     * Getter of <code>fileProcessed</code> property.
     * 
     * @return <code>fileProcessed</code> property value.
     * @see #fileProcessed
     */

    public int getFileProcessed() {
        return this.fileProcessed;
    }
}
