/**
 * ResultsPersistedDTO.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.data.transfer.objects;

/**
 * DTO class to hold the bulk upload results persisted or not
 */
public class PersistedResutsDTO {

	/** Number of elements successfully uploaded to database. */
	private int correctCount;

	/** Number of elements not uploaded to database. */
	private int incorrectCount;

	/** Total number of elements that should be uploaded. */
	private int loaded;

	/**
	 * Instantiates a new ResultsPersistedDTO.
	 * 
	 * @param correctCount
	 *            elements uploaded to database successfully
	 * @param incorrectCount
	 *            elements not uploaded to database
	 * @param loaded
	 *            elements that should be loaded
	 */
	public PersistedResutsDTO(int correctCount, int incorrectCount,
			int loaded) {
		this.correctCount = correctCount;
		this.incorrectCount = incorrectCount;
		this.loaded = loaded;
	}

	/**
	 * Getter of <code>correctCount</code> property.
	 * 
	 * @return <code>correctCount</code> property value.
	 * @see #correctCount
	 */

	public int getCorrectCount() {
		return this.correctCount;
	}

	/**
	 * Setter of <code>correctCount</code> property.
	 * 
	 * @param correctCount
	 *            The <code>correctCount</code> to set.
	 * @see #correctCount
	 */
	public void setCorrectCount(int correctCount) {
		this.correctCount = correctCount;
	}

	/**
	 * Getter of <code>incorrectCount</code> property.
	 * 
	 * @return <code>incorrectCount</code> property value.
	 * @see #incorrectCount
	 */

	public int getIncorrectCount() {
		return this.incorrectCount;
	}

	/**
	 * Setter of <code>incorrectCount</code> property.
	 * 
	 * @param incorrectCount
	 *            The <code>incorrectCount</code> to set.
	 * @see #incorrectCount
	 */
	public void setIncorrectCount(int incorrectCount) {
		this.incorrectCount = incorrectCount;

		return;
	}

	/**
	 * Getter of <code>loaded</code> property.
	 * 
	 * @return <code>loaded</code> property value.
	 * @see #loaded
	 */

	public int getLoaded() {
		return this.loaded;
	}

	/**
	 * Setter of <code>loaded</code> property.
	 * 
	 * @param loaded
	 *            The <code>loaded</code> to set.
	 * @see #loaded
	 */
	public void setLoaded(int loaded) {
		this.loaded = loaded;
	}

}