/**
 * ProgrammingUnitElectionObjectDTO.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.data.transfer.objects;

import java.util.Map;
import java.util.Set;

import com.smartmatic.waffle.domain.demographics.ProgrammingUnitData;

/**
 * Class that holds information about the programming unit corresponding to an
 * election.
 */
public class ProgrammingUnitElectionObjectDTO {

    /** The election object map. */
    private Map<Long, ElectionObjectDTO> electionObjectMap;

    /** The programming unit set. */
    private Set<ProgrammingUnitData> programmingUnitSet;

    /** The total regions. */
    private int totalRegions;

    /**
     * Getter of <code>totalRegions</code> property.
     * 
     * @return <code>totalRegions</code> property value.
     * @see #totalRegions
     */

    public int getTotalRegions() {
        return this.totalRegions;
    }

    /**
     * Setter of <code>totalRegions</code> property.
     * 
     * @param totalRegions
     *            The <code>totalRegions</code> to set.
     * @see #totalRegions
     */
    public void setTotalRegions(int totalRegions) {
        this.totalRegions = totalRegions;
    }

    /**
     * Getter of <code>electionObjectMap</code> property.
     * 
     * @return <code>electionObjectMap</code> property value.
     * @see #electionObjectMap
     */

    public Map<Long, ElectionObjectDTO> getElectionObjectMap() {
        return this.electionObjectMap;
    }

    /**
     * Setter of <code>electionObjectMap</code> property.
     * 
     * @param electionObjectMap
     *            The <code>electionObjectMap</code> to set.
     * @see #electionObjectMap
     */
    public void setElectionObjectMap(
            Map<Long, ElectionObjectDTO> electionObjectMap) {
        this.electionObjectMap = electionObjectMap;
    }

    /**
     * Getter of <code>programmingUnitSet</code> property.
     * 
     * @return <code>programmingUnitSet</code> property value.
     * @see #programmingUnitSet
     */

    public Set<ProgrammingUnitData> getProgrammingUnitSet() {
        return this.programmingUnitSet;
    }

    /**
     * Setter of <code>programmingUnitSet</code> property.
     * 
     * @param programmingUnitSet
     *            The <code>programmingUnitSet</code> to set.
     * @see #programmingUnitSet
     */
    public void setProgrammingUnitSet(Set<ProgrammingUnitData> programmingUnitSet) {
        this.programmingUnitSet = programmingUnitSet;
    }
}
