package com.smartmatic.waffle.ecm.data.transfer.comparators;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertTrue;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.powermock.modules.junit4.PowerMockRunner;

import com.smartmatic.waffle.domain.contest.ContestData;

/**
 * Class used to write unit tests for BrowserHierarchyComparator.
 */
@RunWith(PowerMockRunner.class)
public class ContestCustomCodeComparatorTest {

    @Test
    public void compareEqualTest() {
        ContestCustomCodeComparator contestCustomCodeComparator = new ContestCustomCodeComparator();

        ContestData contestDataA = new ContestData();
        ContestData contestDataB = new ContestData();

        contestDataA.setCustomCode("Test");
        contestDataB.setCustomCode("Test");

        int result = contestCustomCodeComparator.compare(contestDataA,
                contestDataB);

        assertEquals(0, result);
    }

    @Test
    public void compareMayorTest() {
        ContestCustomCodeComparator contestCustomCodeComparator = new ContestCustomCodeComparator();

        ContestData contestDataA = new ContestData();
        ContestData contestDataB = new ContestData();

        contestDataA.setCustomCode("YES");
        contestDataB.setCustomCode("NO");

        int result = contestCustomCodeComparator.compare(contestDataA,
                contestDataB);

        assertTrue(result > 0);
    }

    @Test
    public void compareMinorTest() {
        ContestCustomCodeComparator contestCustomCodeComparator = new ContestCustomCodeComparator();

        ContestData contestDataA = new ContestData();
        ContestData contestDataB = new ContestData();

        contestDataA.setCustomCode("NO");
        contestDataB.setCustomCode("YES");

        int result = contestCustomCodeComparator.compare(contestDataA,
                contestDataB);

        assertTrue(result < 0);
    }
}
