package com.smartmatic.waffle.ecm.service.impl;

import javax.ejb.Local;

import org.jboss.ejb3.annotation.Service;

import com.smartmatic.waffle.ecm.service.spec.IECMNominationServiceLocal;
import com.smartmatic.waffle.ecm.service.spec.IECMProcessedContestsManager;
import com.smartmatic.waffle.ecm.service.spec.IECMProcessedContestsSingletonLocal;

/**
 * Class used as a singleton to share the amount of processed contests variable
 * among stateless beans.
 *
 */
@Service(objectName = "jboss:custom=Singleton")
@Local(IECMNominationServiceLocal.class)
public class ECMProcessedContestsServiceImpl implements
		IECMProcessedContestsManager, IECMProcessedContestsSingletonLocal {

	private int processedContests;

	@Override
	public int getProcessedContests() {
		return this.processedContests;
	}

	@Override
	public void setProcessedContests(int processedContests) {
		this.processedContests = processedContests;
	}

}
