/**
 * ECMBulkDataLoadServiceImplMockClasses.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.service.stub;

import java.io.IOException;

import com.smartmatic.waffle.domain.user.IUser;
import com.smartmatic.waffle.ecm.bulk.service.lang.BulkLoadException;
import com.smartmatic.waffle.ecm.data.transfer.objects.BulkResultDTO;
import com.smartmatic.waffle.ecm.data.transfer.type.BulkStoreMode;
import com.smartmatic.waffle.ecm.data.transfer.type.EMLFileType;
import com.smartmatic.waffle.ecm.service.impl.ECMBulkDataLoadServiceImpl;
import com.smartmatic.waffle.ecm.service.lang.BulkDataLoadException;
import com.smartmatic.waffle.ecm.service.lang.UtilitiesException;
import com.smartmatic.waffle.ecm.service.transformData.DataTransformation;

/**
 * Class that hold all mock inner classes needed to test
 * ECMBulkDataLoadServiceImpl.
 */
public class ECMBulkDataLoadServiceImplMockClasses {

	/**
	 * Inner class to test <code>uploadSmttFileIntoDataBase</code> method.
	 */
	public class ECMBulkService extends ECMBulkServiceStub {

		/*
		 * (non-Javadoc)
		 * 
		 * @see
		 * com.smartmatic.waffle.ecm.service.stub.ECMBulkServiceLocalStub#bulkLoad
		 * (byte[], byte[], com.smartmatic.waffle.domain.user.IUser,
		 * com.smartmatic.waffle.ecm.bulk.service.type.BulkStoreModeType)
		 */
		@Override
		public BulkResultDTO bulkLoad(byte[] xmlData, IUser user,
				BulkStoreMode mode) throws BulkLoadException {

			return new BulkResultDTO();
		}

		/*
		 * (non-Javadoc)
		 * 
		 * @see
		 * com.smartmatic.waffle.ecm.service.stub.ECMBulkServiceLocalStub#bulkLoad
		 * (byte[], byte[], com.smartmatic.waffle.domain.user.IUser,
		 * com.smartmatic.waffle.ecm.bulk.service.type.BulkStoreModeType)
		 */
		@Override
		public BulkResultDTO bulkLoad(byte[] xmlData, byte[] zip, IUser user,
				BulkStoreMode mode) throws BulkLoadException {

			return new BulkResultDTO();
		}
	}

	/**
	 * Stub class for ECMBulkDataLoadServiceImpl class.
	 */
	public class ECMBulkDataLoadServiceImplSmttStub extends
			ECMBulkDataLoadServiceImpl {

		/*
		 * (non-Javadoc)
		 * 
		 * @see
		 * com.smartmatic.waffle.ecm.service.impl.ECMBulkDataLoadServiceImpl#
		 * findTemplateName(java.lang.String)
		 */
		@Override
		public String findTemplateName(String templateName) {
			if (templateName.equals("bulk.template.path.BALLOT_LAYOUT")) {
				return "TemplateXML_ballotLayout.ktr";
			} else {
				return "TemplateXML_smartmaticSites.ktr";
			}

		}

		/*
		 * (non-Javadoc)
		 * 
		 * @see
		 * com.smartmatic.waffle.ecm.service.impl.ECMBulkDataLoadServiceImpl#
		 * initDataTransformation()
		 */
		@Override
		public void initDataTransformation() {
			this.dataTransformation = new DataTransformation("test/resources");
		}
	}

	/**
	 * Stub class for ECMBulkDataLoadServiceImpl class.
	 */
	public class ECMBulkDataLoadServiceImplEMLStub extends
			ECMBulkDataLoadServiceImpl {

		/*
		 * (non-Javadoc)
		 * 
		 * @see
		 * com.smartmatic.waffle.ecm.service.impl.ECMBulkDataLoadServiceImpl#
		 * findTemplateName(java.lang.String)
		 */
		@Override
		public String findKettleTemplateName(EMLFileType emlFileType) {
			if (emlFileType.equals(EMLFileType.ELECTION)) {
				return "TemplateXML_codiNominations_windows1252.ktr";
			} else {
				return "TemplateXML_codiSites.ktr";
			}
		}

		/*
		 * (non-Javadoc)
		 * 
		 * @see
		 * com.smartmatic.waffle.ecm.service.impl.ECMBulkDataLoadServiceImpl#
		 * initDataTransformation()
		 */
		@Override
		public void initDataTransformation() {
			this.dataTransformation = new DataTransformation("test/resources");
		}

		/*
		 * (non-Javadoc)
		 * 
		 * @see
		 * com.smartmatic.waffle.ecm.service.impl.ECMBulkDataLoadServiceImpl
		 * #saveCodiFileInServer(java.lang.String, byte[])
		 */
		@Override
		public void saveEMLFileInServer(String fileToUploadName,
				byte[] fileToUploadContent) throws IOException {
		}

		/*
		 * (non-Javadoc)
		 * 
		 * @see
		 * com.smartmatic.waffle.ecm.service.impl.ECMBulkDataLoadServiceImpl
		 * #setCodiFileNameToContest(java.lang.String, java.lang.String)
		 */
		@Override
		public void setEMLFileNameToContest(String fileToUploadName,
				String contestCustomCode) throws UtilitiesException,
				BulkDataLoadException {
		}
	}
}
