/**
 * BackgroundInitMenu.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.ui;

import com.smartmatic.waffle.domain.security.ApplicationDefinitionEnum;
import com.smartmatic.waffle.domain.security.ProfileData;
import com.smartmatic.waffle.ecm.ui.menu.GeneralMenuDialogController;

/**
 * Class used to generate as a base menu for the current user according profile
 * data.
 */
public class BackgroundInitMenu implements Runnable {

	/** The menu controller. */
	private GeneralMenuDialogController menuController;

	/** The logged profile. */
	private ProfileData loggedProfile;

	/**
	 * Creates a new BackgroundInitMenu instance.
	 * 
	 * @param mc
	 *            the controller for the menu options
	 * @param pd
	 *            the profile data
	 */
	public BackgroundInitMenu(GeneralMenuDialogController mc, ProfileData pd) {
		this.menuController = mc;
		this.loggedProfile = pd;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Runnable#run()
	 */
	@Override
	public void run() {
		this.menuController.showMenu(this.loggedProfile, true,
				ApplicationDefinitionEnum.ECM);
	}

}
