/**
 * ConfigurationEntity.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.ui;

import com.smartmatic.waffle.ecm.ui.menu.MenuConfiguration;
import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamAsAttribute;

/**
 * The Class ConfigurationEntity.
 */
@XStreamAlias("configuration-entity")
public class ConfigurationEntity {

	/** The menu. */
	@XStreamAlias("menu-conf")
	@XStreamAsAttribute
	MenuConfiguration menu;

	/**
	 * Getter of <code>menu</code> property.
	 * 
	 * @return <code>menu</code> property value.
	 * @see #menu
	 */

	public MenuConfiguration getMenu() {
		return this.menu;
	}

	/**
	 * Setter of <code>menu</code> property.
	 * 
	 * @param menu
	 *            The <code>menu</code> to set.
	 * @see #menu
	 */
	public void setMenu(MenuConfiguration menu) {
		this.menu = menu;
	}
}
