/**
 * DialogState.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */

package com.smartmatic.waffle.ecm.ui;

/**
 * Enumeration that contains all the possible states of a Dialog Screen.
 * 
 * @version 1.0 (Dic 1, 2009)
 * @author Yenny Villalba <yenny.villalba@smartmatic.com>
 */
public enum DialogState {

	/**
	 * Indicates that the changes made to the current screen doesn't affect the
	 * rest. Allows tab navigation and concurrent operations.
	 */
	INIT,

	/**
	 * Forbids tab navigation and concurrent operations. On a tab change ask if
	 * the current tab should be abandoned and then reinitialized.
	 */
	CHANGED;

}
