/**
 * TextFieldLimit.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.ui.core;

import javax.swing.text.AttributeSet;
import javax.swing.text.BadLocationException;
import javax.swing.text.PlainDocument;

/**
 * Class used to define a text limit on input fields.
 */
public class TextFieldLimit extends PlainDocument {

	/** The Constant serialVersionUID. */
	private static final long serialVersionUID = -1420070237440112954L;

	/** The limit. */
	private int limit;

	/**
	 * Instantiates a new text field limit.
	 * 
	 * @param limit
	 *            the limit
	 */
	public TextFieldLimit(int limit) {
		super();
		this.limit = limit;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see javax.swing.text.PlainDocument#insertString(int, java.lang.String,
	 * javax.swing.text.AttributeSet)
	 */
	@Override
	public void insertString(int offset, String str, AttributeSet attr)
			throws BadLocationException {
		if (str == null) {
			return;
		}

		if ((getLength() + str.length()) <= this.limit) {
			super.insertString(offset, str, attr);
		}
	}
}