/**
 * GeneralMenuButtonsViewPanel.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.ui.menu;

import java.awt.Color;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.Collection;
import java.util.Hashtable;
import java.util.Set;

import javax.swing.AbstractButton;
import javax.swing.ButtonGroup;
import javax.swing.Icon;
import javax.swing.JButton;
import javax.swing.JPanel;
import javax.swing.JToggleButton;

import com.smartmatic.waffle.domain.security.ApplicationDefinitionEnum;
import com.smartmatic.waffle.domain.security.FunctionalityDefinitionEnum;

/**
 * Class used to build a general menu panel.
 */
public class GeneralMenuButtonsViewPanel extends AbstractGeneralMenuView
		implements IGeneralMenuView {

	/** The Constant serialVersionUID. */
	private static final long serialVersionUID = 1L;

	/**
	 * Creates new form GeneralMenuButtonsViewPanel.
	 */
	public GeneralMenuButtonsViewPanel() {
		this.initComponents();
		this.setBackground(Color.WHITE);
		this.categoryPanel.setBackground(Color.WHITE);
		this.funcContainerPanel.setBackground(Color.WHITE);
	}

	/**
	 * This method is called from within the constructor to initialize the form.
	 * WARNING: Do NOT modify this code. The content of this method is always
	 * regenerated by the Form Editor.
	 */
	// <editor-fold defaultstate="collapsed"
	// <editor-fold defaultstate="collapsed"
	// <editor-fold defaultstate="collapsed"
	// desc="Generated Code">//GEN-BEGIN:initComponents
	private void initComponents() {

		this.funcContainerPanel = new javax.swing.JPanel();
		this.menuTitleLabel = new javax.swing.JLabel();
		this.jPanel1 = new javax.swing.JPanel();
		this.categoryPanel = new javax.swing.JPanel();
		this.jPanel2 = new javax.swing.JPanel();
		this.closeButton = new javax.swing.JButton();

		this.funcContainerPanel.setName("funcContainerPanel"); // NOI18N
		this.funcContainerPanel.setLayout(new java.awt.GridLayout(1, 1));

		this.menuTitleLabel
				.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
		this.menuTitleLabel.setName("menuTitleLabel"); // NOI18N

		this.jPanel1.setBorder(javax.swing.BorderFactory.createEtchedBorder());
		this.jPanel1.setName("jPanel1"); // NOI18N
		this.jPanel1.setPreferredSize(new java.awt.Dimension(50, 361));
		this.jPanel1.setLayout(new java.awt.BorderLayout());

		this.categoryPanel.setName("categoryPanel"); // NOI18N
		this.categoryPanel.setPreferredSize(new java.awt.Dimension(50, 45));
		this.categoryPanel.setLayout(new javax.swing.BoxLayout(
				this.categoryPanel, javax.swing.BoxLayout.Y_AXIS));
		this.jPanel1.add(this.categoryPanel, java.awt.BorderLayout.CENTER);

		this.jPanel2.setName("jPanel2"); // NOI18N
		this.jPanel2.setLayout(new java.awt.BorderLayout());

		this.closeButton.setName("closeButton"); // NOI18N
		this.closeButton.addActionListener(new java.awt.event.ActionListener() {
			@Override
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				GeneralMenuButtonsViewPanel.this
						.closeButtonActionPerformed(evt);
			}
		});
		this.jPanel2.add(this.closeButton, java.awt.BorderLayout.CENTER);

		this.jPanel1.add(this.jPanel2, java.awt.BorderLayout.SOUTH);

		javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
		this.setLayout(layout);
		layout.setHorizontalGroup(layout
				.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
				.addGroup(
						layout.createSequentialGroup()
								.addComponent(this.jPanel1,
										javax.swing.GroupLayout.PREFERRED_SIZE,
										57,
										javax.swing.GroupLayout.PREFERRED_SIZE)
								.addPreferredGap(
										javax.swing.LayoutStyle.ComponentPlacement.RELATED)
								.addGroup(
										layout.createParallelGroup(
												javax.swing.GroupLayout.Alignment.TRAILING)
												.addComponent(
														this.menuTitleLabel,
														javax.swing.GroupLayout.DEFAULT_SIZE,
														331, Short.MAX_VALUE)
												.addComponent(
														this.funcContainerPanel,
														javax.swing.GroupLayout.DEFAULT_SIZE,
														331, Short.MAX_VALUE))));
		layout.setVerticalGroup(layout
				.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
				.addGroup(
						layout.createSequentialGroup()
								.addComponent(this.menuTitleLabel,
										javax.swing.GroupLayout.PREFERRED_SIZE,
										29,
										javax.swing.GroupLayout.PREFERRED_SIZE)
								.addPreferredGap(
										javax.swing.LayoutStyle.ComponentPlacement.RELATED)
								.addComponent(this.funcContainerPanel,
										javax.swing.GroupLayout.DEFAULT_SIZE,
										265, Short.MAX_VALUE))
				.addComponent(this.jPanel1,
						javax.swing.GroupLayout.DEFAULT_SIZE, 300,
						Short.MAX_VALUE));
	}// </editor-fold>//GEN-END:initComponents

	/**
	 * Close button action performed.
	 * 
	 * @param evt
	 *            the evt
	 */
	private void closeButtonActionPerformed(java.awt.event.ActionEvent evt) {// GEN-FIRST:event_closeButtonActionPerformed
		if (this.closeActionListener != null) {

			this.closeActionListener.actionPerformed(evt);
		}
	}// GEN-LAST:event_closeButtonActionPerformed

	// Variables declaration - do not modify//GEN-BEGIN:variables
	/** The category panel. */
	private javax.swing.JPanel categoryPanel;

	/** The close button. */
	private javax.swing.JButton closeButton;

	/** The func container panel. */
	private javax.swing.JPanel funcContainerPanel;

	/** The j panel1. */
	private javax.swing.JPanel jPanel1;

	/** The j panel2. */
	private javax.swing.JPanel jPanel2;

	/** The menu title label. */
	private javax.swing.JLabel menuTitleLabel;

	// End of variables declaration//GEN-END:variables

	/**
	 * Displays the menu with the list of categories received.
	 * 
	 * @param menuCategories
	 *            The collection of categories to display in the menu
	 * @param app
	 *            the app
	 */
	@Override
	public void setMenuConfiguration(Collection<BasicMenuItem> menuCategories,
			ApplicationDefinitionEnum app) {
		// clears the menu
		this.categoryPanel.removeAll();

		// creates the button group and the action lister that will be set to
		// each category button
		ButtonGroup buttonsGroup = new ButtonGroup();
		ActionListener categoryButtonActionListener = new ActionListener() {
			@Override
			public void actionPerformed(ActionEvent evt) {
				GeneralMenuButtonsViewPanel.this
						.categoryButtonActionPerformed(evt);
			}
		};

		ActionListener funcButtonActionListener = new ActionListener() {
			@Override
			public void actionPerformed(ActionEvent evt) {
				GeneralMenuButtonsViewPanel.this.funcButtonActionPerformed(evt);
			}
		};

		boolean firstButtonSelected = false;

		// initializes the table of menu categories and is linked panel
		this.categoryPanelMap = new Hashtable<BasicMenuItem, JPanel>();

		// Iterates over the list of categories and construct the category
		// buttons
		// and its panel
		for (BasicMenuItem menuCategoryData : menuCategories) {
			Icon buttonIcon = this.resourceMap.getIcon(menuCategoryData
					.getIconResource());
			JToggleButton categoryButton = new JToggleButton(buttonIcon);
			categoryButton.setName(menuCategoryData.getCategoryTitle());
			categoryButton.addActionListener(categoryButtonActionListener);
			buttonsGroup.add(categoryButton);
			this.categoryPanel.add(categoryButton);
			if (menuCategoryData instanceof MenuCategoryItem) {
				JPanel funcPanel = this.buildPanelByMenuCategory(
						(MenuCategoryItem) menuCategoryData,
						funcButtonActionListener, app);
				this.categoryPanelMap.put(menuCategoryData, funcPanel);
			} else {
				categoryButton
						.setName(((FunctionalityShortcutMenuItem) menuCategoryData)
								.getFunctionality().toString());
				categoryButton.addActionListener(funcButtonActionListener);
			}

			// Marks the first button as the one selected
			if (firstButtonSelected == false) {
				categoryButton.doClick();
				firstButtonSelected = true;
			}
		}

	}

	/**
	 * Listen to the action performed event triggered by the category buttons.
	 * The category buttons are those that group a list of functionalities in
	 * the menu.
	 * 
	 * @param evt
	 *            The event triggered
	 */
	private void categoryButtonActionPerformed(ActionEvent evt) {
		JToggleButton sourceButton = (JToggleButton) evt.getSource();
		String categoryName = sourceButton.getName();

		Set<BasicMenuItem> categoryEnum = this.categoryPanelMap.keySet();
		for (BasicMenuItem actualMenuCategory : categoryEnum) {

			if (actualMenuCategory.getCategoryTitle().compareTo(categoryName) == 0) {
				JPanel selectedPanel = this.categoryPanelMap
						.get(actualMenuCategory);
				this.funcContainerPanel.removeAll();
				this.funcContainerPanel.add(selectedPanel);
				String name = actualMenuCategory.getCategoryTitle();
				String text = this.resourceMap.getString(name).toUpperCase();
				this.menuTitleLabel.setFont(this.menuTitleLabel.getFont()
						.deriveFont(
								this.menuTitleLabel.getFont().getStyle()
										| java.awt.Font.BOLD, 22));
				this.menuTitleLabel.setText(text);
				this.funcContainerPanel.repaint();
				return;
			}
		}
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see com.smartmatic.waffle.ecm.ui.menu.IGeneralMenuView#
	 * showFunctionalityByEnumValue
	 * (com.smartmatic.waffle.domain.security.FunctionalityDefinitionEnum)
	 */
	@Override
	public void showFunctionalityByEnumValue(
			FunctionalityDefinitionEnum funcToShow) {
		if (this.funcSelectedDispatcher != null) {
			JPanel funcPanel = this.funcSelectedDispatcher
					.functionalitySelected(funcToShow, true);
			if (funcPanel != null) {
				this.funcContainerPanel.removeAll();
				this.funcContainerPanel.add(funcPanel);
				String name = funcToShow.toString();
				String text = this.resourceMap.getString(name).toUpperCase();
				this.menuTitleLabel.setFont(this.menuTitleLabel.getFont()
						.deriveFont(
								this.menuTitleLabel.getFont().getStyle()
										| java.awt.Font.BOLD, 22));
				this.menuTitleLabel.setText(text);
				this.funcContainerPanel.repaint();
			}
		}
	}

	/**
	 * Func button action performed.
	 * 
	 * @param evt
	 *            the evt
	 */
	private void funcButtonActionPerformed(ActionEvent evt) {
		AbstractButton sourceButton = (AbstractButton) evt.getSource();
		String funcName = sourceButton.getName();

		FunctionalityDefinitionEnum funcSelected = Enum.valueOf(
				FunctionalityDefinitionEnum.class, funcName);

		if (this.funcSelectedDispatcher != null) {
			JPanel funcPanel = this.funcSelectedDispatcher
					.functionalitySelected(funcSelected, true);
			if (funcPanel != null) {
				this.funcContainerPanel.removeAll();
				this.funcContainerPanel.add(funcPanel);
				String name = funcSelected.toString();
				String text = this.resourceMap.getString(name).toUpperCase();
				this.menuTitleLabel.setFont(this.menuTitleLabel.getFont()
						.deriveFont(
								this.menuTitleLabel.getFont().getStyle()
										| java.awt.Font.BOLD, 22));
				this.menuTitleLabel.setText(text);
				this.funcContainerPanel.repaint();
			}
		}
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see com.smartmatic.waffle.ecm.ui.menu.IGeneralMenuView#showCloseButton(
	 * boolean)
	 */
	@Override
	public void showCloseButton(boolean showCloseButton) {
		this.closeButton.setVisible(showCloseButton);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * com.smartmatic.waffle.ecm.ui.menu.IGeneralMenuView#showPopupPanel(javax
	 * .swing.JPanel, boolean)
	 */
	@Override
	public void showPopupPanel(JPanel thePanel, boolean fixedSize) {
		return;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * com.smartmatic.waffle.ecm.ui.menu.IGeneralMenuView#showPopupPanel(javax
	 * .swing.JPanel, boolean, javax.swing.JButton)
	 */
	@Override
	public void showPopupPanel(JPanel thePanel, boolean theFixedSize,
			JButton theCloseButton) {
		return;
	}

}
