package com.smartmatic.waffle.ecm.ui.util;

import static org.junit.Assert.assertEquals;

import org.junit.Test;

/**
 * Test class for UnicodeTextField
 * 
 */
public class UnicodeTextFieldTest {

	@Test
	public void testParseUnicodeString() {

		String test1 = "0050";
		String test2 = "0209";

		UnicodeTextField uTxt = new UnicodeTextField(12);

		assertEquals("P", uTxt.codePointToChar(test1));
		assertEquals("\u0209", uTxt.codePointToChar(test2));
	}

	@Test(expected = NumberFormatException.class)
	public void testParseUnicodeStringFailure() {
		String original = "00p1";

		UnicodeTextField uTxt = new UnicodeTextField(12);

		assertEquals("A", uTxt.codePointToChar(original));
	}

	@Test
	public void testGetUnicodeLength() {
		UnicodeTextField uTxt = new UnicodeTextField(5);

		String combiningAtLast = "abcde\u0300";
		String combiningAtMiddle = "a\u0300bcde";
		String multiplesUnicodes = "a\u0300b\u0301c\u0302d\u0300e";
		String withoutUnicode = "abcde";
		String withNotCombiningUnicode = "abcd\u0209e";

		assertEquals(5, uTxt.getUnicodeLength(combiningAtLast));
		assertEquals(5, uTxt.getUnicodeLength(combiningAtMiddle));
		assertEquals(5, uTxt.getUnicodeLength(multiplesUnicodes));
		assertEquals(5, uTxt.getUnicodeLength(withoutUnicode));
		assertEquals(6, uTxt.getUnicodeLength(withNotCombiningUnicode));
	}
}
