/**
 * WorkflowData.java
 * 
 * Revision: $Revision$ (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.workflow.service.spec;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.SequenceGenerator;
import javax.persistence.Version;

import com.smartmatic.waffle.domain.IBaseDataObject;

/**
 * The Class used to map a workflow entity.
 */
@Entity(name = "workflow")
public class WorkflowData implements IBaseDataObject {

    /** The code. */
    private Long code;

    /** The session id. */
    private int sessionId;

    /** The process id. */
    private long processId;

    /** The version. */
    private int version;

    /** The work item id. */
    private Long workItemId;

    /** The step. */
    private int step;

    /** The Constant serialVersionUID. */
    private static final long serialVersionUID = 1L;

    /*
     * (non-Javadoc)
     * 
     * @see com.smartmatic.domain.IBaseDataObject#getVersion()
     */
    @Override
    @Version
    public int getVersion() {
        return this.version;
    }

    /*
     * (non-Javadoc)
     * 
     * @see com.smartmatic.domain.IBaseDataObject#setVersion(int)
     */
    @Override
    public void setVersion(int version) {
        this.version = version;

    }

    /**
     * Gets the code.
     * 
     * @return the code
     */
    @Id
    @GeneratedValue(strategy = GenerationType.AUTO, generator = "s_workflow")
    @SequenceGenerator(name = "s_workflow", sequenceName = "s_workflow", allocationSize = 1, initialValue = 1)
    @Column(name = "workflow_code")
    public Long getCode() {
        return this.code;
    }

    /**
     * Sets the code.
     * 
     * @param code
     *            the code to set
     */
    public void setCode(Long code) {
        this.code = code;
    }

    /**
     * Gets the session id.
     * 
     * @return the sessionId
     */
    @Column(nullable = false)
    public int getSessionId() {
        return this.sessionId;
    }

    /**
     * Sets the session id.
     * 
     * @param sessionId
     *            the sessionId to set
     */
    public void setSessionId(int sessionId) {
        this.sessionId = sessionId;
    }

    /**
     * Gets the process id.
     * 
     * @return the processId
     */
    @Column(nullable = false)
    public long getProcessId() {
        return this.processId;
    }

    /**
     * Sets the process id.
     * 
     * @param processId
     *            the processId to set
     */
    public void setProcessId(long processId) {
        this.processId = processId;
    }

    /**
     * Gets the work item id.
     * 
     * @return the workItemId
     */
    public Long getWorkItemId() {
        return this.workItemId;
    }

    /**
     * Sets the work item id.
     * 
     * @param workItemId
     *            the workItemId to set
     */
    public void setWorkItemId(Long workItemId) {
        this.workItemId = workItemId;
    }

    /**
     * Gets the step.
     * 
     * @return the step
     */
    public int getStep() {
        return this.step;
    }

    /**
     * Sets the step.
     * 
     * @param step
     *            the new step to set
     */
    public void setStep(int step) {
        this.step = step;
    }

}
