/**
 * CommonDestinationInfo.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.localpersistence;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Interface that defines a contract about the destination info.
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.FIELD)
public @interface CommonDestinationInfo {

	/**
	 * File type.
	 * 
	 * @return the destination type
	 */
	DestinationType type() default DestinationType.FOLDER;

	/**
	 * File existence type.
	 * 
	 * @return the existence type
	 */
	Existence existence() default Existence.OPTIONAL;

	/**
	 * Existence level.
	 * 
	 * @return the integer value that represent the existence level.
	 */
	int existenceLevel() default 0;

	/**
	 * Enum that hold if the file is plain or encrypted.
	 * 
	 * @return the encryption
	 */
	Encryption encryption() default Encryption.PLAIN;

}
