/**
 * DummyAppender.java
 *
 * $Revision: 1.4 $ ($Date: 2011-04-06 04:43:03 $)
 *
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.log.custom.appender;

import org.apache.log4j.AppenderSkeleton;
import org.apache.log4j.spi.LoggingEvent;

/**
 * This class provides the code for a minimal empty logger.
 * 
 * @author Carlos Lameda (carlos.lameda@smartmatic.com)
 * @version 1.0 (Nov 6, 2009)
 */
public class DummyAppender extends AppenderSkeleton {

	/**
	 * Empty log method
	 * 
	 * @param event
	 *            The event to append
	 */
	@Override
	protected void append(LoggingEvent event) {
		return;
	}

	/**
	 * Empty close method
	 */
	@Override
	public void close() {
		return;
	}

	/**
	 * Layout is required, then the configurator will configure an layout using
	 * the configuration information at its disposal.
	 */
	@Override
	public boolean requiresLayout() {
		return true;
	}

}
