/**
 * LoggingPathProvider.java
 *
 * $Revision: 1.4 $ ($Date: 2011-04-06 04:43:03 $)
 *
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.log.custom.appender;

/**
 * Interface used to log messages inside a file
 * 
 * @author Carlos Lameda (carlos.lameda@smartmatic.com)
 * @version 1.0 (Nov 6, 2009)
 */
public interface LoggingPathProvider {

	/**
	 * Location of the target directory. It must be implemented
	 * 
	 * @return target directory
	 * @see #loggingDir
	 */
	String getTargetDirectory();

	/**
	 * Location of the target directory. It must be implemented
	 * 
	 * @return target file name
	 * @see #loggingFile
	 */
	String getTargetFilename();

}
