/**
 * SimpleLoggingPathProvider.java
 *
 * $Revision: 1.4 $ ($Date: 2011-04-06 04:43:03 $)
 *
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.log.custom.appender;

/**
 * Class used to log messages inside a file
 * 
 * @author Carlos Lameda (carlos.lameda@smartmatic.com)
 * @version 1.0 (Nov 6, 2009)
 */
public class SimpleLoggingPathProvider implements LoggingPathProvider {

	/**
	 * Main logging directory
	 */
	private String loggingDir = ".\\";

	/**
	 * Main logging file
	 */
	private String loggingFile = "sppFile.log";

	/**
	 * Getter of <code>loggingDir</code> property.
	 * 
	 * @return <code>loggingDir</code> property value.
	 * @see #loggingDir
	 */
	public String getLoggingDir() {
		return this.loggingDir;
	}

	/**
	 * Setter of <code>loggingDir</code> property.
	 * 
	 * @param loggingDir
	 *            The <code>loggingDir</code> to set.
	 * @see #loggingDir
	 */
	public void setLoggingDir(String loggingDir) {
		this.loggingDir = loggingDir;
	}

	/**
	 * Getter of <code>loggingFile</code> property.
	 * 
	 * @return <code>loggingFile</code> property value.
	 * @see #loggingFile
	 */
	public String getLoggingFile() {
		return this.loggingFile;
	}

	/**
	 * Setter of <code>loggingFile</code> property.
	 * 
	 * @param loggingFile
	 *            The <code>loggingFile</code> to set.
	 * @see #loggingFile
	 */
	public void setLoggingFile(String loggingFile) {
		this.loggingFile = loggingFile;
	}

	/**
	 * Getter of <code>loggingDir</code> property.
	 * 
	 * @return <code>loggingDir</code> property value.
	 * @see #loggingDir
	 */
	@Override
	public String getTargetDirectory() {
		return getLoggingDir();
	}

	/**
	 * Getter of <code>loggingFile</code> property.
	 * 
	 * @return <code>loggingFile</code> property value.
	 * @see #loggingFile
	 */
	@Override
	public String getTargetFilename() {
		return getLoggingFile();
	}

}
