/**
 * CryptoLayoutTransformer.java
 *
 * $Revision: 1.3 $ ($Date: 2009-11-07 04:18:57 $)
 *
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.log.custom.layout;

/**
 * Layout Class used with Log4j to encrypt / decrypt the logging of the
 * application.
 * 
 * @author Daniel Mora daniel.mora@smartmatic.com
 * @version 1.0
 * @since jdk.1.6.0_11
 */
public interface CryptoLayoutTransformer {

	/**
	 * Method that receives a plainData and return it encrypted.
	 * 
	 * @param plainData
	 *            the plainData to be encrypted
	 * @return the encrypted data.
	 */
	String encryptString(String plainData);

	/**
	 * Method that receives a encrypted data and and return it plain.
	 * 
	 * @param encyptedData
	 *            the encrypted data to be encrypted.
	 * @return the plain data.
	 */
	String decryptString(String encyptedData);

}
