/**
 * GeneratedPropertyAnnotation.java
 *
 * $Revision: 1.3 $ ($Date: 2011-04-06 04:45:13 $)
 *
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */

package com.smartmatic.waffle.persistence.metadata;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Annotation used to allow to automatically create a property of any object.
 * 
 * @version 1.0 (05/04/2005)
 * @author Ithamar Torres
 */

@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.METHOD)
public @interface GeneratedPropertyAnnotation {

	/**
	 * Fully Qualified name of the class that has to generate the information of
	 * the object.
	 */

	String generatorClass();

	/**
	 * Property to use to set the value that the generator has to create.
	 */

	String property() default "";
}
