/**
 * ISearchCriteria.java
 *
 * $Revision: 1.2 $ ($Date: 2009-11-09 22:04:12 $)
 *
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */

package com.smartmatic.waffle.persistence.search.criteria;

import java.io.Serializable;

/**
 * An object-oriented representation of a query criterion that may be used as a
 * constraint in a <tt>Criteria</tt> query. Built-in criterion types are
 * provided by the <tt>Expression</tt> factory class. This interface might be
 * implemented by application classes but, more commonly, application criterion
 * types would extend <tt>AbstractCriterion</tt>.
 * 
 * @see saes.ems.generic.search.AbstractCriterion
 * @see com.smartmatic.waffle.persistence.search.criteria.CriteriaFactory
 * @author Ithamar Torres
 */

public interface ISearchCriteria extends Serializable {
}
