/**
 * IdentifierEqCriteria.java
 *
 * $Revision: 1.3 $ ($Date: 2011-04-06 04:45:07 $)
 *
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.persistence.search.criteria;

/**
 * 
 * Represent an identifier constraint
 * 
 * @version 1.0 (22/02/2005)
 * @author Ithamar Torres
 */

public class IdentifierEqCriteria implements ISearchCriteria {

	/**
	 * Holds the serialization id of the class
	 */
	private static final long serialVersionUID = 1570883309964147132L;

	/**
	 * Value used with the property defined as the parameter to the operation
	 * that will be performed
	 */
	private final Object value;

	/**
	 * Constructor of a IdentifierEqCriteria
	 * 
	 * @param value
	 *            The id to search
	 */

	protected IdentifierEqCriteria(Object value) {
		this.value = value;
	}

	/**
	 * Getter of <code>value</code> property.
	 * 
	 * @return <code>value</code> property value.
	 * @see #value
	 */

	public Object getValue() {
		return this.value;
	}
}
