/**
 * NotCriteria.java
 *
 * $Revision: 1.3 $ ($Date: 2011-04-06 04:44:54 $)
 *
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.persistence.search.criteria;

/**
 * Negates another criterion
 * 
 * @author Ithamar Torres
 */
public class NotCriteria implements ISearchCriteria {

	/**
	 * Holds the serialization id of the class
	 */

	private static final long serialVersionUID = -4623764002551231141L;
	/**
	 * Criteria that will be negated.
	 */

	private ISearchCriteria criteria;

	/**
	 * Constructor of a NotExpression.
	 * 
	 * @param criteria
	 *            The criteria that will be negated
	 */

	NotCriteria(ISearchCriteria criteria) {
		this.criteria = criteria;
	}

	/**
	 * Returns a string representation of the object.
	 * 
	 * @return The string representation of the criteria
	 */
	@Override
	public String toString() {
		return "not " + this.criteria.toString();
	}

	/**
	 * Getter of <code>criteria</code> property.
	 * 
	 * @return <code>criteria</code> property value.
	 * @see #criteria
	 */

	public ISearchCriteria getCriteria() {
		return this.criteria;
	}
}
