/**
 * SqlCriteria.java
 *
 * $Revision: 1.4 $ ($Date: 2011-04-06 04:45:08 $)
 *
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.persistence.search.criteria;

/**
 * Constrains the property to a specified list of values
 * 
 * @author Maria Franco (maria.franco@smartmatic.com)
 */

public class SqlCriteria implements ISearchCriteria {

	/**
	 * Holds the serialization id of the class
	 */
	private static final long serialVersionUID = 6173898170577929556L;

	/**
	 * Getter of <code>propertyName</code> property.
	 * 
	 * @return <code>propertyName</code> property value.
	 * @see #sql
	 */

	public String getSql() {
		return this.sql;
	}

	/**
	 * The SQL query
	 */

	private final String sql;

	/**
	 * Constructor of a IlikeExpression
	 * 
	 * @param sql
	 *            Property that will be used in the <code>in</code> evaluation
	 */

	public SqlCriteria(String sql) {
		this.sql = sql;
	}

	/**
	 * Builds the String object representation
	 * 
	 * @return The String object representation
	 */
	@Override
	public String toString() {
		return this.sql;
	}

}
