/**
 * DistinctTransformation.java
 *
 * $Revision: 1.3 $ ($Date: 2011-04-06 04:45:09 $)
 *
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.persistence.search.transformation;

/**
 * Applies distinct to the supplied transformation.
 * 
 * @version 1.0 (10/05/2006)
 * @author Carlos Ramirez (cramirez@smartmatic.com)
 */

public class DistinctTransformation implements ITransformation {

	/**
	 * Holds the serialization id of the class
	 */
	private static final long serialVersionUID = -2136113707706119459L;

	/**
	 * Transformation which the distinct will be applied
	 */
	private ITransformation targetTransformation;

	/**
	 * Creates a new instance with the supplied taret transformation
	 * 
	 * @param theTargetTransformation
	 *            Transformation which the distinct will be applied
	 */
	public DistinctTransformation(ITransformation theTargetTransformation) {
		this.targetTransformation = theTargetTransformation;
	}

	/**
	 * Getter of <code>targetTransformation</code> property.
	 * 
	 * @return <code>targetTransformation</code> property value.
	 * @see #targetTransformation
	 */

	public ITransformation getTargetTransformation() {
		return this.targetTransformation;
	}

	/**
	 * Setter of <code>targetTransformation</code> property.
	 * 
	 * @param theTargetTransformation
	 *            The <code>targetTransformation</code> to set.
	 * @see #targetTransformation
	 */
	public void setTargetTransformation(ITransformation theTargetTransformation) {
		this.targetTransformation = theTargetTransformation;
	}

}
