/**
 * MaxTransformation.java
 *
 * $Revision: 1.3 $ ($Date: 2011-04-06 04:45:08 $)
 *
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.persistence.search.transformation;

/**
 * Transformation used to obtain the maximum value of a property from a query.
 * 
 * @version 1.0 (16/04/2005)
 * @author Carlos Lameda (carlos.lameda@smartmatic.com)
 */
public class MaxTransformation implements ITransformation {

	/**
	 * Holds the serialization id of the class
	 */

	private static final long serialVersionUID = 7782836537239501673L;

	/**
	 * The property which will be used in the max clause
	 */

	private String property;

	/**
	 * Getter of <code>criteria</code> property.
	 * 
	 * @return <code>criteria</code> property value.
	 * @see #criteria
	 */

	public String getProperty() {
		return this.property;
	}

	/**
	 * Getter of <code>criteria</code> property.
	 * 
	 * @return <code>criteria</code> property value.
	 * @see #criteria
	 */

	public void setProperty(String property) {
		this.property = property;
	}

	/**
	 * Constructor used to create a MaxTransformation with the property used
	 * already set.
	 * 
	 * @param property
	 *            Property name used in transformation
	 */

	protected MaxTransformation(String property) {
		this.property = property;
	}
}
