/**
 * EligibleOptionDataValidator.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.validator.eligibleoption;

import com.smartmatic.waffle.domain.eligibleoption.EligibleOptionData;
import com.smartmatic.waffle.validator.ObjectDataValidator;
import com.smartmatic.waffle.validator.ObjectDataValidatorException;
import com.smartmatic.waffle.validator.ValidatorEligibleOption;

/**
 * Class used to validate Eligible Option Data.
 */
public class EligibleOptionDataValidator extends
		ObjectDataValidator<EligibleOptionData> {

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * com.smartmatic.validator.ObjectDataValidator#prePersist(java.lang.Object
	 * )
	 */
	@Override
	public void prePersist(EligibleOptionData component)
			throws ObjectDataValidatorException {
		if (component.getBallotName() == null
				|| component.getBallotName().trim().isEmpty()) {
			throw new EligibleOptionDataValidatorException(
					EligibleOptionDataValidatorException.ExceptionInfo.EMPTY_REQUIRED_FIELDS,
					new Exception());
		}
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * com.smartmatic.validator.ObjectDataValidator#postPersist(java.lang.Object
	 * )
	 */
	@Override
	public void postPersist(EligibleOptionData component)
			throws ObjectDataValidatorException {
		ValidatorEligibleOption v = new ValidatorEligibleOption();
		v.prePersist(component);
	}
}
