package com.smartmatic.waffle.validator.i18;

import com.smartmatic.waffle.lang.IExceptionInfo;
import com.smartmatic.waffle.validator.ObjectDataValidatorException;

/**
 * This exception is thrown by LanguageDataValidator if validations fails.
 */
public class LanguageDataValidationException extends
		ObjectDataValidatorException {

	/**
	 * The Constant serialVersionUID.
	 */
	private static final long serialVersionUID = 3325328914797854545L;

	/**
	 * The Enum ExceptionInfo.
	 */
	public enum ExceptionInfo implements IExceptionInfo {

		/** The incomplete voice information. */
		INCOMPLETE_VOICE_INFORMATION,

		/** The voice file missing. */
		VOICE_FILES_MISSING, ;

		/**
		 * Getter of <code>message</code> property.
		 * 
		 * @return <code>message</code> property value.
		 * @see #message
		 */

		@Override
		public String getMessage() {
			return this.getClass().getName() + "." + this.toString();
		}
	}

	/**
	 * Instantiates a new language data validation exception.
	 * 
	 * @param exceptionInfo
	 *            the exception info
	 * @param inner
	 *            the inner
	 */
	public LanguageDataValidationException(IExceptionInfo exceptionInfo,
			Exception inner) {
		super(exceptionInfo, inner);
	}
}
