/**
 * IBaseDataObject.java
 *
 * $Revision: 1.6 $ ($Date: 2011-04-06 05:08:29 $)
 *
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.domain;

import java.io.Serializable;

/**
 * Base interface that defines the basic contract that has to implement any
 * object to be considered a persistent object in the project.
 * 
 * @author Ithamar Torres (itorres@smartmatic.com)
 * @version 1.0 (Jan 9, 2008)
 */
public interface IBaseDataObject extends Serializable {

	/**
	 * Getter of <code>version</code> property.
	 * 
	 * @author Ithamar Torres (itorres@smartmatic.com)
	 * @return <code>version</code> property value.
	 * @see #version
	 */
	public abstract int getVersion();

	/**
	 * Setter of <code>version</code> property.
	 * 
	 * @author Ithamar Torres (itorres@smartmatic.com)
	 * @param version
	 *            The <code>version</code> to set.
	 * @see #version
	 */
	public abstract void setVersion(int version);

	/**
	 * It is a generic implementation of equals method
	 * 
	 * @param anObject
	 *            The other object to compare
	 * @return True if the objects are equals, false if they don not
	 */
	@Override
	public abstract boolean equals(Object anObject);

	/**
	 * It is a generic implementation of hashCode method
	 * 
	 * @return The integer representing the instance hash code
	 */
	@Override
	public abstract int hashCode();

}