/**
 * IBinaryDataWrapper.java
 *
 * $Revision: 1.7 $ ($Date: 2011-04-06 05:08:30 $)
 *
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.domain.bulk;

import java.io.Serializable;

/**
 * Base interface used by the bulk loading system to store binary data in a
 * application independent fashion.
 * 
 * @author Ithamar Torres (itorres@smartmatic.com)
 * @version 1.0 (Aug 13, 2007)
 */
public interface IBinaryDataWrapper extends Serializable {

	/**
	 * Base method required to implement to support binary references in the
	 * bulk data loading module
	 * 
	 * @param data
	 *            The binary information
	 */

	public void setBinaryData(byte[] data);

	/**
	 * Base method required to implement to support binary references in the
	 * bulk data loading module
	 * 
	 * @return theBinaryData
	 */

	public byte[] getBinaryData();

}
