/**
 * EqualsFieldAnnotation.java
 *
 * $Revision: 1.3 $ ($Date: 2009-11-06 20:17:57 $)
 *
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.lang.annotations.basic;

import static java.lang.annotation.ElementType.FIELD;
import static java.lang.annotation.RetentionPolicy.RUNTIME;

import java.lang.annotation.Retention;
import java.lang.annotation.Target;

/**
 * It is used to mark those fields required by hashCode and equals method in
 * domain, we need to mark these fields due to in BaseDataObject class, there is
 * a generic implementation of hashCode and equals methods using
 * java.lang.reflect api.
 * 
 * @version 1.0 (Apr 9, 2007)
 * @author Luis Felipe Barrera (lbarrera@smartmatic.com)
 * @see com.smartmatic.waffle.domain.BaseDataObject
 */

@Target(FIELD)
@Retention(RUNTIME)
public @interface EqualsFieldAnnotation {
}
