/**
 * ValidatorListener.java
 *
 * $Revision: 1.2 $ ($Date: 2009-11-06 20:17:57 $)
 *
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.lang.annotations.basic;

import static java.lang.annotation.ElementType.TYPE;
import static java.lang.annotation.RetentionPolicy.RUNTIME;

import java.lang.annotation.Retention;
import java.lang.annotation.Target;

/**
 * Annotation used to identify the entity listeners registered in a entity. It
 * is equivalent to the ValidatorListener interface provided in EJB 3. But this
 * interface does not require that the entity project references the validator
 * project [if exist]
 * 
 * @version 1.0 (16/08/2007)
 * @author Héctor Rodríguez (hector.rodriguez@smartmatic.com)
 */
@Target(TYPE)
@Retention(RUNTIME)
public @interface ValidatorListener {
	String name();
}
