#!/bin/bash

PROPERTIES_DEST="properties"
IMAGES_DEST="images"
WORKFLOW_DEST="workflow"
KETTLER_DEST="kettler"

RESOURCES_TAR="resources.tar.gz"

cd ..

echo starting
rm -r $IMAGES_DEST
mkdir $IMAGES_DEST

rm -r $WORKFLOW_DEST
mkdir $WORKFLOW_DEST

rm -r $KETTLER_DEST
mkdir $KETTLER_DEST


RESOURCES[0]="WaffleServer/com.smartmatic.waffle.ecm.ui/src/com/smartmatic/waffle/ecm/ui/resources"
RESOURCES[1]="WaffleServer/com.smartmatic.waffle.ecm.client/appClientModule/com/smartmatic/waffle/ecm/client/resources"

WORKFLOW="WaffleServer/com.smartmatic.waffle.ecm.workflow/ejbModule/resources"
KETTLER="WaffleServer/waffle_deploy_configs/ecm-jboss-config/template"


for i in "${RESOURCES[@]}"
do
   cp -r --parents $i $IMAGES_DEST
done
echo finished

rm -r $PROPERTIES_DEST
mkdir $PROPERTIES_DEST
cd $IMAGES_DEST
find . -iname "*.properties" -exec cp --parents "{}" "../$PROPERTIES_DEST" \;
find . -iname "*.properties" -delete
find . -type d -empty -delete
cd ..

cp -r --parents $WORKFLOW $WORKFLOW_DEST
cp -r --parents $KETTLER $KETTLER_DEST

tar -czf $RESOURCES_TAR $KETTLER_DEST $WORKFLOW_DEST $IMAGES_DEST $PROPERTIES_DEST

rm -r $PROPERTIES_DEST
rm -r $IMAGES_DEST
rm -r $WORKFLOW_DEST
rm -r $KETTLER_DEST

#find ./ -iname "*.etl" -exec echo "{}" \;


