/**
 * @file	saes-language-controller.cc
 * @brief	saes language controller class.
 * @author	Youssef.tourkmani
 * @date	31/10/2012
 */

#include "Configuration/saes-language-controller.h"
#include <System/OptParser.hxx>

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#ifdef ENABLE_NLS
#define _(String) dgettext (GETTEXT_PACKAGE, String) ///<macro for gettext
#else
#define _(String) (String) ///<macro without gettext
#endif

#define N_(String) (String) ///<macro for gettext not translate

using namespace Smartmatic::Environment;
using namespace Smartmatic::SAES::Configuration;
using namespace Smartmatic::System;

SAESLanguageController::SAESLanguageController()
{
}

SAESLanguageController::~SAESLanguageController()
{
}

std::string SAESLanguageController::getPackageName()
{
    return GETTEXT_PACKAGE;
}

std::string SAESLanguageController::getLocaleDir()
{
    std::string pathLocaleDir;
    return pathLocaleDir = OptParser::getInstance()->isSet ( OptParser::LOCALE_DIR ) && OptParser::getInstance()->getArg ( OptParser::LOCALE_DIR, pathLocaleDir ) ? pathLocaleDir : GNOMELOCALEDIR;
}

