/**
 * @file   CandidateNotFoundException.hxx
 * @brief  Declaration of CandidateNotFoundException class.
 * @author manuel.arguelles
 * @date   Mar 27, 2018
 */

#ifndef CANDIDATE_NOT_FOUND_EXCEPTION_HXX
#define CANDIDATE_NOT_FOUND_EXCEPTION_HXX

#include <System/Exception/BaseException.hxx>

namespace Smartmatic
{
    namespace Log
    {
        class ISMTTLog;
    }

    namespace SAES
    {
        namespace Exceptions
        {
            namespace Voting
            {
                /**
                 * @class  CandidateNotFoundException
                 * @brief  Exception when a requested party is not found.
                 * @author manuel.arguelles
                 * @date   Mar 27, 2018
                 */
                class CandidateNotFoundException : public Smartmatic::System::Exception::BaseException
                {
                    public:

                        /**
                         * @brief  Creates an instance of the exception.
                         * @author manuel.arguelles
                         * @date   Mar 27, 2018
                         */
                        CandidateNotFoundException(std::string message, std::string code,
                                                   Smartmatic::Log::ISMTTLog* logger = NULL);
                };

            } /* namespace Voting */
        } /* namespace Exceptions */
    } /* namespace SAES */
} /* namespace Smartmatic */

#endif /* CANDIDATE_NOT_FOUND_EXCEPTION_HXX */
