/**
 * @file   PartyNotFoundException.hxx
 * @brief  Declaration of PartyNotFoundException class.
 * @author manuel.arguelles
 * @date   Mar 27, 2018
 */

#ifndef PARTY_NOT_FOUND_EXCEPTION_HXX
#define PARTY_NOT_FOUND_EXCEPTION_HXX

#include <System/Exception/BaseException.hxx>

namespace Smartmatic
{
    namespace Log
    {
        class ISMTTLog;
    }

    namespace SAES
    {
        namespace Exceptions
        {
            namespace Voting
            {
                /**
                 * @class  PartyNotFoundException
                 * @brief  Exception when a requested party is not found.
                 * @author manuel.arguelles
                 * @date   Mar 27, 2018
                 */
                class PartyNotFoundException : public Smartmatic::System::Exception::BaseException
                {
                    public:

                        /**
                         * @brief  Creates an instance of the exception.
                         * @author manuel.arguelles
                         * @date   Mar 27, 2018
                         */
                        PartyNotFoundException(std::string message, std::string code,
                                               Smartmatic::Log::ISMTTLog* logger = NULL);
                };

            } /* namespace Voting */
        } /* namespace Exceptions */
    } /* namespace SAES */
} /* namespace Smartmatic */

#endif /* PARTY_NOT_FOUND_EXCEPTION_HXX */
