/**
 * @file   EmlCodeType.hxx
 * @brief  Declaration of EmlCodeType enumerate.
 * @author manuel.arguelles
 * @date   Jan  5, 2018
 */

#ifndef EML_CODE_TYPE_HXX
#define EML_CODE_TYPE_HXX

namespace Smartmatic
{
    namespace SAES
    {
        namespace Voting
        {
            namespace Eml
            {
                /**
                 * @brief  EmlCodeType enumeration.
                 * @author manuel.arguelles
                 * @date   Jan  5, 2018
                 */
                enum EmlCodeType
                {
                    /**
                     * @brief Chambre.
                     */
                    CK = 0,

                    /**
                     * @brief Sénat.
                     */
                    SE,

                    /**
                     * @brief Parlement Européen.
                     */
                    EU,

                    /**
                     * @brief Parlement Flamand (y compris les membres de la région Bruxelles-Capitale pour le
                     * Parlement Flamand.
                     */
                    VL,

                    /**
                     * @brief Parlement Wallon.
                     */
                    WL,

                    /**
                     * @brief Parlement de la Région de Bruxelles-Capitale.
                     */
                    BR,

                    /**
                     * @brief Parlement de la Communauté Germanophone.
                     */
                    DE,

                    /**
                     * @brief Conseils Provinciaux.
                     */
                    PR,

                    /**
                     * @brief Conseils Communaux.
                     */
                    CG,

                    /**
                     * @brief Conseil de district (à Anvers).
                     */
                    DI,

                    /**
                     * @brief Conseil CPAS.
                     */
                    CS
                };
            } /* namespace Eml */
        } /* namespace Voting */
    } /* namespace SAES */
} /* namespace Smartmatic */

#endif /* EML_CODE_TYPE_HXX */
