/**
 * @file IDManager.cxx
 * @brief Body class to generate, find and remove uuid values
 * @date 08/05/2013
 * @author Yadickson Soto
 */

#include "IDManager.hxx"
#include <System/guid-class.h>

using namespace Smartmatic::SAES::Voting;

IDManager::IDManager()
{

}

IDManager::~IDManager()
{

}

std::string IDManager::generate()
{
    std::string uuid = Smartmatic::System::GuidClass::NewGuid().ToBase64String();
    uuidList.insert ( uuid );
    return uuid;
}

unsigned int IDManager::size()
{
    return uuidList.size();
}

bool IDManager::find ( const std::string & uuid )
{
    return uuidList.find ( uuid ) != uuidList.end();
}

bool IDManager::remove ( const std::string & uuid )
{
    bool result = find ( uuid );

    if ( result )
    {
        uuidList.erase ( uuidList.find ( uuid ) );
    }

    return result;
}

void IDManager::clear()
{
    uuidList.clear();
}
