/**
 * @file   VoteCounterByContest.cxx
 * @brief  Implementation of VoteCounterByContest class.
 * @author eduardo.fernandez
 * @date   Dec 05, 2018
 */

#include "VoteCounterByContest.hxx"

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

using namespace Smartmatic::SAES::Voting::PBReports;

#ifdef ENABLE_NLS
#define _(String) dgettext (GETTEXT_PACKAGE, String) ///<macro for gettext
#else
#define _(String) (String) ///<macro without gettext
#endif

#define N_(String) (String) ///<macro for gettext not translate

VoteCounterByContest::VoteCounterByContest(const std::string& customCode, const size_t initialCounter)
: m_customCode(customCode)
, m_counter(initialCounter)
{
}

VoteCounterByContest::~VoteCounterByContest()
{
}

void
VoteCounterByContest::incrementCounter()
{
    m_counter++;
}

std::string
VoteCounterByContest::getCustomCode()
{
    return m_customCode;
}

size_t
VoteCounterByContest::getCounter()
{
    return m_counter;
}

void
VoteCounterByContest::clearCounter()
{
    m_counter = 0;
}
