/**
 * @file VoteOptimizedSelection.cxx
 * @brief Body vote optimized selection ballots
 * @date 21/05/2013
 * @author Yadickson Soto
 */

#include "VoteOptimizedSelection.hxx"

using namespace Smartmatic::SAES::Voting::Vote;

VoteOptimizedSelection::VoteOptimizedSelection()
{
    this->electoralConfiguration = NULL;
}

VoteOptimizedSelection::VoteOptimizedSelection ( Smartmatic::SAES::Voting::ElectoralConfiguration * electoralConfiguration )
{
    this->electoralConfiguration = electoralConfiguration;
}

VoteOptimizedSelection::~VoteOptimizedSelection()
{

}

void VoteOptimizedSelection::getChecksum ( const Smartmatic::SAES::Voting::Vote::Vote * vote, std::map < std::string, std::string > & mapResult )
{
    mapResult = electoralConfiguration->getVoteRecovery()->LogicalToRecovery ( *vote );
}

void VoteOptimizedSelection::getBallots ( std::map < std::string, std::string > & mapResult, Smartmatic::SAES::Voting::Vote::Vote * vote )
{
    electoralConfiguration->getVoteRecovery()->RecoveryToLogical ( mapResult, *vote );
}
