#ifndef TEST_BALLOTID_CARDDATATEST
#define TEST_BALLOTID_CARDDATATEST

#ifdef ECUT_MAIN

#include <cppunit/extensions/HelperMacros.h>
#include <Voting/IDManager/BallotIDManager.hxx>
#include <Voting/CardData/CardDataFactory.hxx>
#include <Voting/VotingDevice/LogicalVoterGroupFactory.hxx>

class BallotIDCardDataTest : public CPPUNIT_NS::TestFixture
{
    private:

        Smartmatic::SAES::Voting::VotingDevice::Logical_voter_group clvg;

    public:

        BallotIDCardDataTest ()
        {

        }

        void setUp()
        {
            clvg = Smartmatic::SAES::Voting::VotingDevice::LogicalVoterGroupFactory::createLogicalVoterGroup ();
        }

        void tearDown()
        {

        }

        void testValidateInsideBallotID()
        {
            Smartmatic::SAES::Voting::CardData::Card_data cardData;
            cardData = Smartmatic::SAES::Voting::CardData::CardDataFactory::createCardData ( clvg, NULL );
            CPPUNIT_ASSERT ( false == cardData.getBallotID().empty() );
        }

        void testValidateBallotIDWithManager()
        {
            Smartmatic::SAES::Voting::CardData::Card_data cardData;
            cardData = Smartmatic::SAES::Voting::CardData::CardDataFactory::createCardData ( clvg, NULL );
            CPPUNIT_ASSERT ( true == Smartmatic::SAES::Voting::BallotIDManager::getInstance()->verifyID ( cardData.getBallotID() ) );
        }

        void testValidateBallotIDVerifyTwoTime()
        {
            Smartmatic::SAES::Voting::CardData::Card_data cardData;
            cardData = Smartmatic::SAES::Voting::CardData::CardDataFactory::createCardData ( clvg, NULL );
            CPPUNIT_ASSERT ( true == Smartmatic::SAES::Voting::BallotIDManager::getInstance()->verifyID ( cardData.getBallotID() ) );
            CPPUNIT_ASSERT ( true == Smartmatic::SAES::Voting::BallotIDManager::getInstance()->removeID ( cardData.getBallotID() ) );
            CPPUNIT_ASSERT ( false == Smartmatic::SAES::Voting::BallotIDManager::getInstance()->verifyID ( cardData.getBallotID() ) );
        }

        CPPUNIT_TEST_SUITE ( BallotIDCardDataTest );
        CPPUNIT_TEST ( testValidateInsideBallotID );
        CPPUNIT_TEST ( testValidateBallotIDWithManager );
        CPPUNIT_TEST ( testValidateBallotIDVerifyTwoTime );
        CPPUNIT_TEST_SUITE_END();
};

#endif /* ECUT_MAIN */

#endif /* TEST_BALLOTID_CARDDATATEST */
