/*
 * MockVoteRecovery.hxx
 *
 *  Created on: 21/05/2013
 *      Author: soto
 */

#ifndef MOCK_VOTE_RECOVERY_HXX_
#define MOCK_VOTE_RECOVERY_HXX_

#include <Voting/ElectoralConfiguration.hxx>

class MockVoteRecovery : public Smartmatic::SAES::Voting::ElectoralConfiguration
{
    public:

        MockVoteRecovery ()
        {
            maps["C1"]["P1"].push_back ( "1x1xL1" );
            maps["C1"]["P1"].push_back ( "1x1xC1" );
            maps["C1"]["P1"].push_back ( "1x1xC2" );
            maps["C1"]["P1"].push_back ( "1x1xS1" );
            maps["C1"]["P1"].push_back ( "1x1xS2" );

            maps["C2"]["P2"].push_back ( "2x2xL1" );
            maps["C2"]["P2"].push_back ( "2x2xC1" );
            maps["C2"]["P2"].push_back ( "2x2xC2" );
            maps["C2"]["P2"].push_back ( "2x2xC3" );
            maps["C2"]["P2"].push_back ( "2x2xS1" );
            maps["C2"]["P2"].push_back ( "2x2xS2" );
            maps["C2"]["P2"].push_back ( "2x2xS3" );

            std::map <std::string, std::map < std::string, std::list <std::string> > >::iterator it;

            for ( it = maps.begin();
                    it != maps.end();
                    ++it )
            {
                contest.push_back ( it->first );
            }
        }

        virtual std::string getPartyCodeByBallotOptionCode ( std::string ballotCode )
        {
            std::map <std::string, std::map < std::string, std::list <std::string> > >::iterator it;

            for ( it = maps.begin();
                    it != maps.end();
                    ++it )
            {
                std::map < std::string, std::list <std::string> > & parties ( it->second );
                std::map < std::string, std::list <std::string> >::iterator pit;

                for ( pit = parties.begin();
                        pit != parties.end();
                        ++pit )
                {
                    std::list <std::string> & list ( pit->second );
                    std::list <std::string>::iterator lit;

                    for ( lit = list.begin();
                            lit != list.end();
                            ++lit )
                    {
                        if ( ( * lit ) == ballotCode )
                        {
                            return pit->first;
                        }
                    }
                }
            }

            return "";
        }

        virtual std::map <std::string, std::map < std::string, std::list <std::string> > > & getAllCodeBallotOptionByContestParty()
        {
            return maps;
        }

        virtual std::list < std::string > & getContestCodeList()
        {
            return contest;
        }

    private:

        std::map <std::string, std::map < std::string, std::list <std::string> > > maps;
        std::list < std::string > contest;
};

#endif /* MOCK_VOTE_RECOVERY_HXX_ */
