/**
 * @file	LogLine.cc
 * @brief	Implementation of the entity that creates a log line that contains: date, time, params, level and others.
 * @author	Youssef.tourkmani
 * @date	30/10/2012
 */


#include "LogLine.h"
using namespace Smartmatic::SAES::Log;

LogLine::LogLine()
{
    this->level = FATAL;
}

std::string LogLine::getDate()
{
    return this->date;
}

void LogLine::setDate ( const std::string& date )
{
    this->date = date;
}

std::string LogLine::getLibrary()
{
    return this->library;
}

void LogLine::setLibrary ( const std::string& library )
{
    this->library = library;
}

std::string LogLine::getMessage()
{
    return this->message;
}

void LogLine::setMessage ( const std::string& message )
{
    this->message = message;
}

std::vector<std::string> LogLine::getMessageParams()
{
    return this->messageParams;
}

void LogLine::setMessageParams ( const std::vector<std::string>& messageParams )
{
    this->messageParams = messageParams;
}

LogLine::LevelLog LogLine::getLevel()
{
    return this->level;
}

void LogLine::setLevel ( const LogLine::LevelLog& level )
{
    this->level = level;
}

std::string LogLine::getTimeSinceStart()
{
    return this->timeSinceStart;
}

void LogLine::setTimeSinceStart ( const std::string& timeSinceStart )
{
    this->timeSinceStart = timeSinceStart;
}
