/**
 * @file	ICheckCondition.cxx
 * @brief	Implementation of the interface that groups the checking tasks such as CheckFlashPresence, CheckFilesPresence, CheckDirectoryStructure,
 * CheckForUsedMemoryCondition and others.
 * @author	Youssef.tourkmani
 * @date	30/10/2012
 */

#include "ICheckCondition.hxx"

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#ifdef ENABLE_NLS
#include <libintl.h>
#define _(String) dgettext (GETTEXT_PACKAGE, String) ///<macro for gettext
#else
#define _(String) (String) ///<macro without gettext
#endif

#define N_(String) (String) ///<macro for gettext not translate

using namespace Smartmatic::SAES::Operation::Initiator;

ICheckCondition::ICheckCondition ( const std::string& msg )
    : message(msg)
{
}

ICheckCondition::~ICheckCondition()
{
}

std::string ICheckCondition::getMessage()
{
    const std::string translatedMessage = _ ( message.c_str() );

    return translatedMessage;
}
