/**
 * @file	PCSCDManager.cxx
 * @brief	Declaration of PCSCD daemon control tool that executes the action such as: kill, restart, start, etc.
 * @author	Youssef.tourkmani
 * @date	30/10/2012
 */


#include "PCSCDManager.hxx"
#include <Configuration/s-a-e-s-common-conf-manager.h>
#include <System/Runtime/ProcessLauncher.h>

using namespace Smartmatic::SAES::PCSCD;
using namespace Smartmatic::SAES::Common::Configuration;
using namespace Smartmatic::System::Runtime;

void PCSCDManager::start ( bool force )
{
    bool startPCSCD = SAESCommonConfigurationManager::getInstance()->getPCSCDConfiguration().getStartService();

    if ( startPCSCD || force )
    {
        ( void ) ProcessLauncher::getInstance()->RunProcessThroughSystem ( "sudo /etc/init.d/pcscd start" );
    }
}

void PCSCDManager::runDebug()
{
    ( void ) ProcessLauncher::getInstance()->RunProcessThroughSystem ( "pcscd --foreground --debug" );
}

void PCSCDManager::kill()
{
    ( void ) ProcessLauncher::getInstance()->RunProcessThroughSystem ( "sudo pkill -9 pcscd" );
}

void PCSCDManager::stop ( bool force )
{
    bool stopPCSCD = SAESCommonConfigurationManager::getInstance()->getPCSCDConfiguration().getStopService();

    if ( stopPCSCD || force )
    {
        ( void ) ProcessLauncher::getInstance()->RunProcessThroughSystem ( "sudo /etc/init.d/pcscd stop" );
    }
}
