/**
 * @file MockConnectionBehavior.hxx
 * @author Yadickson Soto
 * @date 28/03/2014
 */

#ifndef MOCK_CONNECTION_BEHAVIOR_HXX_
#define MOCK_CONNECTION_BEHAVIOR_HXX_

#include <mockpp/mockpp.h>
#include <mockpp/chaining/ChainableMockObject.h>
#include <mockpp/chaining/ChainingMockObjectSupport.h>
#include <Card/ConnectionBehavior.hxx>

class MockConnectionBehavior : public Smartmatic::SAES::Card::ConnectionBehavior,
    public MOCKPP_NS::ChainableMockObject
{
    public:

        MockConnectionBehavior ()
            : MOCKPP_NS::ChainableMockObject ( MOCKPP_PCHAR ( "MockConnectionBehavior" ), 0 )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( establishContext )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( releaseContext )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( connect )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( disconnect )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( isCardPresent )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE_EXT2 ( selectAID, ext )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE_EXT1 ( sendCommand, ext )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE_EXT1 ( sendCommandWithResponse, ext )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE_EXT1 ( checkConnectionStatus, ext )
        {
        }

        virtual ~MockConnectionBehavior ()
        {
        }

        MOCKPP_CHAINABLE0 ( MockConnectionBehavior, bool, establishContext );
        MOCKPP_CHAINABLE0 ( MockConnectionBehavior, bool, releaseContext );
        MOCKPP_CHAINABLE0 ( MockConnectionBehavior, bool, connect );
        MOCKPP_CHAINABLE0 ( MockConnectionBehavior, bool, disconnect );
        MOCKPP_CHAINABLE0 ( MockConnectionBehavior, bool, isCardPresent );

        MOCKPP_CHAINABLE_EXT1 ( MockConnectionBehavior,
                                bool, selectAID, const Smartmatic::System::SafeBuffer &,
                                bool, ext, const Smartmatic::System::SafeBuffer * );

        MOCKPP_CHAINABLE_EXT1 ( MockConnectionBehavior,
                                bool, sendCommand, const Smartmatic::System::SafeBuffer &,
                                bool, ext, const Smartmatic::System::SafeBuffer * );

        MOCKPP_CHAINABLE_EXT1 ( MockConnectionBehavior,
                                Smartmatic::System::SafeBuffer, sendCommandWithResponse, const Smartmatic::System::SafeBuffer &,
                                Smartmatic::System::SafeBuffer, ext, const Smartmatic::System::SafeBuffer * );

        MOCKPP_CHAINABLE_EXT1 ( MockConnectionBehavior,
                                bool, checkConnectionStatus, unsigned long,
                                bool, ext, unsigned long );
};

#endif /* MOCK_CONNECTION_BEHAVIOR_HXX_ */
