/**
 * @file MockConnectionDriver.hxx
 * @author Yadickson Soto
 * @date 28/03/2014
 */

#ifndef MOCK_CONNECTION_DRIVER_HXX_
#define MOCK_CONNECTION_DRIVER_HXX_

#include <mockpp/mockpp.h>
#include <mockpp/chaining/ChainableMockObject.h>
#include <mockpp/chaining/ChainingMockObjectSupport.h>
#include <Card/ConnectionDriverInterface.hxx>

class MockConnectionDriver : public Smartmatic::SAES::Card::ConnectionDriverInterface,
    public MOCKPP_NS::ChainableMockObject
{
    public:

        MockConnectionDriver ()
            : MOCKPP_NS::ChainableMockObject ( MOCKPP_PCHAR ( "MockConnectionDriver" ), 0 )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( establishContext )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( releaseContext )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( connect )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( disconnect )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( openSecureChannel )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE_EXT1 ( selectAID, ext )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE_EXT1 ( sendCommand, ext )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( getResponse )
        {
        }

        virtual ~MockConnectionDriver ()
        {
        }

        MOCKPP_CHAINABLE0 ( MockConnectionDriver, unsigned long, establishContext );
        MOCKPP_CHAINABLE0 ( MockConnectionDriver, unsigned long, releaseContext );
        MOCKPP_CHAINABLE0 ( MockConnectionDriver, unsigned long, connect );
        MOCKPP_CHAINABLE0 ( MockConnectionDriver, unsigned long, disconnect );
        MOCKPP_CHAINABLE0 ( MockConnectionDriver, unsigned long, openSecureChannel );

        MOCKPP_CHAINABLE_EXT1 ( MockConnectionDriver,
                                unsigned long, selectAID, const Smartmatic::System::SafeBuffer &,
                                unsigned long, ext, const Smartmatic::System::SafeBuffer * );

        MOCKPP_CHAINABLE_EXT1 ( MockConnectionDriver,
                                unsigned long, sendCommand, const Smartmatic::System::SafeBuffer &,
                                unsigned long, ext, const Smartmatic::System::SafeBuffer * );

        MOCKPP_CHAINABLE0 ( MockConnectionDriver, Smartmatic::System::SafeBuffer, getResponse );
};

#endif /* MOCK_CONNECTION_DRIVER_HXX_ */
