/**
 * @file   A4517LEDStripManager.hxx
 * @brief  Declaration of A4517LEDStripManager class.
 * @author manuel.arguelles
 * @date   Nov  2, 2017
 */

#ifndef A4517_LED_STRIP_MANAGER_HXX
#define A4517_LED_STRIP_MANAGER_HXX

#include <glibmm.h>
#include <memory>
#include "IStripLEDManager.hxx"

namespace Smartmatic
{
    namespace SAES
    {
        namespace Operation
        {
            namespace Devices
            {
                /**
                 * @class  A4517LEDStripManager
                 * @brief  Controls the LED strip.
                 * @author manuel.arguelles
                 * @date   Nov  2, 2017
                 */
                class A4517LEDStripManager: public IStripLEDManager
                {
                    public:

                        /**
                         * @brief  Creates an instance of the class.
                         * @author manuel.arguelles
                         * @date   Nov  2, 2017
                         */
                        A4517LEDStripManager();

                        /**
                         * @brief  Destroys an instance of the class.
                         * @author manuel.arguelles
                         * @date   Nov  2, 2017
                         */
                        ~A4517LEDStripManager();

                    public:

                        /**
                         * @brief  turn on All LEDs in the A4517 strip
                         * @author manuel.arguelles
                         * @date   Nov  2, 2017
                         */
                        bool turnAllLedsOn();

                        /**
                         * @brief  turn off All LEDs in the A4517 strip
                         * @author manuel.arguelles
                         * @date   Nov  2, 2017
                         */
                        bool turnAllLedsOff();

                };

            } /* namespace Devices */
        } /* namespace Operation */
    } /*  namespace SAES */
} /* namespace Smartmatic */

#endif /* A4517_LED_STRIP_MANAGER */
