/**
 * @file   IStripLEDManager.hxx
 * @brief  Declaration of IStripLEDManager class.
 * @author manuel.arguelles
 * @date   Nov  2, 2017
 */

#ifndef ISTRIP_LED_MANAGER_HXX
#define ISTRIP_LED_MANAGER_HXX

#include <glibmm.h>
#include <memory>

namespace Smartmatic
{
    namespace SAES
    {
        namespace Operation
        {
            namespace Devices
            {
                /**
                 * @class  IStripLEDManager
                 * @brief  Interface for the LED strip for SCR.
                 * @author manuel.arguelles
                 * @date   Nov  2, 2017
                 */
                class IStripLEDManager
                {
                    public:

                        /**
                         * @brief  Destroys an instance of the class.
                         * @author manuel.arguelles
                         * @date   Nov  2, 2017
                         */
                        virtual ~IStripLEDManager() {}

                    public:

                        /**
                         * @brief  turn on All LEDs
                         * @author manuel.arguelles
                         * @date   Nov  2, 2017
                         */
                        virtual bool turnAllLedsOn() = 0;

                        /**
                         * @brief  turn off All LEDs
                         * @author manuel.arguelles
                         * @date   Nov  2, 2017
                         */
                        virtual bool turnAllLedsOff() = 0;
                };

            } /* namespace Devices */
        } /* namespace Operation */
    } /*  namespace SAES */
} /* namespace Smartmatic */

#endif /* ISTRIP_LED_MANAGER_HXX */
