/**
 * @file   LEDStripManagerFactory.hxx
 * @brief  Declaration of LEDStripManagerFactory namespace.
 * @author manuel.arguelles
 * @date   Nov  2, 2017
 */

#include "IStripLEDManager.hxx"

namespace Smartmatic
{
    namespace SAES
    {
        namespace Operation
        {
            namespace Devices
            {
                namespace LEDStripManagerFactory
                {
                    /**
                     * @brief  Returns the corresponding LED strip manager.
                     * @author manuel.arguelles
                     * @date   Nov  2, 2017
                     * @return A new instance of the LED strip manager.
                     */
                    IStripLEDManager* getLEDStripManager();

                } /* namespace LEDStripManagerFactory */
            } /* namespace Devices */
        } /* namespace Operation */
    } /* namespace SAES */
} /* namespace Smartmatic */
