/**
 * @file   SmartcardReaderPowerManagerFactory.hxx
 * @brief  Declaration of SmartcardReaderPowerManagerFactory namespace.
 * @author manuel.arguelles
 * @date   Nov  2, 2017
 */

namespace Smartmatic
{
    namespace SAES
    {
        namespace Card
        {
            class ISmartcardReaderPowerManager;
        }

        namespace Operation
        {
            namespace Devices
            {
                namespace SmartcardReaderPowerManagerFactory
                {
                    /**
                     * @brief  Returns the corresponding smart card power manager.
                     * @author manuel.arguelles
                     * @date   Nov  2, 2017
                     * @return A new instance of the smart card power manager.
                     */
                    SAES::Card::ISmartcardReaderPowerManager* getSmartcardReaderPowerManager();

                } /* namespace SmartcardReaderPowerManagerFactory */
            } /* namespace Devices */
        } /* namespace Operation */
    } /* namespace SAES */
} /* namespace Smartmatic */
