/*
 * EurnDiagnosis.hxx
 *
 *  Created on: Oct 25, 2017
 *      Author: juanvalera
 */

#ifndef EURNDIAGNOSIS_HXX_
#define EURNDIAGNOSIS_HXX_

#include "IDiagnosis.hxx"

namespace Smartmatic
{
    namespace Log
    {
        class ISMTTLog;
    }
    namespace SAES
    {
        namespace Operation
        {
            namespace Diagnosis
            {
                /**
                 * @class EurnDiagnosis
                 * @brief Represents a diagnostic for the Eurn device.
                 * @author Juan Valera
                 * @date 25/10/2017
                 */
                class EurnDiagnosis : public IDiagnosis
                {
                    public:

                        /**
                         * @fn EurnDiagnosis::EurnDiagnosis ( std::string command );
                         * @brief Constructor for the EurnDiagnosis class.
                         * @author Juan Valera
                         * @date 25/10/2017
                         */
                        explicit EurnDiagnosis();

                        /**
                         * @fn virtual EurnDiagnosis::~EurnDiagnosis();
                         * @brief Finalizes an instance of the EurnDiagnosis class.
                         * @author Juan Valera
                         * @date 25/10/2017
                         */

                        virtual ~EurnDiagnosis();

                    protected:

                        /**
                         * @fn virtual void EurnDiagnosis::run();
                         * @brief Runs this diagnostic.
                         * @author Juan Valera
                         * @date 25/10/2017
                         */

                        virtual void run();

                    private:

                        static Smartmatic::Log::ISMTTLog * logger; ///< The logger

                    protected:

                        /**
                         * @fn virtual void EurnDiagnosis::updateMessage();
                         * @brief Updates the status message of this diagnostic.
                         * @author Juan Valera
                         * @date 25/10/2017
                         */

                        virtual void updateMessage();

                };
            }
        }
    }
}
#endif /* EURNDIAGNOSIS_HXX_ */
