/*
 * AbledMonitor.cxx
 *
 *  Created on: Jan 13, 2018
 *      Author: eduardo.fernandez
 */
#include "AbledMonitor.hxx"
#include <Operation/Devices/A4517AbledController.hxx>
#include <Log/ISMTTLog.h>
#include <Log/SMTTLogManager.h>
#include <unistd.h>
#include <Configuration/s-a-e-s-functionality-conf-manager.h>

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

using namespace Smartmatic::Log;
using namespace Smartmatic::SAES::Common::Configuration;
using namespace Smartmatic::SAES::Operation::Devices;
using namespace Smartmatic::SAES::Operation::Monitor;

ISMTTLog * AbledMonitor::logger = SMTTLogManager::GetLogger ( "Smartmatic.SAES.Operation.AbledMonitor", GETTEXT_PACKAGE );

AbledMonitor::AbledMonitor()
    : DeviceTypeMonitor ( DeviceType::CONFIGURATION_ABLED )
{

}

AbledMonitor::~AbledMonitor()
{

}

void AbledMonitor::added ( const std::string & node )
{
    logger->Debug ( "Added " + node );
    A4517AbledController::getInstance()->open ( node );
}

void AbledMonitor::removed ( const std::string & node )
{
    logger->Debug ( "Removed " + node );
    A4517AbledController::getInstance()->close();
}

std::string AbledMonitor::getDeviceMounted ( const std::string & node, const std::string & customNode )
{
    usleep ( 250000 );
    return customNode;
}



