/**
 * @file DeviceMonitorSignal.hxx
 * @brief Body class to safe status, node and device for emit signal
 * @date 28/07/2015
 * @author Yadickson Soto
 */

#include <Operation/Monitor/DeviceMonitorSignal.hxx>

using namespace Smartmatic::SAES::Operation::Monitor;
using namespace Smartmatic::SAES::Common::Operation::Monitor;

DeviceMonitorSignal::DeviceMonitorSignal ( bool status,
        const std::string & node,
        DeviceTypeMonitor * device )
    : status ( status ), node ( node ), device ( device )
{

}

DeviceMonitorSignal::~DeviceMonitorSignal()
{

}

bool DeviceMonitorSignal::isAdded()
{
    return status;
}

std::string DeviceMonitorSignal::getNode()
{
    return node;
}

DeviceTypeMonitor * DeviceMonitorSignal::getDevice()
{
    return device;
}
