/**
 * @file USBStorageMonitor.cxx
 * @brief Implementation of the USBStorageMonitor class.
 * @date 10/06/2013
 * @author Yadickson Soto
 */

#include "USBStorageMonitor.hxx"
#include <Log/ISMTTLog.h>
#include <Log/SMTTLogManager.h>
#include <Operation/CheckDataManager.hxx>

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

using namespace Smartmatic::SAES::Operation::Monitor;
using namespace Smartmatic::SAES::Operation;
using namespace Smartmatic::Log;

ISMTTLog * USBStorageMonitor::logger = SMTTLogManager::GetLogger ( "Smartmatic.SAES.Operation.USBStorageMonitor", GETTEXT_PACKAGE );

USBStorageMonitor::USBStorageMonitor()
    : DeviceTypeMonitor ( Smartmatic::SAES::Common::Configuration::DeviceType::CONFIGURATION_USBSTORAGEMOUNTED )
{

}

USBStorageMonitor::~USBStorageMonitor()
{

}

void USBStorageMonitor::added ( const std::string & node )
{
    logger->Debug ( "Added" );
    unsigned int devices = getNumberOfDevices();

    if(devices > 1)
    {
       CheckDataManager::getInstance()->checkInsertion( devices );
    }
}

void USBStorageMonitor::removed ( const std::string & node )
{
    logger->Debug ( "Removed" );
    CheckDataManager::getInstance()->checkExtraction ( getNumberOfDevices() );
}

std::string USBStorageMonitor::getDeviceMounted ( const std::string & node, const std::string & customNode )
{
    return customNode;
}
