/**
 * @file MockPrinterControllerConfigurationManager.hxx
 * @date 28/03/2014
 * @author Yadickson Soto
 */

#ifndef MOCK_PRINTER_CONTROLLER_CONF_MANAGER_HXX_
#define MOCK_PRINTER_CONTROLLER_CONF_MANAGER_HXX_

#include <mockpp/mockpp.h>
#include <mockpp/chaining/ChainableMockObject.h>
#include <mockpp/chaining/ChainingMockObjectSupport.h>
#include <Configuration/PrinterControllerConfigurationManager.hxx>

class MockPrinterControllerConfigurationManager : public Smartmatic::SAES::Functionality::Configuration::PrinterControllerConfigurationManager,
    public MOCKPP_NS::ChainableMockObject
{
    public:

        MockPrinterControllerConfigurationManager ()
            : MOCKPP_NS::ChainableMockObject ( MOCKPP_PCHAR ( "MockPrinterControllerConfigurationManager" ), 0 )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( shouldSkipPrinter )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( getTimeoutPrint )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( getResultPrintFile )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( getStatusPrintFile )
        {
        }

        virtual ~MockPrinterControllerConfigurationManager ()
        {
        }

        MOCKPP_CHAINABLE0 ( MockPrinterControllerConfigurationManager, bool, shouldSkipPrinter );
        MOCKPP_CHAINABLE0 ( MockPrinterControllerConfigurationManager, unsigned int, getTimeoutPrint );
        MOCKPP_CHAINABLE0 ( MockPrinterControllerConfigurationManager, std::string, getResultPrintFile );
        MOCKPP_CHAINABLE0 ( MockPrinterControllerConfigurationManager, std::string, getStatusPrintFile );
};

#endif /* MOCK_PRINTER_CONTROLLER_CONF_MANAGER_HXX_ */
