/*
 * ChainMockCalibrationDiagnosis.hxx
 *
 *  Created on: 07/05/2013
 *      Author: soto
 */

#ifndef CHAINMOCKCALIBRATION_DIAGNOSIS_HXX_
#define CHAINMOCKCALIBRATION_DIAGNOSIS_HXX_

#include <mockpp/mockpp.h>
#include <mockpp/chaining/ChainableMockObject.h>
#include <mockpp/chaining/ChainingMockObjectSupport.h>

#include <Operation/Diagnosis/ICalibrationDiagnosis.hxx>

class ChainMockCalibrationDiagnosis : public Smartmatic::SAES::Operation::Diagnosis::ICalibrationDiagnosis,
    public MOCKPP_NS::ChainableMockObject
{

    public:
        explicit ChainMockCalibrationDiagnosis ( bool skip )
            : Smartmatic::SAES::Operation::Diagnosis::ICalibrationDiagnosis ( 5, skip )
            , MOCKPP_NS::ChainableMockObject ( MOCKPP_PCHAR ( "ChainMockCalibrationDiagnosis" ), 0 )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( getPenmountFileConditional )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( getSkipCalibrationToolConditional )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( executeCalibrationTool )
        {

        }

        MOCKPP_CHAINABLE0 ( ChainMockCalibrationDiagnosis, bool, getPenmountFileConditional );
        MOCKPP_CHAINABLE0 ( ChainMockCalibrationDiagnosis, bool, getSkipCalibrationToolConditional );
        MOCKPP_CHAINABLE0 ( ChainMockCalibrationDiagnosis, bool, executeCalibrationTool );
};


#endif /* CHAINMOCKCALIBRATION_DIAGNOSIS_HXX_ */
