/*
 * ChainMockFileKeyLoginManager.hxx
 *
 *  Created on: 22/05/2013
 *      Author: soto
 */

#ifndef CHAINMOCK_FILEKEYLOGINMANAGER_HXX_
#define CHAINMOCK_FILEKEYLOGINMANAGER_HXX_

#include <mockpp/mockpp.h>
#include <mockpp/chaining/ChainableMockObject.h>
#include <mockpp/chaining/ChainingMockObjectSupport.h>

#include <Operation/FileKeyLoginManager.hxx>

class ChainMockFileKeyLoginManager : public Smartmatic::SAES::Operation::FileKeyLoginManager,
    public MOCKPP_NS::ChainableMockObject
{
    public:
        ChainMockFileKeyLoginManager()
            : MOCKPP_NS::ChainableMockObject ( MOCKPP_PCHAR ( "ChainMockFileKeyLoginManager" ), 0 )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( isInstall )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( loadOfficialKey )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( loadRecountKey )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_VOID_CHAINABLE_EXT1 ( setMode, ext )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( getMode )
        {

        }

        MOCKPP_CHAINABLE0 ( ChainMockFileKeyLoginManager, bool, isInstall );
        MOCKPP_CHAINABLE0 ( ChainMockFileKeyLoginManager, bool, loadOfficialKey );
        MOCKPP_CHAINABLE0 ( ChainMockFileKeyLoginManager, bool, loadRecountKey );

        MOCKPP_VOID_CHAINABLE_EXT1 ( ChainMockFileKeyLoginManager,
                                     setMode, const Smartmatic::SAES::Voting::VotingCenters::RunningMode &,
                                     ext, const Smartmatic::SAES::Voting::VotingCenters::RunningMode * );

        MOCKPP_CHAINABLE0 ( ChainMockFileKeyLoginManager, Smartmatic::SAES::Voting::VotingCenters::RunningMode, getMode );
};


#endif /* CHAINMOCK_FILEKEYLOGINMANAGER_HXX_ */
