/**
 * @file MockVotePersistence.hxx
 * @date 30/01/2017
 * @author Gustavo Garcia
 */


#ifndef MOCK_VOTE_PERSITENCE_HXX_
#define MOCK_VOTE_PERSITENCE_HXX_

#include <mockpp/mockpp.h>
#include <mockpp/chaining/ChainableMockObject.h>
#include <mockpp/chaining/ChainingMockObjectSupport.h>
#include "Operation/Voting/VotePersistence.hxx"
#include <Voting/Vote/VoteFactory.hxx>

class MockVotePersistence : public Smartmatic::SAES::Operation::Voting::VotePersistence,
    public MOCKPP_NS::ChainableMockObject
{
    private:
	typedef Smartmatic::SAES::Operation::Voting::VotePersistence VotePersistence;
	typedef Smartmatic::SAES::Voting::Vote::Vote Vote;
    public:
	
        MockVotePersistence (Vote * vote)
	    : Smartmatic::SAES::Operation::Voting::VotePersistence ( vote )
            , MOCKPP_NS::ChainableMockObject ( MOCKPP_PCHAR ( "MockVotePersistence" ), 0 )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( saveVote )

        {
        };

        virtual ~MockVotePersistence ()
        {
        };

        MOCKPP_CHAINABLE0 ( MockVotePersistence, VotePersistence::PersistenceStatusVote, saveVote );
};

#endif /* MOCK_VOTE_PERSITENCE_HXX_ */
