/**
 * @file	saes-gui-language-controller.cc
 * @brief	saes graphical user interface language controller class.
 * @author	Youssef.tourkmani
 * @date	01/11/2012
 */


#include "Configuration/saes-gui-language-controller.h"
#include <System/OptParser.hxx>

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#ifdef ENABLE_NLS
#include <libintl.h>
#define _(String) dgettext (GETTEXT_PACKAGE, String) ///<macro for gettext
#else
#define _(String) (String) ///<macro without gettext
#endif

#define N_(String) (String) ///<macro for gettext not translate

using namespace Smartmatic::Environment;
using namespace Smartmatic::SAES::GUI::Configuration;
using namespace Smartmatic::System;

SAESGUILanguageController::SAESGUILanguageController()
{
}

SAESGUILanguageController::~SAESGUILanguageController()
{
}

std::string SAESGUILanguageController::getPackageName()
{
    return GETTEXT_PACKAGE;
}

std::string SAESGUILanguageController::getLocaleDir()
{
    std::string pathLocaleDir;
    return pathLocaleDir = OptParser::getInstance()->isSet ( OptParser::LOCALE_DIR ) && OptParser::getInstance()->getArg ( OptParser::LOCALE_DIR, pathLocaleDir ) ? pathLocaleDir : GNOMELOCALEDIR;
}

