/**
 * @file	BarcodeDetectionWidgetController.cpp
 * @brief	Implements the barcode detection widget controller class.
 * @author	Juan Valera
 * @date	03/02/2017
 */


#include "BarcodeDetectionWidgetController.h"
#include <Log/SMTTLogManager.h>
#include <Operation/Devices/BCRController.hxx>
#include <Operation/Devices/Polling/BCRPolling.hxx>
#include <Configuration/s-a-e-s-functionality-conf-manager.h>

using namespace Smartmatic::SAES::GUI::Widgets;
using namespace Smartmatic::SAES::Functionality::Configuration;
using namespace Smartmatic::SAES::Operation::Devices;

BarcodeDetectionWidgetController::BarcodeDetectionWidgetController ( )
{
}

BarcodeDetectionWidgetController::~BarcodeDetectionWidgetController()
{
}

bool BarcodeDetectionWidgetController::process(Smartmatic::System::SafeDispatcher& safeDispatcher)
{
    std::string command = SAESFunctionalityConfigurationManager::getInstance()->getScanVoteConfiguration().getBarcodeReconfigureParams();

    bool response = BCRController::getInstance()->sendReconfigureCommand ( command );

    if(response && !BCRPolling::getInstance()->getIsPaused())
    {
        command = SAESFunctionalityConfigurationManager::getInstance()->getScanVoteConfiguration().getBarcodeInParams();
        response = BCRController::getInstance()->sendReconfigureCommand ( command );
    }

    safeDispatcher.emit ( new bool ( response ) );

    return false;
}
