/**
 * @file DataUtilsValidatorWidget.cxx
 * @brief Body class data util validator
 * @date 24/07/2012
 * @author Yadickson Soto
 */

#include "DataUtilsValidatorWidget.hxx"

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#ifdef ENABLE_NLS
#include <libintl.h>
#define _(String) dgettext (GETTEXT_PACKAGE, String) ///<macro for gettext
#else
#define _(String) (String) ///<macro without gettext
#endif

#define N_(String) (String) ///<macro for gettext not translate

using namespace Smartmatic::SAES::GUI::Widgets;
using namespace Smartmatic::GUI::Widgets;

DataUtilsValidatorWidget::DataUtilsValidatorWidget ( ProgressWidget * progressWidget )
    : progressWidget ( progressWidget )
{
    progressWidget->setInfoTitle ( "  " );
    progressWidget->setInfoText ( "  " );
    progressWidget->setImage ( Smartmatic::SAES::GUI::Operation::ImageResourcePath::PROGRESS );
    setWidget ( progressWidget );
}

DataUtilsValidatorWidget::~DataUtilsValidatorWidget()
{
    remove();

    if ( progressWidget )
    {
        delete progressWidget;
        progressWidget = NULL;
    }
}

void DataUtilsValidatorWidget::showValidateFiles ( )
{
    progressWidget->setInfoTitle ( "  " );
    progressWidget->setInfoText ( "  " );
    progressWidget->setImage ( "ui/check-directory-structure.gif" );
}

void DataUtilsValidatorWidget::showStatusValidateFiles ( bool status )
{
    progressWidget->setInfoTitle ( "  " );
    progressWidget->setInfoText ( "  " );

    if ( status )
    {
        progressWidget->setImage ( "ui/check-directory-structure_success.gif" );
    }
    else
    {
        progressWidget->setImage ( "ui/check-directory-structure-failed.gif" );
    }
}

void DataUtilsValidatorWidget::showProgress ( )
{
    progressWidget->setInfoTitle ( "  " );
    progressWidget->setInfoText ( "  " );
    progressWidget->setImage ( Smartmatic::SAES::GUI::Operation::ImageResourcePath::PROGRESS );
}

void DataUtilsValidatorWidget::showProgress ( std::string center, int current, int total )
{
    std::stringstream ss;
    ss << current << "/" << total;
    progressWidget->setInfoTitle ( center );
    progressWidget->setInfoText ( ss.str() );
}

void DataUtilsValidatorWidget::showError ( std::string key )
{
    progressWidget->setInfoText ( key );
    progressWidget->setImage ( "ui/result-error.png" );
}

void DataUtilsValidatorWidget::onSignalEnd()
{
    emit();
}
