/**
 * @file AlarmBoxDiagnoseWidget.cxx
 * @brief Body Alarmbox diagnose widget class
 * @date 05/09/2013
 * @author Yadickson Soto
 */

#include "AlarmBoxDiagnoseWidget.hxx"
#include "AlarmBoxActionsWidget.hxx"
#include "AlarmBoxEndDiagnoseWidget.hxx"
#include <Gui/Widgets/AbstractFactoryWidget.hxx>
#include <Gui/Widgets/Diagnose/AlarmBoxDetectedWidget.hxx>

using namespace Smartmatic::SAES::GUI::Widgets;

AlarmBoxDiagnoseWidget::AlarmBoxDiagnoseWidget()
    : WizardDiagnoseWidget ( Smartmatic::SAES::Common::Configuration::DeviceType::CONFIGURATION_ALARMBOX )
{
    WizardWidgetBase * detected = AbstractFactoryWidget::createAlarmBoxDetectedWidget();
    WizardWidgetBase * actions = new AlarmBoxActionsWidget();

    wizardVector.push_back ( detected );
    wizardVector.push_back ( actions );
}

AlarmBoxDiagnoseWidget::~AlarmBoxDiagnoseWidget()
{

}
