/**
 * @file	AutoBarcodeDiagnosisWidget.cxx
 * @brief	automatic barcode diagnostic widget class.
 * @author	Yadickson Soto
 * @date	20/06/2013
 */

#include "AutoBarcodeDiagnosisWidget.hxx"
#include <Configuration/s-a-e-s-g-u-i-conf-manager.h>
#include <Configuration/s-a-e-s-conf-manager.h>
#include <Configuration/s-a-e-s-functionality-conf-manager.h>
#include <Operation/Diagnosis/BarCodeDiagnosis.hxx>
#include <Graphics/Encoding2D/QREncoding.h>
#include <System/SafeBuffer.h>
#include <Configuration/label-configuration.h>

using namespace Smartmatic::SAES::GUI::Widgets;
using namespace Smartmatic::Log;
using namespace Smartmatic::SAES::Operation::Diagnosis;
using namespace Smartmatic::SAES::GUI::Configuration;
using namespace Smartmatic::SAES::Functionality::Configuration;
using namespace Smartmatic::SAES::Configuration;
using namespace Smartmatic::SAES::Voting;
using namespace Smartmatic::System;
using namespace Smartmatic::Graphics::Encoding2D;
using namespace Smartmatic::GUI::Configuration;
using namespace Smartmatic::SAES::Operation;

AutoBarcodeDiagnosisWidget::AutoBarcodeDiagnosisWidget ( ProgressWidget * progress )
    : AutoDiagnosisBaseWidget ( progress )
{
    diagnostic = new BarCodeDiagnosis ( SAESGUIConfigurationManager::getInstance()->getBarcodeDiagnosisConfiguration().getBarcodeCommandsName() );
    progress->setImage ( Smartmatic::SAES::GUI::Operation::ImageResourcePath::RECONFIGURE_BARCODE );
}

AutoBarcodeDiagnosisWidget::~AutoBarcodeDiagnosisWidget()
{

}
