/**
 * @file	AutoPrinterDiagnosisWidget.cxx
 * @brief	automatic printer diagnostic widget class.
 * @author	Yadickson Soto
 * @date	20/06/2013
 */

#include "AutoPrinterDiagnosisWidget.hxx"
#include <Configuration/s-a-e-s-g-u-i-conf-manager.h>
#include <Configuration/s-a-e-s-conf-manager.h>
#include <Configuration/s-a-e-s-functionality-conf-manager.h>
#include <Operation/Diagnosis/PrinterDiagnosis.hxx>
#include <Configuration/label-configuration.h>

using namespace Smartmatic::SAES::GUI::Widgets;
using namespace Smartmatic::Log;
using namespace Smartmatic::SAES::Operation::Diagnosis;
using namespace Smartmatic::SAES::GUI::Configuration;
using namespace Smartmatic::SAES::Functionality::Configuration;
using namespace Smartmatic::SAES::Configuration;
using namespace Smartmatic::SAES::Voting;
using namespace Smartmatic::System;
using namespace Smartmatic::GUI::Configuration;
using namespace Smartmatic::SAES::Operation;

AutoPrinterDiagnosisWidget::AutoPrinterDiagnosisWidget ( ProgressWidget * progress )
    : AutoDiagnosisBaseWidget ( progress )
{
    diagnostic = new PrinterDiagnosis (
        SAESGUIConfigurationManager::getInstance()->getBarcodeDiagnosisConfiguration().getStringToEncode(),
        !SAESGUIConfigurationManager::getInstance()->getPrinterDiagnosisConfiguration().getDoNotCheckBeforePrintDiagnostic() );
}

AutoPrinterDiagnosisWidget::~AutoPrinterDiagnosisWidget()
{

}

void AutoPrinterDiagnosisWidget::initialize()
{
    progress->setImage ( Smartmatic::SAES::GUI::Operation::ImageResourcePath::PRINTING_TEST );
    AutoDiagnosisBaseWidget::initialize();
}
