/*
 * BarcodeReaderPrintingWidget.hxx
 *
 *  Created on: 05/09/2013
 *      Author: soto
 */

#ifndef BARCODEREADERPRINTINGWIDGET_HXX_
#define BARCODEREADERPRINTINGWIDGET_HXX_

#include <Widgets/wizard-widget-base.h>
#include <Gui/Widgets/GenericPrintingWidget.hxx>
#include <Printing/BarcodePrinting.hxx>

namespace Smartmatic
{
    namespace SAES
    {
        namespace GUI
        {
            namespace Widgets
            {

                class BarcodeReaderPrintingWidget : public Smartmatic::GUI::Widgets::WizardWidgetBase
                {
                    public:
                        explicit BarcodeReaderPrintingWidget ( GenericPrintingWidget * printerWidget );
                        virtual ~BarcodeReaderPrintingWidget();
                        /**
                         * @fn	virtual void initialize();
                         * @brief	Initializer method.
                         * @author	Yadickson Soto
                         * @date	05/09/2013
                         */
                        virtual void initialize();
                        /**
                         * @fn	virtual void dispose();
                         * @brief	virtual method stop.
                         * @author	Yadickson Soto
                         * @date	05/09/2013
                         */
                        virtual void dispose();

                    protected:

                        void error ();

                    private:

                        int timeFail; ///< Timeout end printer fail

                        GenericPrintingWidget * printerWidget; ///< The printer widget controller
                        Smartmatic::SAES::Printing::BarcodePrinting * barcodePrinter; ///< The barcode printer object
                        Glib::RefPtr<Gdk::Pixbuf> pixBuffBarcode; ///< The pix buffer barcode
                };

            } /* namespace Widgets */
        } /* namespace GUI */
    } /* namespace SAES */
} /* namespace Smartmatic */
#endif /* BARCODEREADERPRINTINGWIDGET_HXX_ */
