/*
 * CheckListDiagnoseWidget.hxx
 *
 *  Created on: 17/09/2013
 *      Author: soto
 */

#ifndef CHECKLISTDIAGNOSEWIDGET_HXX_
#define CHECKLISTDIAGNOSEWIDGET_HXX_

#include <gtkmm.h>
#include <Widgets/SmartmaticBasicVBox.hxx>
#include <Widgets/TableCenterWidget.hxx>
#include <Gui/Widgets/Diagnose/BasicDiagnosticWidget.hxx>
#include <Widgets/SmartmaticBasicCheckButton.hxx>
#include <list>
#include <map>

namespace Smartmatic
{
    namespace SAES
    {
        namespace GUI
        {
            namespace Widgets
            {

                class CheckListDiagnoseWidget : public BasicDiagnosticWidget
                {
                    public:
                        CheckListDiagnoseWidget();
                        virtual ~CheckListDiagnoseWidget();

                        /**
                         * @fn	void initialize();
                         * @brief	Initializes this object.
                         * @author	Yadickson Soto
                         * @date	17/09/2013
                         */
                        virtual void initialize();

                    private:

                        void end();

                        Smartmatic::GUI::Widgets::TableCenterWidget * table;
                        Smartmatic::GUI::Widgets::SmartmaticBasicLabel * labelMessage;
                        Smartmatic::GUI::Widgets::SmartmaticBasicVBox * vbox;
                        std::list < std::string > indexs; ///< index custom code
                        std::map < std::string, Smartmatic::GUI::Widgets::SmartmaticBasicCheckButton * > maps; ///< maps check button
                };
            }
        }
    }
}

#endif /* CHECKLISTDIAGNOSEWIDGET_HXX_ */
