/**
 * @file DiagnosticButtonWidget.hxx
 * @brief Header diagnostic button widget class
 * @date 06/09/2013
 * @author Yadickson Soto
 */

#ifndef DIAGNOSTIC_BUTTONWIDGET_HXX_
#define DIAGNOSTIC_BUTTONWIDGET_HXX_

#include <Widgets/ButtonsWidget.hxx>

namespace Smartmatic
{
    namespace SAES
    {
        namespace GUI
        {
            namespace Widgets
            {
                /**
                 * @class	DiagnosticButtonWidget
                 * @brief	Diagnostic button widget class.
                 * @author	Yadickson Soto
                 * @date	06/09/2013
                 */
                class DiagnosticButtonWidget : public Smartmatic::GUI::Widgets::ButtonsWidget
                {
                    public:
                        /**
                         * @fn	DiagnosticButtonWidget::DiagnosticButtonWidget ();
                         * @brief	Class constructor.
                         * @author	Yadickson Soto
                         * @date	06/09/2013
                         */
                        DiagnosticButtonWidget ();
                        /**
                         * @fn	virtual DiagnosticButtonWidget::~DiagnosticButtonWidget();
                         * @brief	Class destructor.
                         * @author	Yadickson Soto
                         * @date	06/09/2013
                         */
                        virtual ~DiagnosticButtonWidget();
                        /**
                         * @fn	void DiagnosticButtonWidget::update();
                         * @brief	method update button.
                         * @author	Yadickson Soto
                         * @date	06/09/2013
                         */
                        void update();

                        /**
                         * @fn	void setOkButtonSensitive ( bool sensitive );
                         * @brief	Sets an ok button sensitive.
                         * @author	Cesar.bonilla
                         * @date	4/29/2011
                         * @param	sensitive	true to sensitive.
                         */

                        void setOkButtonSensitive ( bool sensitive );

                        /**
                         * @fn	void setCancelButtonSensitive ( bool sensitive );
                         * @brief	Sets a cancel button sensitive.
                         * @author	Cesar.bonilla
                         * @date	4/29/2011
                         * @param	sensitive	true to sensitive.
                         */

                        void setCancelButtonSensitive ( bool sensitive );

                        /**
                         * @fn	void setRetryButtonSensitive ( bool sensitive );
                         * @brief	Sets the retry button sensitive property.
                         * @author	Daniel Ampuero
                         * @date	25/09/2012
                         * @param	sensitive	true to sensitive.
                         */
                        void setRetryButtonSensitive ( bool sensitive );
                };
            }
        }
    }
}

#endif /* DIAGNOSTIC_BUTTONWIDGET_HXX_ */
