/*
 * EurnEndDiagnoseWidget.cxx
 *
 *  Created on: Nov 8, 2017
 *      Author: juanvalera
 */

#include "EurnEndDiagnoseWidget.hxx"
#include <Log/ISMTTLog.h>
#include <Log/SMTTLogManager.h>

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#define N_(String) (String) ///<macro for gettext not translate

using namespace Smartmatic::SAES::GUI::Widgets;
using namespace Smartmatic::Log;
using namespace Smartmatic::GUI::Widgets;

ISMTTLog * EurnEndDiagnoseWidget::logger = SMTTLogManager::GetLogger ( "Smartmatic.SAES.GUI.Widgets.EurnEndDiagnoseWidget", GETTEXT_PACKAGE );

EurnEndDiagnoseWidget::EurnEndDiagnoseWidget ( Smartmatic::SAES::GUI::Widgets::ProgressWidget * widget )
    : StepWidget (), widget ( widget )
{
    widget->setImage ( "ui/eUrn.gif" );
    setWidget ( widget );
}

EurnEndDiagnoseWidget::~EurnEndDiagnoseWidget()
{
    remove();

    if ( widget )
    {
        delete widget;
        widget = NULL;
    }
}

void EurnEndDiagnoseWidget::showSuccess()
{
    widget->setInfoText ( N_ ( "Diagnostic successful" ) );
}

void EurnEndDiagnoseWidget::showError()
{
    widget->setInfoText ( N_ ( "Diagnostic failed" ) );

}
