/**
 * @file	SmartcardDiagnosisWidget.hxx
 * @brief	Declares the smartcard reader diagnosis widget class.
 * @author	Yadickson Soto
 * @date	11/09/2013
 */

#ifndef _SMART_CARD_DIAGNOSIS_WIDGET_H_
#define _SMART_CARD_DIAGNOSIS_WIDGET_H_

#include <Gui/Widgets/Diagnose/WizardDiagnoseWidget.hxx>

namespace Smartmatic
{
    namespace Log
    {
        class ISMTTLog;
    }
    namespace SAES
    {
        namespace GUI
        {
            namespace Widgets
            {
                /**
                 * @class	SmartcardDiagnosisWidget
                 * @brief	Smart card reader diagnosis widget.
                 * @author	Yadickson Soto
                 * @date	11/09/2013
                 */
                class SmartcardDiagnosisWidget: public WizardDiagnoseWidget
                {
                    public:

                        /**
                         * @fn	SmartcardDiagnosisWidget::SmartcardDiagnosisWidget ();
                         * @brief	Constructor.
                         * @author	Yadickson Soto
                         * @date	11/09/2013
                         */
                        SmartcardDiagnosisWidget ();

                        /**
                         * @fn	SmartcardDiagnosisWidget::~SmartcardDiagnosisWidget();
                         * @brief	Class destructor.
                         * @author	Yadickson Soto
                         * @date	11/09/2013
                         */
                        virtual ~SmartcardDiagnosisWidget();

                    private:
                };
            }
        }
    }
}

#endif // _SMART_CARD_DIAGNOSIS_WIDGET_H_
