/**
 * @file GenericButtonWidget.hxx
 * @brief Header class generic button widget
 * @date 29/11/2012
 * @author Yadickson Soto
 */

#ifndef GENERICBUTTONWIDGET_HXX_
#define GENERICBUTTONWIDGET_HXX_

#include <Widgets/ButtonsWidget.hxx>

namespace Smartmatic
{
    namespace SAES
    {
        namespace GUI
        {
            namespace Widgets
            {
                /**
                 * @class	GenericButtonWidget
                 * @brief	Class PartyOptionButtonWidget.
                 * @author	Yadickson Soto
                 * @date	29/11/2012
                 */
                class GenericButtonWidget : public Smartmatic::GUI::Widgets::ButtonsWidget
                {
                    public:
                        /**
                         * @fn	GenericButtonWidget::GenericButtonWidget ();
                         * @brief	Class constructor.
                         * @author	Yadickson Soto
                         * @date	29/11/2012
                         */
                        GenericButtonWidget ();
                        /**
                         * @fn	virtual GenericButtonWidget::~GenericButtonWidget();
                         * @brief	Class destructor.
                         * @author	Yadickson Soto
                         * @date	29/11/2012
                         */
                        virtual ~GenericButtonWidget();
                        /**
                         * @fn	void GenericButtonWidget::update();
                         * @brief	method update button.
                         * @author	Yadickson Soto
                         * @date	29/11/2012
                         */
                        void update();
                };
            }
        }
    }
}

#endif /* GENERICBUTTONWIDGET_HXX_ */
