/**
 * @file PartyButtonWidget.hxx
 * @brief Header class party button widget
 * @date 12/03/2012
 * @author Yadickson Soto
 */

#ifndef PARTYBUTTONWIDGET_HXX_
#define PARTYBUTTONWIDGET_HXX_

#include <Widgets/ButtonsWidget.hxx>

namespace Smartmatic
{
    namespace SAES
    {
        namespace GUI
        {
            namespace Widgets
            {
                /**
                 * @class	PartyButtonWidget
                 * @brief	Class PartyOptionButtonWidget.
                 * @author	Yadickson Soto
                 * @date	12/03/2012
                 */
                class PartyButtonWidget : public Smartmatic::GUI::Widgets::ButtonsWidget
                {
                    public:
                        /**
                         * @fn	PartyButtonWidget::PartyButtonWidget ( bool expand = true );
                         * @brief	Class constructor.
                         * @author	Yadickson Soto
                         * @date	12/03/2012
                         * @param	expand	expand all button.
                         */
                        explicit PartyButtonWidget ( bool expand = true );
                        /**
                         * @fn	virtual PartyButtonWidget::~PartyButtonWidget();
                         * @brief	Class destructor.
                         * @author	Yadickson Soto
                         * @date	12/03/2012
                         */
                        virtual ~PartyButtonWidget();
                        /**
                         * @fn	void PartyButtonWidget::update();
                         * @brief	method update button.
                         * @author	Yadickson Soto
                         * @date	12/03/2012
                         */
                        void update();
                        /**
                         * @fn	void PartyButtonWidget::showNormalInfo();
                         * @brief	method show normal info.
                         * @author	Yadickson Soto
                         * @date	12/03/2012
                         */
                        void showNormalInfo();
                        /**
                         * @fn	void PartyButtonWidget::showNullInfo();
                         * @brief	method show null info.
                         * @author	Yadickson Soto
                         * @date	12/03/2012
                         */
                        void showNullInfo();

                    private:

                        bool flagNull; ///< flag null party
                };
            }
        }
    }
}

#endif /* PARTYBUTTONWIDGET_HXX_ */
