/*
 * ConfigBridge.cpp
 *
 *  Created on: Jun 20, 2013
 *      Author: Georgi Demirchev
 */

#include "ConfigBridge.h"
#include <Configuration/s-a-e-s-g-u-i-conf-manager.h>

namespace Smartmatic
{
    namespace SAES
    {
        namespace GUI
        {
            namespace Widgets
            {
                namespace Recount
                {

                    using namespace Smartmatic::SAES::GUI::Configuration;
                    using namespace Smartmatic::GUI::Configuration;
                    using namespace Smartmatic::SAES::Configuration;

                    int ConfigBridge::levelOfSelection = 1;
                    bool ConfigBridge::zerosFollowSelection = true;
                    std::string ConfigBridge::zerosReplacementInTotals = "";
                    bool ConfigBridge::extendedView = false;

                    int ConfigBridge::recountExitButtonXSize = 220;
                    int ConfigBridge::recountStatTableColSpacing = 10;
                    int ConfigBridge::recountStatTableRowSpacing = 10;
                    int ConfigBridge::recountStatTableColHeadersExtendedViewSize = 82;
                    int ConfigBridge::recountStatTableColHeadersSimpleViewSize = 120;
                    int ConfigBridge::recountStatSessionNameToFoundDataSpacing = 50;
                    int ConfigBridge::recountFoundToNotFoundDataSpacing = 50;
                    int ConfigBridge::recountNotFoundDataToTotalSpacing = 50;

                    LabelConfiguration ConfigBridge::recountScanPageTotalLabelConfig = LabelConfiguration();
                    LabelConfiguration ConfigBridge::recountScanInfoHeader = LabelConfiguration();
                    LabelConfiguration ConfigBridge::recountScanInfoLabel = LabelConfiguration();
                    LabelConfiguration ConfigBridge::recountStatExtendedViewHeader = LabelConfiguration();
                    LabelConfiguration ConfigBridge::recountStatColumnHeader = LabelConfiguration();
                    LabelConfiguration ConfigBridge::recountStatSessionLabel = LabelConfiguration();
                    LabelConfiguration ConfigBridge::recountStatSessionTotalsLabel = LabelConfiguration();
                    LabelConfiguration ConfigBridge::recountConfirmInfoLabel = LabelConfiguration();
                    LabelConfiguration ConfigBridge::recountConfirmInfoEntryLabel = LabelConfiguration();
                    ButtonConfiguration ConfigBridge::recountConfirmButton = ButtonConfiguration();

                    ConfigBridge::ConfigBridge()
                    {
                        extendedView = SAESGUIConfigurationManager::getInstance()->getRecountFunctionalityConfiguration().getExtendedView();
                        levelOfSelection = SAESGUIConfigurationManager::getInstance()->getRecountFunctionalityConfiguration().
                                           getLevelOfSelection();
                        zerosFollowSelection = SAESGUIConfigurationManager::getInstance()->getRecountFunctionalityConfiguration().
                                               getZerosFollowSelection();
                        zerosReplacementInTotals = SAESGUIConfigurationManager::getInstance()->getRecountFunctionalityConfiguration().
                                                   getZerosReplacementInTotals();

                        recountExitButtonXSize = SAESGUIConfigurationManager::getInstance()->getRecountFunctionalityConfiguration().
                                                 getRecountExitButtonXSize();
                        recountStatTableColSpacing = SAESGUIConfigurationManager::getInstance()->getRecountFunctionalityConfiguration().
                                                     getRecountStatTableColSpacing();
                        recountStatTableRowSpacing = SAESGUIConfigurationManager::getInstance()->getRecountFunctionalityConfiguration().
                                                     getRecountStatTableRowSpacing();
                        recountStatTableColHeadersExtendedViewSize = SAESGUIConfigurationManager::getInstance()->
                                getRecountFunctionalityConfiguration().getRecountStatTableColHeadersExtendedViewSize();
                        recountStatTableColHeadersSimpleViewSize = SAESGUIConfigurationManager::getInstance()->
                                getRecountFunctionalityConfiguration().getRecountStatTableColHeadersSimpleViewSize();
                        recountStatSessionNameToFoundDataSpacing = SAESGUIConfigurationManager::getInstance()->
                                getRecountFunctionalityConfiguration().getRecountStatSessionNameToFoundDataSpacing();
                        recountFoundToNotFoundDataSpacing = SAESGUIConfigurationManager::getInstance()->
                                                            getRecountFunctionalityConfiguration().getRecountFoundToNotFoundDataSpacing();
                        recountNotFoundDataToTotalSpacing = SAESGUIConfigurationManager::getInstance()->
                                                            getRecountFunctionalityConfiguration().getRecountNotFoundDataToTotalSpacing();

                        recountScanPageTotalLabelConfig = SAESGUIConfigurationManager::ConvertToLabelConfiguration (
                                                              SAESGUIConfigurationManager::getInstance()->getRecountFunctionalityConfiguration().
                                                              getRecountScanPageTotalLabelConfig() );
                        recountScanInfoHeader = SAESGUIConfigurationManager::ConvertToLabelConfiguration (
                                                    SAESGUIConfigurationManager::getInstance()->getRecountFunctionalityConfiguration().
                                                    getRecountScanInfoHeader() );
                        recountScanInfoLabel = SAESGUIConfigurationManager::ConvertToLabelConfiguration (
                                                   SAESGUIConfigurationManager::getInstance()->getRecountFunctionalityConfiguration().
                                                   getRecountScanInfoLabel() );
                        recountStatExtendedViewHeader = SAESGUIConfigurationManager::ConvertToLabelConfiguration (
                                                            SAESGUIConfigurationManager::getInstance()->getRecountFunctionalityConfiguration().
                                                            getRecountStatExtendedViewHeader() );
                        recountStatColumnHeader = SAESGUIConfigurationManager::ConvertToLabelConfiguration (
                                                      SAESGUIConfigurationManager::getInstance()->getRecountFunctionalityConfiguration().
                                                      getRecountStatColumnHeader() );
                        recountStatSessionLabel = SAESGUIConfigurationManager::ConvertToLabelConfiguration (
                                                      SAESGUIConfigurationManager::getInstance()->getRecountFunctionalityConfiguration().
                                                      getRecountStatSessionLabel() );
                        recountStatSessionTotalsLabel = SAESGUIConfigurationManager::ConvertToLabelConfiguration (
                                                            SAESGUIConfigurationManager::getInstance()->getRecountFunctionalityConfiguration().
                                                            getRecountStatSessionTotalsLabel() );
                        recountConfirmInfoLabel = SAESGUIConfigurationManager::ConvertToLabelConfiguration (
                                                      SAESGUIConfigurationManager::getInstance()->getRecountFunctionalityConfiguration().
                                                      getRecountConfirmInfoLabel() );
                        recountConfirmInfoEntryLabel = SAESGUIConfigurationManager::ConvertToLabelConfiguration (
                                                           SAESGUIConfigurationManager::getInstance()->getRecountFunctionalityConfiguration().
                                                           getRecountConfirmInfoEntryLabel() );
                        recountConfirmButton = SAESGUIConfigurationManager::getInstance()->getRecountFunctionalityConfiguration().
                                               getRecountConfirmButton();
                    }

                    ConfigBridge::~ConfigBridge()
                    {
                    }

                } /* namespace Recount */
            } /* namespace Widgets */
        } /* namespace GUI */
    } /* namespace SAES */
} /* namespace Smartmatic */
