/*
 * ConfigBridge.h
 *
 *  Created on: Jun 20, 2013
 *      Author: Georgi Demirchev
 */

#ifndef CONFIGBRIDGE_H_
#define CONFIGBRIDGE_H_

#include <string>
#include <Configuration/label-configuration.h>
#include <Configuration/s-a-e-s-functionality-conf-manager.h>

#include <Configuration/SaesGUIConfiguration-schema.hxx>
#include <Configuration/ConfigurationBase-schema.hxx>

namespace Smartmatic
{
    namespace SAES
    {
        namespace GUI
        {
            namespace Widgets
            {
                namespace Recount
                {

                    /**
                     * Cache-like, quick access to params in
                     * /etc/election.d/config/MP/configuration-miscellaneous.xml
                     */
                    class ConfigBridge
                    {
                        public:
                            /**
                             * Constructor
                             */
                            ConfigBridge();

                            /**
                             * Destructor
                             */
                            virtual ~ConfigBridge();

                            /**
                             * Static members providing access to...
                             */

                            /**
                             * General configuration
                             */
                            static int levelOfSelection; ///< LevelOfSelection in config-miscelanepus.xml
                            static bool zerosFollowSelection; ///< ZerosFollowSelection in config-miscelanepus.xml
                            static std::string zerosReplacementInTotals; ///< ZerosReplacementInTotals in config-miscelanepus.xml
                            static bool extendedView; ///< ExtendedView in config-miscelanepus.xml

                            /**
                             * Layout configuration
                             */
                            static int recountExitButtonXSize; ///< RecountExitButtonXSize in config-miscelanepus.xml
                            static int recountStatTableColSpacing; ///< RecountStatTableColSpacing in config-miscelanepus.xml
                            static int recountStatTableRowSpacing; ///< RecountStatTableRowSpacing in config-miscelanepus.xml
                            static int recountStatTableColHeadersExtendedViewSize; ///< RecountStatTableColHeadersExtendedViewSize in config-miscelanepus.xml
                            static int recountStatTableColHeadersSimpleViewSize; ///< RecountStatTableColHeadersSimpleViewSize in config-miscelanepus.xml
                            static int recountStatSessionNameToFoundDataSpacing; ///< RecountStatSessionNameToFoundDataSpacing in config-miscelanepus.xml
                            static int recountFoundToNotFoundDataSpacing; ///< RecountFoundToNotFoundDataSpacing in config-miscelanepus.xml
                            static int recountNotFoundDataToTotalSpacing; ///< RecountNotFoundDataToTotalSpacing in config-miscelanepus.xml

                            static Smartmatic::GUI::Configuration::LabelConfiguration recountScanPageTotalLabelConfig; ///< RecountScanPageTotalLabelConfig in config-miscelanepus.xml
                            static Smartmatic::GUI::Configuration::LabelConfiguration recountScanInfoHeader;///< RecountScanInfoHeader in config-miscelanepus.xml
                            static Smartmatic::GUI::Configuration::LabelConfiguration recountScanInfoLabel;///< RecountScanInfoLabel in config-miscelanepus.xml
                            static Smartmatic::GUI::Configuration::LabelConfiguration recountStatExtendedViewHeader;///< RecountStatExtendedViewHeader in config-miscelanepus.xml
                            static Smartmatic::GUI::Configuration::LabelConfiguration recountStatColumnHeader;///< RecountStatColumnHeader in config-miscelanepus.xml
                            static Smartmatic::GUI::Configuration::LabelConfiguration recountStatSessionLabel;///< RecountStatSessionLabel in config-miscelanepus.xml
                            static Smartmatic::GUI::Configuration::LabelConfiguration recountStatSessionTotalsLabel;///< RecountStatSessionTotalsLabel in config-miscelanepus.xml
                            static Smartmatic::GUI::Configuration::LabelConfiguration recountConfirmInfoLabel;///< RecountConfirmInfoLabel in config-miscelanepus.xml
                            static Smartmatic::GUI::Configuration::LabelConfiguration recountConfirmInfoEntryLabel;///< RecountConfirmInfoEntryLabel in config-miscelanepus.xml
                            static Smartmatic::SAES::Configuration::ButtonConfiguration recountConfirmButton;///< RecountConfirmButton in config-miscelanepus.xml
                    };

                } /* namespace Recount */
            } /* namespace Widgets */
        } /* namespace GUI */
    } /* namespace SAES */
} /* namespace Smartmatic */
#endif /* CONFIGBRIDGE_H_ */
