/**
 * @file RemoveUSBWidget.cxx
 * @brief Body class card removed widget
 * @date 29/02/2012
 * @author Yadickson Soto
 */

#include "RemoveUSBWidget.hxx"
#include "Configuration/s-a-e-s-g-u-i-conf-manager.h"

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#ifdef ENABLE_NLS
#include <libintl.h>
#define _(String) dgettext (GETTEXT_PACKAGE, String) ///<macro for gettext
#else
#define _(String) (String) ///<macro without gettext
#endif

#define N_(String) (String) ///<macro for gettext not translate

using namespace Smartmatic::SAES::GUI::Widgets;
using namespace Smartmatic::SAES::GUI::Configuration;

RemoveUSBWidget::RemoveUSBWidget ( ProgressWidget * progress )
    : StepWidget(), progress ( progress )
{
    progress->setInfoTextConfig ( SAESGUIConfigurationManager::getInstance()->GetVotingWindowEndMessagelabelConfig() );
    refresh();
    setTitle ( true );
    setShowBorder ( true );
}

RemoveUSBWidget::~RemoveUSBWidget()
{
    this->remove();

    if ( progress )
    {
        delete progress;
        progress = NULL;
    }
}

void RemoveUSBWidget::refresh()
{
    progress->setInfoTitle ( "   " );
    progress->setInfoText ( _ ( "Smartmatic.SAES.GUI.Widgets.RemoveUSBWidget.Info" ) );
    progress->setImage ( "ui/RemoveUSB.img" );
    setWidget ( progress );
}

