/**
 * @file RemoveUSBWidget.hxx
 * @brief Header class remove USB widget
 * @date 29/05/2013
 * @author Yadickson Soto
 */

#ifndef REMOVE_USB_WIDGET_HXX_
#define REMOVE_USB_WIDGET_HXX_

#include <Gui/Widgets/ProgressWidget.hxx>
#include <Widgets/StepWidget.hxx>

namespace Smartmatic
{
    namespace SAES
    {
        namespace GUI
        {
            namespace Widgets
            {
                /**
                 * @class	RemoveUSBWidget
                 * @brief	Class remove USB widget. Show message and icon relationship to remove USB.
                 * @author	Yadickson Soto
                 * @date	29/05/2013
                 */
                class RemoveUSBWidget : public Smartmatic::GUI::Widgets::StepWidget
                {
                    public:

                        /**
                         * @fn	RemoveUSBWidget::RemoveUSBWidget ( Smartmatic::SAES::GUI::Widgets::ProgressWidget * progress );
                         * @brief	Class constructor.
                         * @author	Yadickson Soto
                         * @date	29/05/2013
                         * @param	progress	progress widget.
                         */
                        explicit RemoveUSBWidget ( Smartmatic::SAES::GUI::Widgets::ProgressWidget * progress );
                        /**
                         * @fn	virtual RemoveUSBWidget::~RemoveUSBWidget();
                         * @brief	Class destructor.
                         * @author	Yadickson Soto
                         * @date	29/05/2013
                         */
                        virtual ~RemoveUSBWidget();
                        /**
                         * @fn	virtual void RemoveUSBWidget::refresh();
                         * @brief	refresh widget method.
                         * @author	Yadickson Soto
                         * @date	29/05/2013
                         */
                        virtual void refresh();

                    private:

                        Smartmatic::SAES::GUI::Widgets::ProgressWidget * progress; ///< principal frame
                };
            }
        }
    }
}

#endif /* REMOVE_USB_WIDGET_HXX_ */
