/**
 * @file CustomAttributeSelectionButtonWidget.hxx
 * @brief Header custom attribute selection button widget
 * @date 14/11/2012
 * @author Yadickson Soto
 */

#ifndef CUSTOMATTRIBUTESELECTIONBUTTONWIDGET_HXX_
#define CUSTOMATTRIBUTESELECTIONBUTTONWIDGET_HXX_

#include <Widgets/ButtonsWidget.hxx>

namespace Smartmatic
{
    namespace SAES
    {
        namespace GUI
        {
            namespace Widgets
            {
                namespace Voting
                {
                    /**
                     * @class	CustomAttributeSelectionButtonWidget
                     * @brief	Class custom attribute selection button widget.
                     * @author	Yadickson Soto
                     * @date	14/11/2012
                     */
                    class CustomAttributeSelectionButtonWidget : public Smartmatic::GUI::Widgets::ButtonsWidget
                    {
                        public:
                            /**
                             * @fn	CustomAttributeSelectionButtonWidget::CustomAttributeSelectionButtonWidget ( bool expand = true );
                             * @brief	Class constructor.
                             * @author	Yadickson Soto
                             * @date	14/11/2012
                             * @param	expand	expand all button.
                             */
                            explicit CustomAttributeSelectionButtonWidget ( bool expand = true );
                            /**
                             * @fn	virtual CustomAttributeSelectionButtonWidget::~CustomAttributeSelectionButtonWidget();
                             * @brief	Class destructor.
                             * @author	Yadickson Soto
                             * @date	14/11/2012
                             */
                            virtual ~CustomAttributeSelectionButtonWidget();
                            /**
                             * @fn	void CustomAttributeSelectionButtonWidget::update();
                             * @brief	method update button.
                             * @author	Yadickson Soto
                             * @date	14/11/2012
                             */
                            void update();
                    };
                }
            }
        }
    }
}

#endif /* CUSTOMATTRIBUTESELECTIONBUTTONWIDGET_HXX_ */
