/**
 * @file LanguageSelectionButtonWidget.hxx
 * @brief Header language selection button widget
 * @date 14/11/2012
 * @author Yadickson Soto
 */

#ifndef LANGUAGESELECTIONBUTTONWIDGET_HXX_
#define LANGUAGESELECTIONBUTTONWIDGET_HXX_

#include <Widgets/ButtonsWidget.hxx>

namespace Smartmatic
{
    namespace SAES
    {
        namespace GUI
        {
            namespace Widgets
            {
                namespace Voting
                {
                    /**
                     * @class	LanguageSelectionButtonWidget
                     * @brief	Class language selection button widget.
                     * @author	Yadickson Soto
                     * @date	14/11/2012
                     */
                    class LanguageSelectionButtonWidget : public Smartmatic::GUI::Widgets::ButtonsWidget
                    {
                        public:
                            /**
                             * @fn	LanguageSelectionButtonWidget::LanguageSelectionButtonWidget ( bool expand = true );
                             * @brief	Class constructor.
                             * @author	Yadickson Soto
                             * @date	14/11/2012
                             * @param	expand	expand all button.
                             */
                            explicit LanguageSelectionButtonWidget ( bool expand = true );
                            /**
                             * @fn	virtual LanguageSelectionButtonWidget::~LanguageSelectionButtonWidget();
                             * @brief	Class destructor.
                             * @author	Yadickson Soto
                             * @date	14/11/2012
                             */
                            virtual ~LanguageSelectionButtonWidget();
                            /**
                             * @fn	void LanguageSelectionButtonWidget::update();
                             * @brief	method update button.
                             * @author	Yadickson Soto
                             * @date	14/11/2012
                             */
                            void update();
                    };
                }
            }
        }
    }
}

#endif /* LANGUAGESELECTIONBUTTONWIDGET_HXX_ */
