/**
 * @file NullVotingWidget.cxx
 * @brief Body class null voting experience widget
 * @date 29/02/2012
 * @author Yadickson Soto
 */

#include "NullVotingWidget.hxx"
#include "Configuration/s-a-e-s-g-u-i-conf-manager.h"

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#ifdef ENABLE_NLS
#include <libintl.h>
#define _(String) dgettext (GETTEXT_PACKAGE, String) ///<macro for gettext
#else
#define _(String) (String) ///<macro without gettext
#endif

#define N_(String) (String) ///<macro for gettext not translate

using namespace Smartmatic::SAES::GUI::Widgets::Voting;
using namespace Smartmatic::SAES::GUI::Widgets;
using namespace Smartmatic::SAES::GUI::Configuration;

NullVotingWidget::NullVotingWidget ( ProgressWidget * progress )
    : StepWidget(), progress ( progress )
{
    progress->setInfoTextConfig ( SAESGUIConfigurationManager::getInstance()->GetVotingWindowEndMessagelabelConfig() );
    progress->setImage ( "ui/ForceEndVoting.gif" );

    refresh();
    setTitle ( false );
    setShowBorder ( true );
    setWidget ( progress );
}

NullVotingWidget::~NullVotingWidget()
{
    this->remove();

    if ( progress )
    {
        delete progress;
        progress = NULL;
    }
}

void NullVotingWidget::refresh()
{
    progress->setInfoText ( _ ( "Smartmatic.SAES.GUI.Widgets.Voting.NullVotingWidget.ForceEndVoting" ) );
}

