/**
 * @file PrintVoteErrorWidget.hxx
 * @brief Header class print vote error widget
 * @date 29/02/2012
 * @author Yadickson Soto
 */

#ifndef PRINTVOTEERRORWIDGET_HXX_
#define PRINTVOTEERRORWIDGET_HXX_

#include <Gui/Widgets/ProgressWidget.hxx>
#include <Widgets/StepWidget.hxx>

namespace Smartmatic
{
    namespace SAES
    {
        namespace GUI
        {
            namespace Widgets
            {
                namespace Voting
                {
                    /**
                     * @class	PrintVoteErrorWidget
                     * @brief	Class print vote error widget.
                     * @author	Yadickson Soto
                     * @date	29/02/2012
                     */
                    class PrintVoteErrorWidget : public Smartmatic::GUI::Widgets::StepWidget
                    {
                        public:

                            /**
                             * @fn	PrintVoteErrorWidget::PrintVoteErrorWidget ( Smartmatic::SAES::GUI::Widgets::ProgressWidget * progress );
                             * @brief	Class constructor.
                             * @author	Yadickson Soto
                             * @date	29/02/2012
                             * @param	progress	progress widget.
                             */
                            explicit PrintVoteErrorWidget ( Smartmatic::SAES::GUI::Widgets::ProgressWidget * progress );
                            /**
                             * @fn	virtual PrintVoteErrorWidget::~PrintVoteErrorWidget();
                             * @brief	Class destructor.
                             * @author	Yadickson Soto
                             * @date	29/02/2012
                             */
                            virtual ~PrintVoteErrorWidget();
                            /**
                             * @fn	virtual void PrintVoteErrorWidget::refresh();
                             * @brief	refresh widget method.
                             * @author	Yadickson Soto
                             * @date	30/03/2012
                             */
                            virtual void refresh();
                            /**
                             * @fn	void PrintVoteErrorWidget::setText ( std::string text );
                             * @brief	method setter text.
                             * @author	Yadickson Soto
                             * @date	29/02/2012
                             * @param	text	new text.
                             */
                            void setText ( std::string text );

                        private:

                            Smartmatic::SAES::GUI::Widgets::ProgressWidget * progress; ///< principal frame
                    };
                }
            }
        }
    }
}

#endif /* PRINTVOTEERRORWIDGET_HXX_ */
