/**
 * @file TimeOutPreviewWidget.hxx
 * @brief Body class timeout preview
 * @date 13/04/2012
 * @author Yadickson Soto
 */

#ifndef TIMEOUTPREVIEWWIDGET_HXX_
#define TIMEOUTPREVIEWWIDGET_HXX_

#include <Widgets/StepWidget.hxx>
#include <Widgets/smartmatic-button.h>

namespace Smartmatic
{
    namespace SAES
    {
        namespace GUI
        {
            namespace Widgets
            {
                namespace Voting
                {
                    /**
                     * @class	TimeOutPreviewWidget
                     * @brief	Class timeout preview widget.
                     * @author	Yadickson Soto
                     * @date	13/04/2012
                     */
                    class TimeOutPreviewWidget: public Smartmatic::GUI::Widgets::StepWidget
                    {
                        public:
                            /**
                             * @fn	TimeOutPreviewWidget::TimeOutPreviewWidget();
                             * @brief	Class constructor.
                             * @author	Yadickson Soto
                             * @date	13/04/2012
                             */
                            TimeOutPreviewWidget();
                            /**
                             * @fn	virtual TimeOutPreviewWidget::~TimeOutPreviewWidget();
                             * @brief	Class destructor.
                             * @author	Yadickson Soto
                             * @date	13/04/2012
                             */
                            virtual ~TimeOutPreviewWidget();
                            /**
                             * @fn	Glib::SignalProxy0< void > TimeOutPreviewWidget::getCloseClicked();
                             * @brief	Method getter signal close clicked.
                             * @author	Yadickson Soto
                             * @date	05/10/2011
                             * @return	signal.
                             */
                            Glib::SignalProxy0< void > getCloseClicked();
                            /**
                             * @fn	Glib::SignalProxy0< void > TimeOutPreviewWidget::getKeepClicked();
                             * @brief	Method getter signal keep clicked.
                             * @author	Yadickson Soto
                             * @date	05/10/2011
                             * @return	signal.
                             */
                            Glib::SignalProxy0< void > getKeepClicked();

                        private:

                            Gtk::VBox * mainFrame; ///< main frame
                            Gtk::Label * message; ///< message
                            Gtk::HButtonBox * hbuttonBox; ///< button box
                            Smartmatic::GUI::Widgets::SmartmaticButton * closeButton; ///< close button
                            Smartmatic::GUI::Widgets::SmartmaticButton * keepButton; ///< keep button
                    };
                }
            }
        }
    }
}

#endif /* TIMEOUTPREVIEWWIDGET_HXX_ */
