/**
 * @file VoteComplianceFailureWidget.cxx
 * @brief Body class vote compliance failure widget
 * @author eduardo.fernandez
 * @date Feb 12, 2018
 */

#include "VoteComplianceFailureWidget.hxx"
#include "Configuration/s-a-e-s-g-u-i-conf-manager.h"

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#ifdef ENABLE_NLS
#include <libintl.h>
#define _(String) dgettext (GETTEXT_PACKAGE, String) ///<macro for gettext
#else
#define _(String) (String) ///<macro without gettext
#endif

#define N_(String) (String) ///<macro for gettext not translate

using namespace Smartmatic::SAES::GUI::Widgets::Voting;
using namespace Smartmatic::SAES::GUI::Widgets;
using namespace Smartmatic::SAES::GUI::Configuration;

VoteComplianceFailureWidget::VoteComplianceFailureWidget ( ProgressWidget * progress )
    : StepWidget(), progress ( progress )
{
    progress->setInfoTextConfig ( SAESGUIConfigurationManager::getInstance()->GetVotingWindowEndMessagelabelConfig() );
    refresh();
    setTitle ( false );
    setShowBorder ( true );
    setWidget ( progress );
}

VoteComplianceFailureWidget::~VoteComplianceFailureWidget()
{
    this->remove();

    if ( progress )
    {
        delete progress;
        progress = NULL;
    }
}

void VoteComplianceFailureWidget::refresh()
{
    progress->setInfoText ( N_ ( "Smartmatic.SAES.GUI.Windows.VotingWindow.VoteComplianceFailure" ) );
    progress->setImage ( "ui/vote-compliance-failure.gif" );
}

void VoteComplianceFailureWidget::setText ( std::string text )
{
    progress->setInfoText ( text );
}
