/**
 * @file VoteComplianceFailureWidget.hxx
 * @brief Header class vote compliance error widget
 * @author eduardo.fernandez
 * @date Feb 12, 2018
 */

#ifndef VOTE_COMPLIANCE_FAILURE_WIDGET_HXX
#define VOTE_COMPLIANCE_FAILURE_WIDGET_HXX

#include <Gui/Widgets/ProgressWidget.hxx>
#include <Widgets/StepWidget.hxx>

namespace Smartmatic
{
    namespace SAES
    {
        namespace GUI
        {
            namespace Widgets
            {
                namespace Voting
                {
                    /**
                     * @class	VoteComplianceFailureWidget
                     * @brief	Class vote compliance error widget.
                     * @author	Yadickson Soto
                     * @date	Feb 12, 2018
                     */
                    class VoteComplianceFailureWidget : public Smartmatic::GUI::Widgets::StepWidget
                    {
                        public:

                            /**
                             * @fn	VoteComplianceFailureWidget::VoteComplianceFailureWidget ( Smartmatic::SAES::GUI::Widgets::ProgressWidget * progress );
                             * @brief	Class constructor.
                             * @author	eduardo.fernandez
                             * @date	Feb 12, 2018
                             * @param	progress	progress widget.
                             */
                            explicit VoteComplianceFailureWidget ( Smartmatic::SAES::GUI::Widgets::ProgressWidget * progress );
                            /**
                             * @fn	virtual VoteComplianceFailureWidget::~VoteComplianceFailureWidget();
                             * @brief	Class destructor.
                             * @author	eduardo.fernandez
                             * @date	Feb 12, 2018
                             */
                            virtual ~VoteComplianceFailureWidget();
                            /**
                             * @fn	virtual void VoteComplianceFailureWidget::refresh();
                             * @brief	refresh widget method.
                             * @author	eduardo.fernandez
                             * @date	Feb 12, 2018
                             */
                            virtual void refresh();
                            /**
                             * @fn	void VoteComplianceFailureWidget::setText ( std::string text );
                             * @brief	method setter text.
                             * @param	text	new text.
                             * @author	eduardo.fernandez
                             * @date	Feb 12, 2018
                             */
                            void setText ( std::string text );

                        private:

                            Smartmatic::SAES::GUI::Widgets::ProgressWidget * progress; ///< principal frame
                    };
                }
            }
        }
    }
}

#endif /* VOTE_COMPLIANCE_FAILURE_WIDGET_HXX */
