/**
 * @file VotingExperienceValidationWidget.hxx
 * @brief Header class voting experience validation widget
 * @date 25/04/2012
 * @author Yadickson Soto
 */

#ifndef VotingExperienceValidationWidget_HXX_
#define VotingExperienceValidationWidget_HXX_

#include <Gui/Widgets/ProgressWidget.hxx>
#include <Widgets/smartmatic-button.h>
#include <Widgets/StepWidget.hxx>

namespace Smartmatic
{
    namespace Log
    {
        class ISMTTLog;
    }

    namespace SAES
    {
        namespace GUI
        {
            namespace Widgets
            {
                namespace Voting
                {
                    /**
                     * @class	VotingExperienceValidationWidget
                     * @brief	Class card removed widget.
                     * @author	Yadickson Soto
                     * @date	25/04/2012
                     */
                    class VotingExperienceValidationWidget : public Smartmatic::GUI::Widgets::StepWidget
                    {
                        public:

                            /**
                             * @fn	VotingExperienceValidationWidget::VotingExperienceValidationWidget();
                             * @brief	Class constructor.
                             * @author	Yadickson Soto
                             * @date	25/04/2012
                             */
                            VotingExperienceValidationWidget();
                            /**
                             * @fn	virtual VotingExperienceValidationWidget::~VotingExperienceValidationWidget();
                             * @brief	Class destructor.
                             * @author	Yadickson Soto
                             * @date	25/04/2012
                             */
                            virtual ~VotingExperienceValidationWidget();
                            /**
                             * @fn	virtual void VotingExperienceValidationWidget::refresh();
                             * @brief	refresh widget method.
                             * @author	Yadickson Soto
                             * @date	25/04/2012
                             */
                            virtual void refresh();
                            /**
                             * @fn	Glib::SignalProxy0< void > VotingExperienceValidationWidget::getSignalBallot();
                             * @brief	method getter signal ballot.
                             * @author	Yadickson Soto
                             * @date	25/04/2012
                             * @return	signal ballot.
                             */
                            Glib::SignalProxy0< void > getSignalBallot();
                            /**
                             * @fn	Glib::SignalProxy0< void > VotingExperienceValidationWidget::getSignalAll();
                             * @brief	method getter signal all.
                             * @author	Yadickson Soto
                             * @date	25/04/2012
                             * @return	signal all.
                             */
                            Glib::SignalProxy0< void > getSignalAll();

                        protected:

                            /**
                             * @fn	void VotingExperienceValidationWidget::initialize();
                             * @brief	initialize class.
                             * @author	Yadickson Soto
                             * @date	25/04/2012
                             */
                            void initialize();
                            /**
                             * @fn	void VotingExperienceValidationWidget::dispose();
                             * @brief	dispose class.
                             * @author	Yadickson Soto
                             * @date	25/04/2012
                             */
                            void dispose();

                        private:

                            Gtk::EventBox * mainFrame; ///< The frame principal
                            Gtk::VBox * vBox;   ///< The vbox
                            Gtk::HBox * hBox1;   ///< The hbox
                            Gtk::HBox * hBox2;   ///< The hbox
                            Gtk::Alignment * alignment; ///< The alignment
                            Smartmatic::GUI::Widgets::SmartmaticButton * ballotButton;	///< The only ballot button
                            Smartmatic::GUI::Widgets::SmartmaticButton * allButton;	///< The generate all button
                            static Smartmatic::Log::ISMTTLog * logger;  ///< logger
                    };
                }
            }
        }
    }
}

#endif /* VotingExperienceValidationWidget_HXX_ */
