/**
 * @file AlarmMessage.hxx
 * @brief Header class alarm message text
 * @date 12/04/2012
 * @author Yadickson Soto
 */

#ifndef ALARMMESSAGE_HXX_
#define ALARMMESSAGE_HXX_

#include <string>
#include <Configuration/alarms-configuration-schema.hxx>

namespace Smartmatic
{
    namespace Log
    {
        class ISMTTLog;
    }
    namespace SAES
    {
        namespace GUI
        {
            namespace Operation
            {
                /**
                 * @class	AlarmMessage
                 * @brief	class alarm message text.
                 * @author	Yadickson Soto
                 * @date	12/04/2012
                 */
                class AlarmMessage
                {
                    protected:
                        /**
                         * @fn	AlarmMessage::AlarmMessage();
                         * @brief	class constructor.
                         * @author	Yadickson Soto
                         * @date	12/04/2012
                         */
                        AlarmMessage();

                    public:
                        /**
                         * @fn	virtual AlarmMessage::~AlarmMessage();
                         * @brief	class destructor.
                         * @author	Yadickson Soto
                         * @date	12/04/2012
                         */
                        virtual ~AlarmMessage();
                        /**
                         * @fn	static void AlarmMessage::alarm ( Smartmatic::SAES::Functionality::Configuration::AlarmEnum alarmType );
                         * @brief	method format alarm type to text.
                         * @author	Yadickson Soto
                         * @date	11/04/2012
                         * @param	alarmType			alarm type.
                         */
                        static void alarm ( Smartmatic::SAES::Functionality::Configuration::AlarmEnum alarmType );

                    private:

                        static Smartmatic::Log::ISMTTLog * logger; ///< The logger
                };
            }
        }
    }
}

#endif /* ALARMMESSAGE_HXX_ */
