/**
 * @file VotingOperation.hxx
 * @brief Header class voting operation
 * @date 23/04/2012
 * @author Yadickson Soto
 */

#ifndef VOTINGOPERATION_HXX_
#define VOTINGOPERATION_HXX_

#include <string>
#include <Voting/Vote/vote-schema.hxx>

namespace Smartmatic
{
    namespace SAES
    {
        namespace GUI
        {
            namespace Operation
            {
                namespace Voting
                {
                    /**
                     * @class	VotingOperation
                     * @brief	class voting operation.
                     * @author	Yadickson Soto
                     * @date	23/04/2012
                     */
                    class VotingOperation
                    {
                        protected:
                            /**
                             * @fn	VotingOperation::VotingOperation();
                             * @brief	class constructor.
                             * @author	Yadickson Soto
                             * @date	23/04/2012
                             */
                            VotingOperation();
                        public:
                            /**
                             * @fn	virtual VotingOperation::~VotingOperation();
                             * @brief	class destructor.
                             * @author	Yadickson Soto
                             * @date	23/04/2012
                             */
                            virtual ~VotingOperation();
                            /**
                             * @fn	static void VotingOperation::refresh();
                             * @brief	method refresh.
                             * @author	Yadickson Soto
                             * @date	23/04/2012
                             */
                            static void refresh();
                            /**
                             * @fn	static std::string VotingOperation::getWindowName();
                             * @brief	method getter window name.
                             * @author	Yadickson Soto
                             * @date	23/04/2012
                             * @return	window name.
                             */
                            static std::string getWindowName();
                            /**
                             * @fn	static std::string VotingOperation::getButtonName();
                             * @brief	method getter button name.
                             * @author	Yadickson Soto
                             * @date	22/10/2012
                             * @return	button name.
                             */
                            static std::string getButtonName();
                            /**
                             * @fn	static Smartmatic::SAES::Voting::Vote::VoteMode VotingOperation::getVoteMode();
                             * @brief	method getter wvote mode.
                             * @author	Yadickson Soto
                             * @date	23/04/2012
                             * @return	vote mode.
                             */
                            static Smartmatic::SAES::Voting::Vote::VoteMode getVoteMode();
                    };
                }
            }
        }
    }
}

#endif /* VOTINGOPERATION_HXX_ */
