/*
 * ChainMockColumnLayout.hxx
 *
 *  Created on: 23/04/2013
 *      Author: soto
 */

#ifndef CHAINMOCKCOLUMNLAYOUT_HXX_
#define CHAINMOCKCOLUMNLAYOUT_HXX_

#include <mockpp/mockpp.h>
#include <mockpp/chaining/ChainableMockObject.h>
#include <mockpp/chaining/ChainingMockObjectSupport.h>

#include <Gui/Widgets/Voting/IContestLayout.hxx>

class ChainMockColumnLayout : 	public Smartmatic::SAES::GUI::Widgets::Voting::IContestLayout,
    public MOCKPP_NS::ChainableMockObject
{
    public:
        ChainMockColumnLayout()
            : MOCKPP_NS::ChainableMockObject ( MOCKPP_PCHAR ( "ChainMockColumnLayout" ), 0 )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( getColumns )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( getPivot )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( isSwing )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( isPartialSwing )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( getSpacing )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( getFirstnameAlignment )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( getLastnameAlignment )
        {}

        MOCKPP_CHAINABLE0 ( ChainMockColumnLayout, int, getColumns );
        MOCKPP_CHAINABLE0 ( ChainMockColumnLayout, int, getPivot );
        MOCKPP_CHAINABLE0 ( ChainMockColumnLayout, bool, isSwing );
        MOCKPP_CHAINABLE0 ( ChainMockColumnLayout, bool, isPartialSwing );
        MOCKPP_CHAINABLE0 ( ChainMockColumnLayout, float, getSpacing );
        MOCKPP_CHAINABLE0 ( ChainMockColumnLayout, Smartmatic::GUI::Configuration::LabelAlignmentEnum , getFirstnameAlignment );
        MOCKPP_CHAINABLE0 ( ChainMockColumnLayout, Smartmatic::GUI::Configuration::LabelAlignmentEnum , getLastnameAlignment );
};

#endif /* CHAINMOCKCOLUMNLAYOUT_HXX_ */
