/**
 * @file MockBCRController.hxx
 * @date 31/01/2017
 * @author Juan Valera
 */

#ifndef MOCK_BCR_CONTROLLER_HXX_
#define MOCK_BCR_CONTROLLER_HXX_

#include <mockpp/mockpp.h>
#include <mockpp/chaining/ChainableMockObject.h>
#include <mockpp/chaining/ChainingMockObjectSupport.h>

#include "Operation/Devices/BCRController.hxx"

class MockBCRController : public Smartmatic::SAES::Operation::Devices::BCRController,
public MOCKPP_NS::ChainableMockObject
{
    public:

        MockBCRController ()
        : Smartmatic::SAES::Operation::Devices::BCRController()
        , MOCKPP_NS::ChainableMockObject ( MOCKPP_PCHAR ( "MockBCRController" ), 0 )
        , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE1 ( sendReconfigureCommand )
        {
        }

        virtual ~MockBCRController ()
        {
        }

        MOCKPP_CHAINABLE1 ( MockBCRController, bool, sendReconfigureCommand, std::string);

};

#endif /* MOCK_BCR_CONTROLLER_HXX_ */
