/**
 * @file MockSafeDispatcher.hxx
 * @date 01/02/2017
 * @author Juan Valera
 */

#ifndef MOCK_SAFE_DISPATCHER_HXX_
#define MOCK_SAFE_DISPATCHER_HXX_

#include <System/SafeDispatcher.hxx>

class MockSafeDispatcher : public Smartmatic::System::SafeDispatcher
{
    private:
    bool result;
    public:

        MockSafeDispatcher ()
        {
            result = false;
        }

        virtual ~MockSafeDispatcher ()
        {
        }

        bool getResult()
        {
            return result;
        }

        void emit ( void * object )
        {
             bool * status = static_cast < bool * > ( object );
             result = *status;
             delete status;
        }

};

#endif /* MOCK_SAFE_DISPATCHER_HXX_ */
