/**
 * @file   AbledEnableNotificationsCommand.hxx
 * @brief  Declaration of AbledEnableNotificationsCommand class.
 * @author eduardo.fernandez
 * @date   Jan 12, 2018
 */

#ifndef ABLED_ENABLE_NOTIFICATIONS_COMMAND_HXX
#define ABLED_ENABLE_NOTIFICATIONS_COMMAND_HXX

#include "CommandBaseAbled.hxx"

namespace Smartmatic
{
    namespace SAES
    {
        namespace HW
        {
            namespace Connections
            {
                class IConnection;
            }

            namespace Commands
            {
                /**
                 * @class  AbledEnableNotificationsCommand
                 * @brief  Command to enable abled notifications.
                 * @author eduardo.fernandez
                 * @date   Jan 12, 2018
                 */
                class AbledEnableNotificationsCommand : public CommandBaseAbled
                {
                    public:

                        /**
                         * @brief  Creates an instance of the class.
                         * @author eduardo.fernandez
                         * @date   Jan 12, 2018
                         */
                        AbledEnableNotificationsCommand(HW::Connections::IConnection* connection, const bool enableNotifications);

                        /**
                         * @brief  Destroys an instance of the class.
                         * @author eduardo.fernandez
                         * @date   Jan 12, 2018
                         */
                        virtual ~AbledEnableNotificationsCommand();

                    private:

                        /**
                         * @brief  Initialize the command.
                         * @author eduardo.fernandez
                         * @date   Jan 12, 2018
                         */
                        virtual void initialize();

                    private:

                        bool m_enableNotifications;
                };

            } /* namespace Commands */
        } /* namespace HW */
    } /* namespace SAES */
} /* namespace Smartmatic */

#endif /* ABLED_ENABLE_NOTIFICATIONS_COMMAND_HXX */
