/**
 * @file   AbledFWVersionCommand.hxx
 * @brief  Declaration of AbledFWVersionCommand class.
 * @author eduardo.fernandez
 * @date   Jan 11, 2018
 */

#ifndef ABLED_FW_VERSION_COMMAND_HXX
#define ABLED_FW_VERSION_COMMAND_HXX

#include "CommandBaseAbled.hxx"

namespace Smartmatic
{
    namespace SAES
    {
        namespace HW
        {
            namespace Connections
            {
                class IConnection;
            }

            namespace Commands
            {
                /**
                 * @class  AbledFWVersionCommand
                 * @brief  Command to ask the abled for the FW.
                 * @author eduardo.fernandez
                 * @date   Jan 11, 2018
                 */
                class AbledFWVersionCommand : public CommandBaseAbled
                {
                    public:

                        /**
                         * @brief  Creates an instance of the class.
                         * @author eduardo.fernandez
                         * @date   Jan 11, 2018
                         */
                        explicit AbledFWVersionCommand(HW::Connections::IConnection* connection);

                        /**
                         * @brief  Destroys an instance of the class.
                         * @author eduardo.fernandez
                         * @date   Jan 11, 2018
                         */
                        virtual ~AbledFWVersionCommand();

                    private:

                        /**
                         * @brief  Initialize the command.
                         * @author eduardo.fernandez
                         * @date   Jan 11, 2018
                         */
                        virtual void initialize();

                    private:
                };

            } /* namespace Commands */
        } /* namespace HW */
    } /* namespace SAES */
} /* namespace Smartmatic */

#endif /* ABLED_FW_VERSION_COMMAND_HXX */
