/*
 * AbledSetSerialNumberCommand.cxx
 *
 *  Created on: Jan 11, 2018
 *      Author: eduardo.fernandez
 */

#include "AbledSetSerialNumberCommand.hxx"
#include <Commands/DataCommandElement.hxx>

using namespace Smartmatic::SAES::HW::Commands;
using namespace Smartmatic::SAES::HW::Connections;

static const unsigned char COMMAND_MB = 0x1B;
static const unsigned char COMMAND_ID = 0x74;

AbledSetSerialNumberCommand::AbledSetSerialNumberCommand(HW::Connections::IConnection* connection, const std::vector<unsigned char> & serialChars)
    : CommandBaseAbled(connection)
    , m_serialChars(serialChars)
{
    hasResponse_ = true;
}

AbledSetSerialNumberCommand::~AbledSetSerialNumberCommand()
{
}

void AbledSetSerialNumberCommand::initialize()
{
    data.push_back(COMMAND_MB);
    data.push_back(COMMAND_ID);
    data.insert(data.end(), m_serialChars.begin(), m_serialChars.end());
}
