/**
 * @file AlarmHeaderCommandElement.hxx
 * @brief Defines the Header alarm command element. This will be limited to one-byte values.
 * @author	Yadickson Soto
 * @date	17/02/2014
 */

#ifndef ALARM_HEADER_COMMAND_ELEMENT_HXX_
#define ALARM_HEADER_COMMAND_ELEMENT_HXX_

#include <Commands/ByteCommandElement.hxx>

namespace Smartmatic
{
    namespace SAES
    {
        namespace HW
        {
            namespace Commands
            {
                /**
                 * @class	AlarmHeaderCommandElement
                 * @brief	Header alarm command element class. This will be limited to one-byte values.
                 * @author	Yadickson Soto
                 * @date	17/02/2014
                 */
                class AlarmHeaderCommandElement : public ByteCommandElement
                {
                    public:
                        /**
                         * @fn	AlarmHeaderCommandElement()
                         * @brief	Constructor default.
                         * @author	Yadickson Soto
                         * @date	17/02/2014
                         */
                        AlarmHeaderCommandElement();

                        /**
                         * @fn	virtual ~AlarmHeaderCommandElement()
                         * @brief	Constructor destructorer.
                         * @author	Yadickson Soto
                         * @date	17/02/2014
                         */
                        virtual ~AlarmHeaderCommandElement();
                };

            } /* namespace Commands */
        } /* namespace HW */
    } /* namespace SAES */
} /* namespace Smartmatic */
#endif /* ALARM_HEADER_COMMAND_ELEMENT_HXX_ */
