/**
 * @file BarcodeCRCCommandElement.cxx
 * @brief	Body of the crc barcode reader command element. One byte for crc
 * @author	Yadickson Soto
 * @date	23/06/2015
 */

#include "BarcodeCRCCommandElement.hxx"

using namespace Smartmatic::SAES::HW::Commands;

BarcodeCRCCommandElement::BarcodeCRCCommandElement ()
{

}

BarcodeCRCCommandElement::~BarcodeCRCCommandElement()
{

}

void BarcodeCRCCommandElement::addToCommand ( std::vector < unsigned char > & command )
{
    unsigned char lrc = 0xFF;

    for ( unsigned int i = 2; i < command.size(); i++ )
    {
        lrc = lrc ^ command[i];
    }

    command.push_back ( lrc );
}
