/**
 * @file BarcodeHeaderCommandElement.hxx
 * @brief Defines the Header barcode reader command element.
 * @author	Yadickson Soto
 * @date	17/02/2014
 */

#ifndef BARCODE_HEADER_COMMAND_ELEMENT_HXX_
#define BARCODE_HEADER_COMMAND_ELEMENT_HXX_

#include <Commands/CommandElement.hxx>

namespace Smartmatic
{
    namespace SAES
    {
        namespace HW
        {
            namespace Commands
            {
                /**
                 * @class	BarcodeHeaderCommandElement
                 * @brief	Header barcode reader command element class.
                 * @author	Yadickson Soto
                 * @date	17/02/2014
                 */
                class BarcodeHeaderCommandElement : public CommandElement
                {
                    public:
                        /**
                         * @fn	BarcodeHeaderCommandElement()
                         * @brief	Constructor default.
                         * @author	Yadickson Soto
                         * @date	17/02/2014
                         */
                        BarcodeHeaderCommandElement();

                        /**
                         * @fn	virtual ~BarcodeHeaderCommandElement()
                         * @brief	Constructor destructorer.
                         * @author	Yadickson Soto
                         * @date	17/02/2014
                         */
                        virtual ~BarcodeHeaderCommandElement();

                        /**
                         * @fn virtual void addToCommand( std::vector < unsigned char > & command );
                         * @brief Adds the data to the being-constructed command.
                         * @author Yadickson Soto
                         * @date 23/06/2015
                         * @param	command The being-constructed command, to which we want to add the data command element.
                         */
                        virtual void addToCommand ( std::vector < unsigned char > & command );
                };

            } /* namespace Commands */
        } /* namespace HW */
    } /* namespace SAES */
} /* namespace Smartmatic */
#endif /* BARCODE_HEADER_COMMAND_ELEMENT_HXX_ */
