/**
 * @file ByteCommandElement.cxx
 * @brief Defines the basic byte command to be sent to a device. This will be limited to one-byte values.
 * @date 17/02/2014
 * @author Yadickson Soto
 */

#include "ByteCommandElement.hxx"

using namespace Smartmatic::SAES::HW::Commands;

ByteCommandElement::ByteCommandElement ( unsigned char byte )
    : byte ( byte )
{

}

ByteCommandElement::~ByteCommandElement()
{

}

void ByteCommandElement::addToCommand ( std::vector < unsigned char > & command )
{
    command.push_back ( byte );
}
