/**
 * @file ChecksumCommandElement.cxx
 * @brief	Defines the checksum calculation command element.
 * @author	Yadickson Soto
 * @date	17/02/2014
 */

#include "ChecksumCommandElement.hxx"

using namespace Smartmatic::SAES::HW::Commands;

ChecksumCommandElement::ChecksumCommandElement ( const std::vector<unsigned char> & data )
    : data ( data )
{

}

ChecksumCommandElement::~ChecksumCommandElement()
{

}

void ChecksumCommandElement::addToCommand ( std::vector < unsigned char > & command )
{
    int checkTotal = 0;
    int size = data.size();

    for ( int i = 0; i < size; i++ )
    {
        checkTotal += data[i];
    }

    command.push_back ( checkTotal );
}
