/*
 * IOBSetSerialNumberCommand.cxx
 *
 *  Created on: Jan 2, 2018
 *      Author: eduardo.fernandez
 */

#include "IOBSetSerialNumberCommand.hxx"
#include <Commands/DataCommandElement.hxx>

using namespace Smartmatic::SAES::HW::Commands;
using namespace Smartmatic::SAES::HW::Connections;

static const unsigned char COMMAND_MB = 0x1B;
static const unsigned char COMMAND_ID = 0x74;

IOBSetSerialNumberCommand::IOBSetSerialNumberCommand(HW::Connections::IConnection* connection, const std::vector<unsigned char> & serialChars)
    : CommandBaseIOB(connection)
    , m_serialChars(serialChars)
{
    hasResponse_ = true;
}

IOBSetSerialNumberCommand::~IOBSetSerialNumberCommand()
{
}

void IOBSetSerialNumberCommand::initialize()
{
    data.push_back(COMMAND_MB);
    data.push_back(COMMAND_ID);
    data.insert(data.end(), m_serialChars.begin(), m_serialChars.end());
}
