/**
 * @file P168AHeaderCommandElement.hxx
 * @brief Defines the Header of the chip P168A command element. This will be limited to one-byte values.
 * @author	Yadickson Soto
 * @date	17/02/2014
 */

#ifndef P168A_HEADER_COMMAND_ELEMENT_HXX_
#define P168A_HEADER_COMMAND_ELEMENT_HXX_

#include <Commands/ByteCommandElement.hxx>

namespace Smartmatic
{
    namespace SAES
    {
        namespace HW
        {
            namespace Commands
            {
                /**
                 * @class	P168AHeaderCommandElement
                 * @brief	Header of the chip P168A command element class.
                 * @author	Yadickson Soto
                 * @date	17/02/2014
                 */
                class P168AHeaderCommandElement : public ByteCommandElement
                {
                    public:
                        /**
                         * @fn	P168AHeaderCommandElement()
                         * @brief	Constructor default.
                         * @author	Yadickson Soto
                         * @date	17/02/2014
                         */
                        P168AHeaderCommandElement();

                        /**
                         * @fn	virtual ~P168AHeaderCommandElement()
                         * @brief	Constructor destructorer.
                         * @author	Yadickson Soto
                         * @date	17/02/2014
                         */
                        virtual ~P168AHeaderCommandElement();
                };

            } /* namespace Commands */
        } /* namespace HW */
    } /* namespace SAES */
} /* namespace Smartmatic */
#endif /* P168A_HEADER_COMMAND_ELEMENT_HXX_ */
