/**
 * @file   PDBEnableUsbCommand.cxx
 * @brief  Implementation of PDBEnableUsbCommand class.
 * @author manuel.arguelles
 * @date   Nov  1, 2017
 */

#include "PDBEnableUsbCommand.hxx"
#include <Commands/DataCommandElement.hxx>

using namespace Smartmatic::SAES::HW::Commands;
using namespace Smartmatic::SAES::HW::Connections;

static const unsigned char COMMAND_MB = 0x1B;
static const unsigned char COMMAND_ID = 0x6C;
static const unsigned char TURN_ON = 0x01;

PDBEnableUsbCommand::PDBEnableUsbCommand(HW::Connections::IConnection* connection, PDBUsbPort usbPort)
    : CommandBasePDB(connection)
    , m_usbPort(usbPort)
{
    hasResponse_ = true;
}

PDBEnableUsbCommand::~PDBEnableUsbCommand()
{
}

void PDBEnableUsbCommand::initialize()
{
    data.push_back(COMMAND_MB);
    data.push_back(COMMAND_ID);
    data.push_back(static_cast<unsigned char>(m_usbPort & 0xff));
    data.push_back(static_cast<unsigned char>((m_usbPort >> 8)  & 0xff));
    data.push_back(TURN_ON);
}
