/**
 * @file	alarm-buzzer-command.cc
 * @brief	alarm buzzer command class.
 * @author	Youssef.tourkmani
 * @date	31/10/2012
 */

#include "alarm-buzzer-command.h"

using namespace Smartmatic::SAES::HW::Commands;

AlarmBuzzerCommand::AlarmBuzzerCommand ( Smartmatic::SAES::HW::Connections::IConnection * connection, unsigned char periodB, unsigned char repeatB )
    : CommandBaseAlarm ( connection )
{
    period = periodB;
    repeat = repeatB;
    hasResponse_ = true;
}

void AlarmBuzzerCommand::initialize()
{
    commandByte.push_back ( 0x05 );
    data.push_back ( period );
    data.push_back ( repeat );
}
