/**
 * @file	alarm-green-led-command.cc
 * @brief	alarm green LED command class.
 * @author	Youssef.tourkmani
 * @date	31/10/2012
 */

#include "alarm-green-led-command.h"

using namespace Smartmatic::SAES::HW::Commands;

AlarmGreenLedCommand::AlarmGreenLedCommand ( Smartmatic::SAES::HW::Connections::IConnection * connection, unsigned char periodGL, unsigned char repeatGL )
    : CommandBaseAlarm ( connection )
{
    period = periodGL;
    repeat = repeatGL;
    hasResponse_ = true;
}

void AlarmGreenLedCommand::initialize()
{
    commandByte.push_back ( 0x04 );
    data.push_back ( 0x01 );
    data.push_back ( period );
    data.push_back ( repeat );
}
