/*
 * IOBDeviceConfigurationManager.cxx
 *
 *  Created on: Jan 2, 2018
 *      Author: eduardo.fernandez
 */

#include "IOBDeviceConfigurationManager.hxx"
#include "s-a-e-s-hardware-conf-manager.h"

using namespace Smartmatic::SAES::HW::Configuration;

IOBDeviceConfigurationManager * IOBDeviceConfigurationManager::instance = NULL; ///< The singleton instance

IOBDeviceConfigurationManager::IOBDeviceConfigurationManager()
{

}

IOBDeviceConfigurationManager::~IOBDeviceConfigurationManager()
{
    instance = NULL;
}

IOBPortType IOBDeviceConfigurationManager::getIOBPortForVIUSCRPowerCycle()
{
    return getIOBDeviceConfiguration().getIOBPortForVIUSCRPowerCycle();
}

IOBDeviceConfiguration & IOBDeviceConfigurationManager::getConfiguration()
{
   return getIOBDeviceConfiguration();
}

IOBDeviceConfiguration & IOBDeviceConfigurationManager::getIOBDeviceConfiguration()
{
    if ( !SAESHardwareConfigurationManager::getInstance()->getConfiguration()->getIOBDeviceConfiguration().present() )
    {
        IOBDeviceConfiguration config;
        config.setIOBPortForVIUSCRPowerCycle(IOBPortType::IOB_DEVICE_USB_4);
        SAESHardwareConfigurationManager::getInstance()->getConfiguration()->setIOBDeviceConfiguration ( config );
    }

    return SAESHardwareConfigurationManager::getInstance()->getConfiguration()->getIOBDeviceConfiguration().get();
}

IOBDeviceConfigurationManager * IOBDeviceConfigurationManager::getInstance ( IOBDeviceConfigurationManager * externManager )
{
    if ( ! instance )
    {
        instance = ( externManager == NULL ? new IOBDeviceConfigurationManager() : externManager );
    }

    return instance;
}
