#ifndef TEST_LENGTH_COMMAND_ELEMENT_TEST
#define TEST_LENGTH_COMMAND_ELEMENT_TEST

#ifdef ECUT_MAIN

#include <cppunit/extensions/HelperMacros.h>
#include <Commands/LengthCommandElement.hxx>
#include <System/Utils/StringUtils.hxx>

class LengthCommandElementTest : public CPPUNIT_NS::TestFixture
{
    private:

        typedef Smartmatic::System::Utils::StringUtils StringUtils;
        typedef Smartmatic::SAES::HW::Commands::LengthCommandElement LengthCommandElement;

    public:

        LengthCommandElementTest ()
        {

        }

        void setUp()
        {

        }

        void tearDown()
        {

        }

        void testInputData()
        {
            unsigned char input = 0xFF;
            std::vector<unsigned char> command;

            LengthCommandElement checksum ( input );

            std::string expected = "ff";
            std::string result;

            checksum.addToCommand ( command );

            result = StringUtils::arrayHexToString ( command );

            CPPUNIT_ASSERT ( false == command.empty() );
            CPPUNIT_ASSERT ( expected == result );
        }

        void testInputData_TwoCalls()
        {
            unsigned char input = 0x15;
            std::vector<unsigned char> command;

            LengthCommandElement checksum ( input );

            std::string expected = "1515";
            std::string result;

            checksum.addToCommand ( command );
            checksum.addToCommand ( command );

            result = StringUtils::arrayHexToString ( command );

            CPPUNIT_ASSERT ( false == command.empty() );
            CPPUNIT_ASSERT ( expected == result );
        }

        CPPUNIT_TEST_SUITE ( LengthCommandElementTest );

        CPPUNIT_TEST ( testInputData );
        CPPUNIT_TEST ( testInputData_TwoCalls );

        CPPUNIT_TEST_SUITE_END();
};

#endif /* ECUT_MAIN */

#endif /* TEST_LENGTH_COMMAND_ELEMENT_TEST */
