/**
 * @file	MockConnection.hxx
 * @brief	Declares the MockConnection.
 * @author	Yadickson Soto
 * @date	19/02/2014
 */

#ifndef _MOCK_ICONNECTION_H_
#define _MOCK_ICONNECTION_H_

#include <mockpp/mockpp.h>
#include <mockpp/chaining/ChainableMockObject.h>
#include <mockpp/chaining/ChainingMockObjectSupport.h>
#include <Connections/IConnection.hxx>

class MockConnection : public Smartmatic::SAES::HW::Connections::IConnection,
    public MOCKPP_NS::ChainableMockObject
{
    public:

        MockConnection()
            : MOCKPP_NS::ChainableMockObject ( MOCKPP_PCHAR ( "MockConnection" ), 0 )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE_EXT1 ( openConnection, ext )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE_EXT1 ( sendCommand, ext )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( readBuffer )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( closeConnection )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( getTimeOut )
        {
        }

        virtual ~MockConnection()
        {

        }

        MOCKPP_CHAINABLE_EXT1 ( MockConnection,
                                bool, openConnection, const std::string &,
                                bool, ext, const std::string * );

        MOCKPP_CHAINABLE_EXT1 ( MockConnection,
                                bool, sendCommand, const std::vector<unsigned char> &,
                                bool, ext, std::vector<unsigned char> );

        MOCKPP_CHAINABLE0 ( MockConnection,
                            Smartmatic::System::SafeVector <unsigned char> , readBuffer );

        MOCKPP_CHAINABLE0 ( MockConnection,
                            bool, closeConnection );

        MOCKPP_CHAINABLE0 ( MockConnection,
                            unsigned int , getTimeOut );
};

#endif // _MOCK_ICONNECTION_H_
