/**
 * @file	MachineModelEnum.hxx
 *
 * @brief	Header fie to the machine model enum.
 */

#include <string>

#ifndef _MACHINE_MODEL_ENUM_H_
#define _MACHINE_MODEL_ENUM_H_

namespace Smartmatic
{
    namespace Configuration
    {
        /**
         * @enum MachineModel
         * @brief Define possible machine models.
         */
        enum MachineModel
        {
            PM_VIU805,
            PM_NOTEBOOK_A,
            PM_NOTEBOOK_B,
            VM_SAES3370,
            VM_A4517
        };

        inline std::string EnumToString( MachineModel model )
        {
            switch ( model )
            {
                case PM_VIU805:     return "PM-VIU805";
                case PM_NOTEBOOK_A: return "PM-NOTEBOOK_A";
                case PM_NOTEBOOK_B: return "PM-NOTEBOOK_B";
                case VM_SAES3370:   return "VM-SAES3370";
                case VM_A4517:      return "VM-A4517";
                default:            return "PM-VIU805";
            }
        }
    }
}

#endif // _MACHINE_MODEL_ENUM_H_
