/**
 * @file	SmartmaticLanguageController.cxx
 *
 * @brief	smartmatic language controller class.
 */

#include "SmartmaticLanguageController.hxx"
#include <System/OptParser.hxx>

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#ifdef ENABLE_NLS
#include <libintl.h>
#define _(String) dgettext (GETTEXT_PACKAGE, String) ///<macro for gettext
#else
#define _(String) (String) ///<macro without gettext
#endif

#define N_(String) (String) ///<macro for gettext not translate

using namespace Smartmatic::Configuration;
using namespace Smartmatic::System;

SmartmaticLanguageController::SmartmaticLanguageController()
{
}


SmartmaticLanguageController::~SmartmaticLanguageController()
{
}


std::string SmartmaticLanguageController::getPackageName()
{
    return GETTEXT_PACKAGE;
}


std::string SmartmaticLanguageController::getLocaleDir()
{
    std::string pathLocaleDir;
    return pathLocaleDir = OptParser::getInstance()->isSet ( OptParser::LOCALE_DIR ) && OptParser::getInstance()->getArg ( OptParser::LOCALE_DIR, pathLocaleDir ) ? pathLocaleDir : GNOMELOCALEDIR;
}

