/**
 * @file	SmartmaticLanguageController.hxx
 *
 * @brief	Header fie to the smartmatic language controller class.
 */

#ifndef _SMARTMATIC_LANGUAGE_CONTROLLER_H_
#define _SMARTMATIC_LANGUAGE_CONTROLLER_H_

#include "Environment/Configurations/BaseLanguageConfiguration.hxx"



namespace Smartmatic
{
    namespace Configuration
    {
        /**
         * @class	SmartmaticLanguageController
         * @brief	Smartmatic language controller class.
         * @author	Rafael.gasperi
         * @date	28/04/2011
         */
        class SmartmaticLanguageController: public Smartmatic::Environment::BaseLanguageConfiguration
        {
            public:

                /**
                 * @fn	std::string SmartmaticLanguageController::getPackageName();
                 * @brief	Gets the package name.
                 * @author	Rafael.gasperi
                 * @date	28/04/2011
                 * @return	The package name.
                 */
                std::string getPackageName();

                /**
                * @fn    std::string SmartmaticLanguageController::getLocaleDir();
                * @brief	Gets the locale dir.
                * @author	Rafael.gasperi
                * @date	28/04/2011
                * @return	The locale dir.
                */
                std::string getLocaleDir();

                /**
                 * @fn	SmartmaticLanguageController::SmartmaticLanguageController();
                 * @brief	Default constructor.
                 * @author	Rafael.gasperi
                 * @date	28/04/2011
                 */
                SmartmaticLanguageController();

                /**
                 * @fn	virtual SmartmaticLanguageController::~SmartmaticLanguageController();
                 * @brief	Finaliser.
                 * @author	Rafael.gasperi
                 * @date	28/04/2011
                 */
                virtual ~SmartmaticLanguageController();
        };
    }
}

#endif // _SMARTMATIC_LANGUAGE_CONTROLLER_H_
