/**
 * @file   IAudioPlayer.hxx
 * @brief  Declaration of AudioPlayer interface.
 * @author manuel.arguelles
 * @date   Sep 29, 2017
 */

#ifndef IAUDIO_PLAYER_HXX
#define IAUDIO_PLAYER_HXX

#include "Audio.hxx"

namespace Smartmatic
{
    namespace System
    {
        namespace Audio
        {
            /**
             * @class  IAudioPlayer
             * @brief  Audio player interface.
             * @author manuel.arguelles
             * @date   Sep 29, 2017
             */
            class IAudioPlayer
            {
                public:

                    /**
                     * @brief  Destroys the instance of the class.
                     * @author manuel.arguelles
                     * @date   Sep 29, 2017
                     */
                    virtual ~IAudioPlayer() {}

                public:

                    /**
                     * @brief  Plays the audio.
                     * @author manuel.arguelles
                     * @date   Sep 29, 2017
                     * @param  audio The audio samples to play.
                     */
                    virtual void play(const Audio& audio) = 0;
            };

        } /* namespace Audio */
    } /* namespace System */
} /* namespace Smartmatic */

#endif /* IAUDIO_PLAYER_HXX */
