/**
 * @file	GuIdException.h
 *
 * @brief	Header file to the the guId identifier exception class.
 */

#ifndef _GUIDEXCEPTION_H_
#define _GUIDEXCEPTION_H_

#include "BaseException.hxx"

namespace Smartmatic
{
    namespace System
    {
        namespace Exception
        {
            /**
             * @class	GuIdException
             * @brief	Header class GuIdException.
             * @author	Yadickson Soto &lt;yadickson.soto@smartmatic.com&gt;
             * @date	29/10/2012
             */
            class GuIdException: public BaseException
            {
                public:
                    /**
                     * @fn	GuIdException::GuIdException ( std::string message, std::string code,
                     * 		Smartmatic::Log::ISMTTLog* logger)
                     * @brief	Class constructor.
                     * @author	Youssef.tourkmani
                     * @date	29/10/2012
                     * @param	message	exception message.
                     * @param	code	 	exception code.
                     * @param	logger 	logger.
                     */
                    GuIdException ( std::string message, std::string code,
                                    Smartmatic::Log::ISMTTLog * logger )
                        : BaseException ( message, code, logger ) {}
                protected:

                private:

            };
        }
    }
}


#endif // _GUIDEXCEPTION_H_
