/**
 * @file SecurityBase.cxx
 * @brief Body class security base
 * @date 21/03/2012
 * @author Yadickson Soto
 */

#include "SecurityBase.hxx"

using namespace Smartmatic::System::Security;
using namespace Smartmatic::System::Security::Cryptography;

SecurityBase::SecurityBase()
{
    this->certificate = NULL;
}

SecurityBase::~SecurityBase()
{
    SetCertificate(NULL);
}

void SecurityBase::SetCertificate ( const std::string & certPath, CertUtil::CertFileFormat format, const std::string & certPass )
{
    if ( certificate )
    {
        certificate->releaseAll();
        delete certificate;
        certificate = NULL;
    }

    CertificateExtensionBase * cert = CertUtil::getCertificateExtensionBase ( certPath, format, certPass );
    SetCertificate ( cert );
}

void SecurityBase::SetCertificate ( CertificateExtensionBase * certificate )
{
    if ( this->certificate )
    {
        this->certificate->releaseAll();
        delete this->certificate;
    }

    this->certificate =  certificate;
}
