/**
 * @file XmlDetachedSignature.hxx
 * @brief Header class for XML detached signatures.
 * @author	Eduardo Fernández
 * @date	10/10/2018
 */

#ifndef XML_DETACHED_SIGNATURE_HXX
#define XML_DETACHED_SIGNATURE_HXX

#include <System/Security/XmlDigitalSignature/XmlSignature.hxx>

namespace Smartmatic
{
    namespace System
    {
        namespace Security
        {
            /**
             * @class	XmlDetachedSignature
             * @brief	Class for XML detached signatures.
             * @author	Eduardo Fernández
             * @date	10/10/2018
             */
            class XmlDetachedSignature : public XmlSignature
            {
                public:

                    /**
                     * @fn XmlDetachedSignature();
                     * @brief Class constructor.
                     * @author Eduardo Fernández
                     * @date   10/10/2018
                     */
                    XmlDetachedSignature();

                    /**
                     * @fn	virtual ~XmlDetachedSignature();
                     * @brief	Class destructor.
                     * @author	Eduardo Fernández
                     * @date	10/10/2018
                     */
                    virtual ~XmlDetachedSignature();
            };
        }
    }
}

#endif /* XML_DETACHED_SIGNATURE_HXX */
