/**
 * @file XmlSecurityC.cxx
 * @brief Body class security environment
 * @date 06/02/2013
 * @author Yadickson Soto
 */

#include "XmlSecurityC.hxx"
#include <xsec/utils/XSECPlatformUtils.hpp>

using namespace Smartmatic::System::Security;
bool XmlSecurityC::flagInit = false;

void XmlSecurityC::init()
{
    if ( !flagInit )
    {
        xercesc::XMLPlatformUtils::Initialize();
        XSECPlatformUtils::Initialise();
        flagInit = true;
    }
}

void XmlSecurityC::clear()
{
    if ( flagInit )
    {
        xercesc::XMLPlatformUtils::Terminate();
        flagInit = false;
    }
}
