/**
 * @file	beep-manager.cc
 *
 * @brief	Body file to the beep manager class.
 */

#include "System/Sounds/beep-manager.h"
#include <System/Runtime/ProcessLauncher.h>
#include <System/Runtime/ProcessMonitor.h>

using namespace Smartmatic::System::Sounds;
using namespace Smartmatic::System::Runtime;

void BeepManager::Beep()
{
    if ( beeps.empty() )
    {
        return;
    }

    std::string beeplinebase = "beep";

    for ( unsigned int i = 0; i < beeps.size(); i++ )
    {
        beeplinebase += beeps[i].GetBeepLine();

        if ( i < beeps.size() - 1 )
        {
            beeplinebase += " -n";
        }
    }

    ( void ) ProcessLauncher::getInstance()->RunProcessThroughSystem ( beeplinebase.c_str(), true );
}

void BeepManager::Clear()
{
    beeps.clear();
}

void BeepManager::AddBeep ( BeepDescriptor beepDescriptor )
{
    beeps.push_back ( beepDescriptor );
}

void BeepManager::Stop ()
{
    ( void ) ProcessMonitor::KillProcess ( "beep", true );
}
