/*
 * MockSmttSoundConfigurationManager.hxx
 *
 *  Created on: 06/02/2014
 *      Author: soto
 */

#ifndef MOCK_SMTT_SOUND_CONF_MANAGER_HXX_
#define MOCK_SMTT_SOUND_CONF_MANAGER_HXX_

#include <mockpp/mockpp.h>
#include <mockpp/chaining/ChainableMockObject.h>
#include <mockpp/chaining/ChainingMockObjectSupport.h>
#include <Configuration/SmartmaticSoundConfManager.hxx>

class MockSmttSoundConfigurationManager : public Smartmatic::Configuration::SmartmaticSoundConfManager,
    public MOCKPP_NS::ChainableMockObject
{
    public:

        MockSmttSoundConfigurationManager ()
            : MOCKPP_NS::ChainableMockObject ( MOCKPP_PCHAR ( "MockSmttSoundConfigurationManager" ), 0 )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( isUsingBeep )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( getAppSound )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE_EXT1 ( getSoundFile, ext )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE_EXT1 ( getSoundConfiguration, ext )
        {
        }

        virtual ~MockSmttSoundConfigurationManager ()
        {
        }

        MOCKPP_CHAINABLE0 ( MockSmttSoundConfigurationManager, bool, isUsingBeep );
        MOCKPP_CHAINABLE0 ( MockSmttSoundConfigurationManager, std::string, getAppSound );
        MOCKPP_CHAINABLE_EXT1 ( MockSmttSoundConfigurationManager,
                                std::string, getSoundFile, const std::string &,
                                std::string, ext, const std::string * );

        MOCKPP_CHAINABLE_EXT1 ( MockSmttSoundConfigurationManager,
                                Smartmatic::System::SafeVector <Smartmatic::System::Sounds::BeepDescriptor>, getSoundConfiguration, const std::string &,
                                Smartmatic::System::SafeVector <Smartmatic::System::Sounds::BeepDescriptor>, ext, const std::string * );
};

#endif /* MOCK_SMTT_SOUND_CONF_MANAGER_HXX_ */
