#ifndef TEST_FILE_TEST
#define TEST_FILE_TEST

#ifdef ECUT_MAIN

#include <cppunit/extensions/HelperMacros.h>
#include "MockPipeFile.hxx"

class PipeFileTest : public CPPUNIT_NS::TestFixture
{
    public:

        PipeFileTest ()
        {

        }

        void setUp()
        {

        }

        void tearDown()
        {

        }

        void testPipeFile_OpenFail()
        {
            MockPipeFile launcher;

            std::string line;
            bool result;

            CPPUNIT_ASSERT ( false == launcher.open ( "command" ) );

            line = launcher.getLine ( result );

            CPPUNIT_ASSERT ( false == result );
            CPPUNIT_ASSERT ( true == line.empty() );
        }

        void testPipeFile_OpenOneLine()
        {
            MockPipeFile launcher;

            std::string line;
            bool result;

            std::stringstream ss;
            ss << "Hello" << std::endl;

            launcher.buffer.AddData ( ss.str() );

            CPPUNIT_ASSERT ( true == launcher.open ( "command" ) );

            line = launcher.getLine ( result );

            CPPUNIT_ASSERT ( true == result );
            CPPUNIT_ASSERT ( false == line.empty() );
            CPPUNIT_ASSERT ( "Hello" == line );

            line = launcher.getLine ( result );

            CPPUNIT_ASSERT ( false == result );
            CPPUNIT_ASSERT ( true == line.empty() );
        }

        void testPipeFile_OpenTwoLine()
        {
            MockPipeFile launcher;

            std::string line;
            bool result;

            {
                std::stringstream ss;
                ss << "Hello" << std::endl;
                launcher.buffer.AddData ( ss.str() );
            }

            {
                std::stringstream ss;
                ss << "World" << std::endl;
                launcher.buffer.AddData ( ss.str() );
            }

            CPPUNIT_ASSERT ( true == launcher.open ( "command" ) );

            line = launcher.getLine ( result );

            CPPUNIT_ASSERT ( true == result );
            CPPUNIT_ASSERT ( false == line.empty() );
            CPPUNIT_ASSERT ( "Hello" == line );

            line = launcher.getLine ( result );

            CPPUNIT_ASSERT ( true == result );
            CPPUNIT_ASSERT ( false == line.empty() );
            CPPUNIT_ASSERT ( "World" == line );

            line = launcher.getLine ( result );

            CPPUNIT_ASSERT ( false == result );
            CPPUNIT_ASSERT ( true == line.empty() );
        }

        CPPUNIT_TEST_SUITE ( PipeFileTest );

        CPPUNIT_TEST ( testPipeFile_OpenFail );
        CPPUNIT_TEST ( testPipeFile_OpenOneLine );
        CPPUNIT_TEST ( testPipeFile_OpenTwoLine );

        CPPUNIT_TEST_SUITE_END();
};

#endif /* ECUT_MAIN */

#endif /* TEST_FILE_TEST */
