#ifndef TEST_SAFELIST_TEST
#define TEST_SAFELIST_TEST

#ifdef ECUT_MAIN

#include <cppunit/extensions/HelperMacros.h>
#include <System/SafeList.hxx>

class SafeListTest : public CPPUNIT_NS::TestFixture
{
    public:

        SafeListTest()
        {

        }

        void setUp()
        {

        }

        void tearDown()
        {

        }

        void testOperatorOutputStringWithSafeListEmpty()
        {
            Smartmatic::System::SafeList < char > list;
            std::string result;

            result << list;

            CPPUNIT_ASSERT ( "SafeList(0)" == result );
        }

        void testOperatorOutputStringWithSafeListOneElement()
        {
            Smartmatic::System::SafeList < char > list;
            list.push_back ( 'a' );

            std::string result;

            result << list;

            CPPUNIT_ASSERT ( "SafeList(1)" == result );
        }

        CPPUNIT_TEST_SUITE ( SafeListTest );

        CPPUNIT_TEST ( testOperatorOutputStringWithSafeListEmpty );
        CPPUNIT_TEST ( testOperatorOutputStringWithSafeListOneElement );

        CPPUNIT_TEST_SUITE_END();
};

#endif /* ECUT_MAIN */

#endif /* TEST_SAFELIST_TEST */
