#ifndef TEST_SAFETIME_TEST
#define TEST_SAFETIME_TEST

#ifdef ECUT_MAIN

#include <cppunit/extensions/HelperMacros.h>
#include <System/SafeTime.hxx>
#include <unistd.h>

class SafeTimeTest : public CPPUNIT_NS::TestFixture
{
    public:

        typedef Smartmatic::System::SafeTime SafeTime;
        SafeTime * timeObj;

        SafeTimeTest()
        {
            timeObj = NULL;
        }

        void setUp()
        {
            timeObj = new SafeTime();
        }

        void tearDown()
        {
            delete timeObj;
            timeObj = NULL;
        }

        void testZeroSecondsGetHour()
        {
            unsigned int expected = 0;
            CPPUNIT_ASSERT ( expected == timeObj->getHour() );
        }

        void testZeroSecondsGetMinute()
        {
            unsigned int expected = 0;
            CPPUNIT_ASSERT ( expected == timeObj->getMinute() );
        }

        void testZeroSecondsGetSeconds()
        {
            unsigned int expected = 0;
            CPPUNIT_ASSERT ( expected == timeObj->getSecond() );
        }

        void testZeroSecondsGetAllSeconds()
        {
            unsigned int expected = 0;
            CPPUNIT_ASSERT ( expected == timeObj->getAllSeconds() );
        }

        void testZeroSecondsGetString()
        {
            std::string expected = "00:00:00";
            CPPUNIT_ASSERT ( true == ( expected.compare ( timeObj->getStringTime() ) == 0 ) );
        }

        void testSleepOneSecondsGetString()
        {
            std::string expected = "00:00:01";
            timeObj->start();
            sleep ( 1 );
            timeObj->stop();
            CPPUNIT_ASSERT ( true == ( expected.compare ( timeObj->getStringTime() ) == 0 ) );
        }

        CPPUNIT_TEST_SUITE ( SafeTimeTest );

        CPPUNIT_TEST ( testZeroSecondsGetHour );
        CPPUNIT_TEST ( testZeroSecondsGetMinute );
        CPPUNIT_TEST ( testZeroSecondsGetSeconds );
        CPPUNIT_TEST ( testZeroSecondsGetAllSeconds );
        CPPUNIT_TEST ( testZeroSecondsGetString );
        CPPUNIT_TEST ( testSleepOneSecondsGetString );

        CPPUNIT_TEST_SUITE_END();
};

#endif /* ECUT_MAIN */

#endif /* TEST_SAFETIME_TEST */
