#ifndef TEST_SAFEVECTOR_TEST
#define TEST_SAFEVECTOR_TEST

#ifdef ECUT_MAIN

#include <cppunit/extensions/HelperMacros.h>
#include <System/SafeVector.hxx>

class SafeVectorTest : public CPPUNIT_NS::TestFixture
{
    public:

        SafeVectorTest()
        {

        }

        void setUp()
        {

        }

        void tearDown()
        {

        }

        void testOperatorOutputStringWithSafeVectorEmpty()
        {
            typedef Smartmatic::System::SafeVector < char > SuperVector;
            SuperVector vector;

            std::string result;

            result << vector;

            CPPUNIT_ASSERT ( "SafeVector(0)" == result );
        }

        void testOperatorOutputStringWithSafeVectorOneElement()
        {
            typedef Smartmatic::System::SafeVector < char > SuperVector;
            SuperVector vector;

            vector.push_back ( 'a' );

            std::string result;

            result << vector;

            CPPUNIT_ASSERT ( "SafeVector(1)" == result );
        }

        CPPUNIT_TEST_SUITE ( SafeVectorTest );

        CPPUNIT_TEST ( testOperatorOutputStringWithSafeVectorEmpty );
        CPPUNIT_TEST ( testOperatorOutputStringWithSafeVectorOneElement );

        CPPUNIT_TEST_SUITE_END();
};

#endif /* ECUT_MAIN */

#endif /* TEST_SAFEVECTOR_TEST */
