/*
 * MockStackTrace.hxx
 *
 *  Created on: 06/11/2013
 *      Author: soto
 */

#ifndef MOCK_STACK_TRACE_HXX
#define MOCK_STACK_TRACE_HXX

#include <mockpp/mockpp.h>
#include <mockpp/chaining/ChainableMockObject.h>
#include <mockpp/chaining/ChainingMockObjectSupport.h>
#include <System/StackTraceManager.hxx>

class MockStackTrace : public Smartmatic::System::StackTraceManager
    , public MOCKPP_NS::ChainableMockObject
{
    public:

        MockStackTrace ()
            : MOCKPP_NS::ChainableMockObject ( MOCKPP_PCHAR ( "MockStackTrace" ), 0 )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_VOID_CHAINABLE0 ( showSigSegvError )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_VOID_CHAINABLE0 ( showSigAbortError )
        {

        }

        MOCKPP_VOID_CHAINABLE0 ( MockStackTrace, showSigSegvError );
        MOCKPP_VOID_CHAINABLE0 ( MockStackTrace, showSigAbortError );

        void emulateSignalError ( int signal )
        {
            StackTraceManager::signalHandler ( signal );
        }
};

#endif /* MOCK_STACK_TRACE_HXX */
