/**
 * @file	BasicWindowConfManager.cc
 * @brief	Declares the smartmatic GUI basic window configurations class.
 * @author	Yadickson Soto
 * @date	27/02/2014
 */

#include "BasicWindowConfManager.hxx"
#include "s-m-t-t-g-u-i-conf-manager.h"

using namespace Smartmatic::GUI::Configuration;

BasicWindowConfManager * BasicWindowConfManager::instance = NULL; ///< The smartmatic GUI basic window configurations class.

BasicWindowConfManager::BasicWindowConfManager()
{

}

BasicWindowConfManager::~BasicWindowConfManager()
{
    instance = NULL;
}

std::string BasicWindowConfManager::getWindowTitle ()
{
    return getBasicWindowConfigurations().getWindowTitle();
}

bool BasicWindowConfManager::isShowBorderWindow ()
{
    return getBasicWindowConfigurations().getShowBorder();
}

BasicWindowConfigurations & BasicWindowConfManager::getBasicWindowConfigurations()
{
    return SMTTGUIConfigurationManager::getInstance()->getConfiguration()->getBasicWindowConfigurations();
}

BasicWindowConfManager * BasicWindowConfManager::getInstance ( BasicWindowConfManager * externManager )
{
    if ( ! instance )
    {
        instance = ( externManager == NULL ? new BasicWindowConfManager() : externManager );
    }

    return instance;
}
