/**
 * @file ICapture.cxx
 * @brief Body class screen capture
 * @date 14/03/2013
 * @author Yadickson Soto
 */

#include "ICapture.hxx"
#include <System/Runtime/ProcessLauncher.h>

using namespace Smartmatic::Graphics::Capture;
using namespace Smartmatic::System::Runtime;

ICapture::ICapture ( const std::string & execute )
: m_execute(execute)
{
}

ICapture::~ICapture()
{

}

void ICapture::capture ( const std::string& imageFullPath )
{
    std::string systemCallLine ( m_execute + " " + m_command + " " + imageFullPath );
    ( void ) ProcessLauncher::getInstance()->RunProcessThroughSystem ( systemCallLine.c_str() );
}
