/**
 * @file CheckImageFile.hxx
 * @brief Header class check image file
 * @date 29/06/2012
 * @author Yadickson Soto
 */

#ifndef __CHECKIMAGEFILE_HXX__
#define __CHECKIMAGEFILE_HXX__

#include <string>

namespace Smartmatic
{
    namespace Graphics
    {
        namespace Image
        {
            /**
             * @class	CheckImageFile
             * @brief	class check image file.
             * @author	Yadickson Soto
             * @date	29/06/2012
             */
            class CheckImageFile
            {
                private:
                    /**
                     * @fn	CheckImageFile::CheckImageFile();
                     * @brief	class constructor.
                     * @author	Yadickson Soto
                     * @date	29/06/2012
                     */
                    CheckImageFile();

                public:
                    /**
                     * @fn	virtual CheckImageFile::~CheckImageFile();
                     * @brief	class destructor.
                     * @author	Yadickson Soto
                     * @date	29/06/2012
                     */
                    virtual ~CheckImageFile();
                    /**
                     * @fn	static bool CheckImageFile::check(std::string file);
                     * @brief	methos check image file.
                     * @author	Yadickson Soto
                     * @date	29/06/2012
                     * @param	file	file name.
                     * @return	true is check success.
                     */
                    static bool check ( std::string file );
            };
        }
    }
}

#endif
