/**
 * @file AccessibleNameWidget.cxx
 * @brief Body Accessible Name Widget
 * @date 24/04/2013
 * @author Yadickson Soto
 */

#include "AccessibleNameWidget.hxx"
#include "AccessibleManager.hxx"

using namespace Smartmatic::GUI::Operation;

AccessibleNameWidget::AccessibleNameWidget ( const std::string & accessibleType )
    : accessibleType ( accessibleType ), accessibleWidget ( NULL )
{

}

AccessibleNameWidget::AccessibleNameWidget ( const std::string & accessibleType, Gtk::Widget * accessibleWidget )
    : accessibleType ( accessibleType ), accessibleWidget ( accessibleWidget )
{

}

AccessibleNameWidget::~AccessibleNameWidget()
{

}

void AccessibleNameWidget::setAccessibleName ( const std::string & name )
{
    if ( accessibleWidget )
    {
        AccessibleManager::setName ( this->accessibleWidget, accessibleType + name );
    }
}
