/**
 * @file RefreshListener.hxx
 * @brief Header class refresh listener
 * @date 03/04/2012
 * @author Yadickson Soto
 */

#ifndef REFRESHLISTENER_HXX_
#define REFRESHLISTENER_HXX_

namespace Smartmatic
{
    namespace GUI
    {
        namespace Widgets
        {
            /**
             * @class	RefreshListener
             * @brief	Refresh listener.
             * @author	Yadickson Soto
             * @date	03/04/2012
             */
            class RefreshListener
            {
                public:
                    /**
                     * @fn	RefreshListener::RefreshListener();
                     * @brief	class constructor.
                     * @author	Yadickson Soto
                     * @date	03/04/2012
                     */
                    RefreshListener();
                    /**
                     * @fn	virtual RefreshListener::~RefreshListener();
                     * @brief	class destructor.
                     * @author	Yadickson Soto
                     * @date	03/04/2012
                     */
                    virtual ~RefreshListener();
                    /**
                     * @fn	virtual void RefreshListener::refresh() = 0;
                     * @brief	virtual method refresh.
                     * @author	Yadickson Soto
                     * @date	03/04/2012
                     */
                    virtual void refresh() = 0;
            };

        }
    }
}
#endif /* REFRESHLISTENER_HXX_ */
