/**
 * @file SmartmaticBasicCheckButton.cxx
 * @brief Body basic check button widget class
 * @date 10/10/2013
 * @author Yadickson Soto
 */

#include "SmartmaticBasicCheckButton.hxx"
#include <Configuration/s-m-t-t-g-u-i-conf-manager.h>

#define ACCESSIBLE_TYPE "checkButton" ///< accessible type

using namespace Smartmatic::GUI::Widgets;
using namespace Smartmatic::GUI::Configuration;

SmartmaticBasicCheckButton::SmartmaticBasicCheckButton()
    : Glib::ObjectBase ( "SmartmaticBasicCheckButton" ),
      Gtk::CheckButton(),
      Smartmatic::GUI::Operation::AccessibleNameWidget ( ACCESSIBLE_TYPE )

{
    Smartmatic::GUI::Operation::AccessibleNameWidget::accessibleWidget = this;
    set_name ( getThemeConfiguration() );
}

SmartmaticBasicCheckButton::SmartmaticBasicCheckButton ( BaseObjectType * cobject, const Glib::RefPtr<Gtk::Builder> & refBuilder )
    : Glib::ObjectBase ( "SmartmaticBasicCheckButton" ),
      Gtk::CheckButton ( cobject ),
      Smartmatic::GUI::Operation::AccessibleNameWidget ( ACCESSIBLE_TYPE )
{
    Smartmatic::GUI::Operation::AccessibleNameWidget::accessibleWidget = this;
    set_name ( getThemeConfiguration() );
}

SmartmaticBasicCheckButton::~SmartmaticBasicCheckButton()
{

}

std::string SmartmaticBasicCheckButton::getThemeConfiguration()
{
    return SMTTGUIConfigurationManager::getInstance()->getGuiThemeConfiguration().getCheckButtonThemeConfiguration();
}
