/**
 * @file SmartmaticBasicFrame.hxx
 * @brief Header basic frame widget class
 * @date 25/04/2013
 * @author Yadickson Soto
 */

#ifndef _SMARTMATIC_BASICFRAME_H_
#define _SMARTMATIC_BASICFRAME_H_

#include <gtkmm.h>
#include <Operation/AccessibleNameWidget.hxx>

namespace Smartmatic
{
    namespace GUI
    {
        namespace Widgets
        {
            /**
             * @class	SmartmaticBasicFrame
             * @brief	Smartmatic basic frame.
             * @date 25/04/2013
             * @author Yadickson Soto
             */
            class SmartmaticBasicFrame: public Gtk::Frame, public Smartmatic::GUI::Operation::AccessibleNameWidget
            {

                public:

                    /**
                     * @fn	SmartmaticBasicFrame();
                     * @brief	Default constructor.
                     * @date 25/04/2013
                     * @author Yadickson Soto
                     */
                    SmartmaticBasicFrame();

                    /**
                     * @fn	SmartmaticBasicFrame(BaseObjectType* cobject,
                     * 			const Glib::RefPtr<Gtk::Builder>& refBuilder=Gtk::Builder::create());
                     * @brief	Constructor.
                     * @date 25/04/2013
                     * @author Yadickson Soto
                     * @param	cobject			If non-null, the cobject.
                     * @param	refBuilder	(optional) the reference builder.
                     */
                    SmartmaticBasicFrame ( BaseObjectType * cobject, const Glib::RefPtr<Gtk::Builder> & refBuilder = Gtk::Builder::create() );

                    /**
                     * @fn	virtual ~SmartmaticBasicFrame();
                     * @brief	Class destructor.
                     * @date 25/04/2013
                     * @author Yadickson Soto
                     */
                    virtual ~SmartmaticBasicFrame();
            };
        }
    }
}

#endif // _SMARTMATIC_BASICFRAME_H_
