/**
 * @file SmartmaticBasicImage.cxx
 * @brief Body basic image widget class
 * @date 25/04/2013
 * @author Yadickson Soto
 */

#include "SmartmaticBasicImage.hxx"

#define ACCESSIBLE_TYPE "image" ///< accessible type

using namespace Smartmatic::GUI::Widgets;

SmartmaticBasicImage::SmartmaticBasicImage()
    : Gtk::Image(), Smartmatic::GUI::Operation::AccessibleNameWidget ( ACCESSIBLE_TYPE )
{
    Smartmatic::GUI::Operation::AccessibleNameWidget::accessibleWidget = this;
}

SmartmaticBasicImage::SmartmaticBasicImage ( const std::string & file )
    : Gtk::Image ( file ), Smartmatic::GUI::Operation::AccessibleNameWidget ( ACCESSIBLE_TYPE )
{
    Smartmatic::GUI::Operation::AccessibleNameWidget::accessibleWidget = this;
}

SmartmaticBasicImage::SmartmaticBasicImage ( BaseObjectType * cobject, const Glib::RefPtr<Gtk::Builder> & refBuilder )
    : Gtk::Image ( cobject ), Smartmatic::GUI::Operation::AccessibleNameWidget ( ACCESSIBLE_TYPE )
{
    Smartmatic::GUI::Operation::AccessibleNameWidget::accessibleWidget = this;
}

SmartmaticBasicImage::~SmartmaticBasicImage()
{
}


