/**
 * @file SmartmaticBasicScrollContainer.cxx
 * @brief Body basic spin button widget class
 * @date 02/09/2013
 * @author Yadickson Soto
 */

#include "SmartmaticBasicScrollContainer.hxx"
#include <Configuration/s-m-t-t-g-u-i-conf-manager.h>

#define ACCESSIBLE_TYPE "button" ///< accessible type

using namespace Smartmatic::GUI::Widgets;
using namespace Smartmatic::GUI::Configuration;

SmartmaticBasicScrollContainer::SmartmaticBasicScrollContainer()
    : Glib::ObjectBase ( "SmartmaticBasicScrollContainer" ),
      Gtk::ScrolledWindow(),
      Smartmatic::GUI::Operation::AccessibleNameWidget ( ACCESSIBLE_TYPE )

{
    Smartmatic::GUI::Operation::AccessibleNameWidget::accessibleWidget = this;
    set_name ( getThemeConfiguration() );
}

SmartmaticBasicScrollContainer::SmartmaticBasicScrollContainer ( BaseObjectType * cobject, const Glib::RefPtr<Gtk::Builder> & refBuilder )
    : Glib::ObjectBase ( "SmartmaticBasicScrollContainer" ),
      Gtk::ScrolledWindow ( cobject ),
      Smartmatic::GUI::Operation::AccessibleNameWidget ( ACCESSIBLE_TYPE )
{
    Smartmatic::GUI::Operation::AccessibleNameWidget::accessibleWidget = this;
    set_name ( getThemeConfiguration() );
}

SmartmaticBasicScrollContainer::~SmartmaticBasicScrollContainer()
{

}

std::string SmartmaticBasicScrollContainer::getThemeConfiguration()
{
    return SMTTGUIConfigurationManager::getInstance()->getGuiThemeConfiguration().getScrollWindowThemeConfiguration();
}
