/**
 * @file SmartmaticBasicSpinButton.cxx
 * @brief Body basic spin button widget class
 * @date 02/09/2013
 * @author Yadickson Soto
 */

#include "SmartmaticBasicSpinButton.hxx"
#include <Configuration/s-m-t-t-g-u-i-conf-manager.h>

#define ACCESSIBLE_TYPE "button" ///< accessible type

using namespace Smartmatic::GUI::Widgets;
using namespace Smartmatic::GUI::Configuration;

SmartmaticBasicSpinButton::SmartmaticBasicSpinButton()
    : Glib::ObjectBase ( "SmartmaticBasicSpinButton" ),
      Gtk::SpinButton(),
      Smartmatic::GUI::Operation::AccessibleNameWidget ( ACCESSIBLE_TYPE )

{
    Smartmatic::GUI::Operation::AccessibleNameWidget::accessibleWidget = this;
    set_name ( getThemeConfiguration() );
}

SmartmaticBasicSpinButton::SmartmaticBasicSpinButton ( BaseObjectType * cobject, const Glib::RefPtr<Gtk::Builder> & refBuilder )
    : Glib::ObjectBase ( "SmartmaticBasicSpinButton" ),
      Gtk::SpinButton ( cobject ),
      Smartmatic::GUI::Operation::AccessibleNameWidget ( ACCESSIBLE_TYPE )
{
    Smartmatic::GUI::Operation::AccessibleNameWidget::accessibleWidget = this;
    set_name ( getThemeConfiguration() );
}

SmartmaticBasicSpinButton::~SmartmaticBasicSpinButton()
{

}

std::string SmartmaticBasicSpinButton::getThemeConfiguration()
{
    return SMTTGUIConfigurationManager::getInstance()->getGuiThemeConfiguration().getSpinButtonThemeConfiguration();
}
