/**
 * @file SmartmaticBasicVBox.cxx
 * @brief Body basic vbox widget class
 * @date 25/04/2013
 * @author Yadickson Soto
 */

#include "SmartmaticBasicVBox.hxx"

#define ACCESSIBLE_TYPE "panel" ///< accessible type

using namespace Smartmatic::GUI::Widgets;

SmartmaticBasicVBox::SmartmaticBasicVBox ( bool homogeneous, int spacing )
    : Gtk::VBox ( homogeneous, spacing ), Smartmatic::GUI::Operation::AccessibleNameWidget ( ACCESSIBLE_TYPE )
{
    Smartmatic::GUI::Operation::AccessibleNameWidget::accessibleWidget = this;
}

SmartmaticBasicVBox::SmartmaticBasicVBox ( BaseObjectType * cobject, const Glib::RefPtr<Gtk::Builder> & refBuilder )
    : Gtk::VBox ( cobject ), Smartmatic::GUI::Operation::AccessibleNameWidget ( ACCESSIBLE_TYPE )
{
    Smartmatic::GUI::Operation::AccessibleNameWidget::accessibleWidget = this;
}

SmartmaticBasicVBox::~SmartmaticBasicVBox()
{
}


