/**
 * @file SmartmaticRadioButton.cxx
 * @brief Body class smartmatic radio button group
 * @date 21/09/2012
 * @author Yadickson Soto
 */

#include "SmartmaticRadioButton.hxx"

using namespace Smartmatic::GUI::Widgets;

SmartmaticRadioButton::SmartmaticRadioButton ()
    : SmartmaticBasicRadioButton ( "" )
{
    fontSize = 12;
    setName ( "" );
    setCode ( "" );
}

SmartmaticRadioButton::SmartmaticRadioButton ( const std::string & name, const std::string & code )
    : SmartmaticBasicRadioButton ( name )
{
    fontSize = 12;
    setName ( name );
    setCode ( code );
}

SmartmaticRadioButton::SmartmaticRadioButton ( BaseObjectType * cobject, const Glib::RefPtr<Gtk::Builder> & refBuilder )
    : SmartmaticBasicRadioButton ( cobject, refBuilder )
{
    fontSize = 12;
}

SmartmaticRadioButton::~SmartmaticRadioButton()
{
}

std::string SmartmaticRadioButton::getName()
{
    return name;
}

std::string SmartmaticRadioButton::getCode()
{
    return code;
}

std::string SmartmaticRadioButton::getAttribute()
{
    return attribute;
}

void SmartmaticRadioButton::setName ( const std::string & name )
{
    this->name = name;
    set_label ( name );

    Pango::FontDescription font = get_child()->get_style()->get_font();
    font.set_size ( fontSize * Pango::SCALE );
    get_child()->modify_font ( font );
}

void SmartmaticRadioButton::setCode ( const std::string & code )
{
    this->code = code;
}

void SmartmaticRadioButton::setAttribute ( const std::string & attribute )
{
    this->attribute = attribute;
}

void SmartmaticRadioButton::setFontSize ( int fontSize )
{
    this->fontSize = fontSize;
    setName ( getName() );
}
