/**
 * @file SmartmaticRadioButtonHorizontalGroup.hxx
 * @brief Header class smartmatic radio button horizontal group
 * @date 16/10/2013
 * @author Yadickson Soto
 */

#ifndef SMARTMATICRADIOBUTTONHGROUP_HXX_
#define SMARTMATICRADIOBUTTONHGROUP_HXX_

#include <gtkmm.h>
#include <Widgets/SmartmaticRadioButtonGroup.hxx>
#include <Widgets/SmartmaticBasicHBox.hxx>

namespace Smartmatic
{
    namespace GUI
    {
        namespace Widgets
        {
            /**
             * @class	SmartmaticRadioButtonHorizontalGroup
             * @brief	class smartmatic radio button horizontal group.
             * @author	Yadickson Soto
             * @date	16/10/2013
             */
            class SmartmaticRadioButtonHorizontalGroup : public SmartmaticBasicHBox, public SmartmaticRadioButtonGroup
            {
                public:
                    /**
                     * @fn	SmartmaticRadioButtonHorizontalGroup::SmartmaticRadioButtonHorizontalGroup();
                     * @brief	class constructor.
                     * @author	Yadickson Soto
                     * @date	16/10/2013
                     */
                    SmartmaticRadioButtonHorizontalGroup();
                    /**
                     * @fn	SmartmaticRadioButtonHorizontalGroup::SmartmaticRadioButtonHorizontalGroup(BaseObjectType* cobject,
                     * 			const Glib::RefPtr<Gtk::Builder>& refBuilder=Gtk::Builder::create());
                     * @brief	class constructor.
                     * @author	Yadickson Soto
                     * @date	16/10/2013
                     * @param	cobject			object.
                     * @param	refBuilder	reference to builder.
                     */
                    SmartmaticRadioButtonHorizontalGroup ( BaseObjectType * cobject, const Glib::RefPtr<Gtk::Builder> & refBuilder = Gtk::Builder::create() );
                    /**
                     * @fn	virtual SmartmaticRadioButtonHorizontalGroup::~SmartmaticRadioButtonHorizontalGroup();
                     * @brief	class destructor.
                     * @author	Yadickson Soto
                     * @date	16/10/2013
                     */
                    virtual ~SmartmaticRadioButtonHorizontalGroup();

                protected:

                    /**
                     * @fn	virtual void add ( SmartmaticRadioButton * widget );
                     * @brief	Add new radio button widget.
                     * @author	Yadickson Soto
                     * @date	16/10/2013
                     * @param	widget new widget to add
                     */
                    virtual void add ( SmartmaticRadioButton * widget );
            };
        }
    }
}

#endif /* SMARTMATICRADIOBUTTONHGROUP_HXX_ */
