/**
 * @file ExitWindowListener.hxx
 * @brief Header class exit window listener
 * @date 03/10/2012
 * @author Yadickson Soto
 */

#ifndef EXIT_WINDOW_LISTENER_HXX_
#define EXIT_WINDOW_LISTENER_HXX_

namespace Smartmatic
{
    namespace GUI
    {
        namespace Windows
        {
            /**
             * @class	ExitWindowListener
             * @brief	Exit window listener.
             * @author	Yadickson Soto
             * @date	03/10/2012
             */
            class ExitWindowListener
            {
                public:
                    /**
                     * @fn	ExitWindowListener::ExitWindowListener();
                     * @brief	class constructor.
                     * @author	Yadickson Soto
                     * @date	03/10/2012
                     */
                    ExitWindowListener();
                    /**
                     * @fn	virtual ExitWindowListener::~ExitWindowListener();
                     * @brief	class destructor.
                     * @author	Yadickson Soto
                     * @date	03/10/2012
                     */
                    virtual ~ExitWindowListener();
                    /**
                     * @fn	virtual void ExitWindowListener::onBeforeExit() = 0;
                     * @brief	virtual method before exit.
                     * @author	Yadickson Soto
                     * @date	03/10/2012
                     */
                    virtual void onBeforeExit() = 0;
                    /**
                     * @fn	virtual void ExitWindowListener::onExit() = 0;
                     * @brief	virtual method exit.
                     * @author	Yadickson Soto
                     * @date	03/10/2012
                     */
                    virtual void onExit() = 0;
            };

        }
    }
}
#endif /* REFRESHLISTENER_HXX_ */
