/**
 * @file HelpWindowListener.hxx
 * @brief Header class help listener
 * @date 04/10/2012
 * @author Yadickson Soto
 */

#ifndef HELPWINDOWLISTENER_HXX_
#define HELPWINDOWLISTENER_HXX_

#include <Widgets/StepWidget.hxx>

namespace Smartmatic
{
    namespace GUI
    {
        namespace Windows
        {
            /**
             * @class	HelpWindowListener
             * @brief	Help listener.
             * @author	Yadickson Soto
             * @date	04/10/2012
             */
            class HelpWindowListener
            {
                public:
                    /**
                     * @fn	HelpWindowListener::HelpWindowListener();
                     * @brief	class constructor.
                     * @author	Yadickson Soto
                     * @date	04/10/2012
                     */
                    HelpWindowListener();
                    /**
                     * @fn	virtual HelpWindowListener::~HelpWindowListener();
                     * @brief	class destructor.
                     * @author	Yadickson Soto
                     * @date	04/10/2012
                     */
                    virtual ~HelpWindowListener();

                    /**
                     * @fn	virtual Smartmatic::GUI::Widgets::StepWidget * HelpWindowListener::getHelpWidget() = 0;
                     * @brief	Gets help widget.
                     * @author	Youssef.tourkmani
                     * @date	29/10/2012
                     * @return	null if it fails, else the help widget.
                     */
                    virtual Smartmatic::GUI::Widgets::StepWidget * getHelpWidget() = 0;
            };

        }
    }
}
#endif /* HELPWINDOWLISTENER_HXX_ */
