/**
 * @file MockSMTTLog.h
 *
 * @date 22/01/2014
 * @author Yadickson Soto
 */

#ifndef MOCK_SMTT_LOG_H_
#define MOCK_SMTT_LOG_H_

#include <mockpp/mockpp.h>
#include <mockpp/chaining/ChainableMockObject.h>
#include <mockpp/chaining/ChainingMockObjectSupport.h>
#include <Log/ISMTTLog.h>

class MockSMTTLog : public Smartmatic::Log::ISMTTLog,
    public MOCKPP_NS::ChainableMockObject
{
    public:
        MockSMTTLog ()
            : MOCKPP_NS::ChainableMockObject ( MOCKPP_PCHAR ( "MockSMTTLog" ) , 0 ) ,
              MOCKPP_CONSTRUCT_MEMBERS_FOR_VOID_CHAINABLE_EXT1 ( Debug, ext ) ,
              MOCKPP_CONSTRUCT_MEMBERS_FOR_VOID_CHAINABLE_EXT1 ( Audit, ext ) ,
              MOCKPP_CONSTRUCT_MEMBERS_FOR_VOID_CHAINABLE_EXT1 ( Error, ext )
        {
        }

        MOCKPP_VOID_CHAINABLE_EXT1 ( MockSMTTLog,
                                     Debug, const std::string &,
                                     ext, const std::string * );

        MOCKPP_VOID_CHAINABLE_EXT1 ( MockSMTTLog,
                                     Audit, const std::string &,
                                     ext, const std::string * );

        MOCKPP_VOID_CHAINABLE_EXT1 ( MockSMTTLog,
                                     Error, const std::string &,
                                     ext, const std::string * );
};

#endif /* MOCK_SMTT_LOG_H_ */
